2024-05-22 Mike Gabriel

        * release 24.5.0 (HEAD -> main, tag: 24.5.0)

2024-05-21 Robert Tari

        * Merge branch 'sunweaver-pr/lomiri-indicators-target' (b706a633)

2024-05-21 Mike Gabriel

        * data/ayatana-indicator-session.service.in: Become part of
          lomiri-indicators.target. (16f108be)

2024-04-01 复予

        * Translated using Weblate (Chinese (Simplified)) (c9ee6ea1)

2024-03-22 Steve

        * Translated using Weblate (French) (1001b221)

2024-03-14 이정희

        * Translated using Weblate (Korean) (f7027084)

2024-02-23 Mike Gabriel

        * release 24.2.0 (aafe9ced) (tag: 24.2.0)

2024-02-16 Robert Tari

        * Merge branch 'sunweaver-pr/fix-tests-with-rda-enabled' (dbb6858f)

2024-02-05 Mike Gabriel

        * src/service.c: Boolean values need to be upper-case. (efcda58a)

2024-02-16 Robert Tari

        * Merge branch 'sunweaver-pr/boolean-newby' (a7e621f9)

2024-02-05 Mike Gabriel

        * src/service.c: Use !rda_session_is_remote() rather than
          rda_session_is_local(). (b18f3c70)
        * src/service.c: Boolean values need to be upper-case. (5e2bf9eb)

2024-01-29 Moo

        * Translated using Weblate (Lithuanian) (db07408b)

2023-12-26 Mike Gabriel

        * release 23.10.3 (aefb2cdf) (tag: 23.10.3)

2023-11-29 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (f855f715)

2023-11-18 Quentin PAGÈS

        * Translated using Weblate (Occitan) (9b5f130c)

2023-11-19 Mike Gabriel

        * release 23.10.2 (46b45685) (tag: 23.10.2)

2023-11-19 Robert Tari

        * Merge branch
          'sunweaver-pr/assume-local-session-if-built-without-RDA'
          (00746188)

2023-11-08 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (4192cf6a)

2023-11-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (f117dc0d)

2023-11-08 Lionel Duboeuf

        * Translated using Weblate (French) (b5e18734)

2023-11-08 Jozef Mlich

        * Translated using Weblate (Czech) (15df175a)

2023-11-05 Oğuz Ersen

        * Translated using Weblate (Turkish) (49857b34)

2023-11-18 Mike Gabriel

        * src/service.c: Initialize bLocal as true if building without RDA
          support. (25ba8ee9)

2023-11-08 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (dee3c1c3)

2023-11-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (61e7c213)

2023-11-08 Lionel Duboeuf

        * Translated using Weblate (French) (a33e0a8a)

2023-11-08 Jozef Mlich

        * Translated using Weblate (Czech) (46297cc0)

2023-11-05 Oğuz Ersen

        * Translated using Weblate (Turkish) (cfef340e)

2023-11-06 Mike Gabriel

        * release 23.10.1 (4301580b) (tag: 23.10.1)

2023-11-04 Mike Gabriel

        * Merge branch 'tari01-pr/drop-zenity' (34f6b0c8)

2023-10-07 Robert Tari

        * debian/control: Drop zenity dependency and bump
          libayatana-common-dev to 0.9.9 (4a7adb1d)
        * src/backend-dbus/actions.c: Switch to
          ayatana_common_utils_zenity_question (9b1b97a9)

2023-11-04 Robert Tari

        * Merge branch
          'sunweaver-pr/remote-technology-name-in-suspend-menu-item'
          (75be6c2d)
        * src/service.c: Add formatted string to menu (c18b57d2)

2023-11-02 Mike Gabriel

        * src/service.c: In remote session, show remote technology name in
          menu item label. (65b79215)

2023-11-02 Robert Tari

        * Merge branch 'sunweaver-pr/rda-optional' (4a9824a8)

2023-11-02 Mike Gabriel

        * src/service.c: Rename onRemoteSuspend -> on_remote_suspend (better
          matching with other function names). (eca237d3)
        * src/service.c: White-space fix. (8fd1edd3)
        * {CMakeLists.txt,src/service.c}: Make building against librda
          optional. (ba840e53)

2023-10-25 Quentin PAGÈS

        * Translated using Weblate (Occitan) (9e19aaef)

2023-10-24 Moo

        * Translated using Weblate (Lithuanian) (ab37dd86)

2023-10-20 Jozef Mlich

        * Translated using Weblate (Czech) (0ee44e90)

2023-10-16 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (88846bad)

2023-10-14 gallegonovato

        * Translated using Weblate (Spanish) (812876b9)

2023-10-13 Mike Gabriel

        * release 23.10.0 (844aef1c) (tag: 23.10.0)
        * Translated using Weblate (German) (18b2f8d7)

2023-10-12 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (a852e427)
        * Translated using Weblate (Russian) (db08c65d)

2023-10-11 Wellington Terumi Uemura

        * Translated using Weblate (Portuguese (Brazil)) (bf599a53)

2023-10-11 Heimen Stoffels

        * Translated using Weblate (Dutch) (ec1f5409)

2023-10-11 Mike Gabriel

        * po/: Update translation files. (a761437e)

2023-09-15 gallegonovato

        * Translated using Weblate (Spanish) (016a4218)

2023-09-15 Mike Gabriel

        * Translated using Weblate (German) (9fabcc56)

2023-09-10 Mike Gabriel

        * Merge branch 'tari01-pr/add-rda' (ac1c3d56)

2023-08-06 Robert Tari

        * .build.yml: Add librda dependency (830773c4)
        * debian/control: Add librda dependency (f6e69080)
        * Add remote session detection/termination (52bc8932)

2023-09-06 Luna Jernberg

        * Translated using Weblate (Swedish) (e072850c)

2023-08-06 Robert Tari

        * Merge branch 'liushuyu-main' (bac7bccc)

2023-08-04 Salif Mehmed

        * Translated using Weblate (Bulgarian) (419142b1)
        * Translated using Weblate (Bulgarian) (232e1325)

2023-07-21 liushuyu

        * tests/backend-dbus/mock-login1-seat.cc: fix build with GCC 13
          (8cf9538f)

2023-06-27 Sylke Vicious

        * Translated using Weblate (Italian) (c2f9ad79)

2023-06-22 Joan CiberSheep

        * Translated using Weblate (Catalan) (e8062e7a)

2023-06-14 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (45d4c5c6)
        * Translated using Weblate (Russian) (6727c35d)

2023-06-06 Mike Gabriel

        * release 22.9.2 (0585f9e3) (tag: 22.9.2)
        * Merge branch 'tari01-pr/custom-item' (c09eb8cc)

2023-05-07 Robert Tari

        * Add custom label to admin section (cf32ce6b)
        * CMakeLists.txt: Move project version to CMake's project()
          (514cd389)

2023-05-20 Milo Ivir

        * Translated using Weblate (Croatian) (3977a1e6)

2023-04-27 Mike Gabriel

        * Merge branch 'tari01-pr/hide-admin-section' (5c624d42)

2023-04-06 Robert Tari

        * Add options to hide items in the admin section (b4cabeb1)
        * CMakeLists.txt: Fix CMake version warning (8ab10462)

2023-04-25 Kristjan Räts

        * Translated using Weblate (Estonian) (d62ffc80)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (63086997)

2023-04-06 ssantos

        * Translated using Weblate (Portuguese) (091a6705)

2023-04-07 Mike Gabriel

        * CMakeLists.txt: Fix version number. (b41d25fe)

2023-03-29 Quentin PAGÈS

        * Translated using Weblate (Occitan) (f125c14e)

2023-03-22 Tomáš Marný

        * Translated using Weblate (Czech) (747ee8cc)

2023-03-19 Oğuz Ersen

        * Translated using Weblate (Turkish) (29be7b46)

2023-03-19 Wellington Terumi Uemura

        * Translated using Weblate (Portuguese (Brazil)) (1a831665)

2023-03-20 Heimen Stoffels

        * Translated using Weblate (Dutch) (48e862fa)

2023-03-19 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (0350368d)

2023-03-19 gallegonovato

        * Translated using Weblate (Spanish) (7b33336b)

2023-03-19 Mike Gabriel

        * Translated using Weblate (German) (7fed3824)
        * po/: Translation updates. (ce6eab17)

2023-03-16 Heimen Stoffels

        * Translated using Weblate (Dutch) (c5f9238c)

2023-03-03 gallegonovato

        * Translated using Weblate (Spanish) (c755c65b)
        * Translated using Weblate (Spanish) (83a3256b)

2023-02-28 Mike Gabriel

        * release 22.9.1 (9931b0ba) (tag: 22.9.1)

2023-02-27 Robert Tari

        * Merge branch 'sunweaver-pr/special-handling-for-ubuntu-touch'
          (e2a40789)

2023-02-21 Mike Gabriel

        * src/service.c: Add ellipsis to desktop help. (4e48436b)
        * src/{service.c,dbus-backends/actions.c}: Special treatment if
          running in an Ubuntu Touch session for desktop help,
          distro help and bug reporting URL. (5b53d364)
        * src/utils.c: Code formatting change (no-op change) in
          get_desktop_name(). (8e572015)
        * src/utils.(c|h): Add get_desktop_session() helper function.
          (2f800334)
        * src/dbus-backend/actions.c: Return 'lomiri.com' as Lomiri URL
          (instead of UBports Forum). (8265a6af)

2023-02-14 Robert Tari

        * Merge branch 'sunweaver-pr/full-lomiri-integration' (cbafa7e6)

2023-02-13 Mike Gabriel

        * UnitySession -> LomiriSession: Re-rename related changes that we
          erroneously hid away as Ayatana DesktopSession. (8c4df621)

2023-02-12 Anders Jonsson

        * Translated using Weblate (Swedish) (f9d1e0d6)

2023-02-10 Luna Jernberg

        * Translated using Weblate (Swedish) (99aab0a6)

2022-10-17 Gediminas Murauskas

        * Translated using Weblate (Lithuanian) (455c3e53)

2022-10-07 Eric

        * Translated using Weblate (Chinese (Simplified)) (f0a51b33)

2022-09-29 이정희

        * Translated using Weblate (Korean) (05aafb6b)

2022-09-25 Oğuz Ersen

        * Translated using Weblate (Turkish) (97c08f05)

2022-09-22 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (c1eb182a)

2022-09-16 Eric

        * Translated using Weblate (Chinese (Simplified)) (ef42c425)

2022-09-14 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (79f94750)
        * Translated using Weblate (Russian) (48f0c1c4)

2022-09-14 Wellington Terumi Uemura

        * Translated using Weblate (Portuguese (Brazil)) (e05fbec1)

2022-09-14 Quentin PAGÈS

        * Translated using Weblate (Occitan) (0ef6c599)

2022-09-14 Mike Gabriel

        * release 22.9.0 (fce84911) (tag: 22.9.0)
        * Translated using Weblate (German) (a2c55594)

2022-09-14 Milan Korecky

        * Translated using Weblate (Czech) (d80883f1)

2022-09-14 Mike Gabriel

        * po/*.po{,t}: Translation strings update (esp. source file
          references). (8b9499f7)
        * update-po{,t}.sh: Also catch multi-file source file references.
          (cee76651)

2022-09-14 Eric

        * Translated using Weblate (Chinese (Simplified)) (97b91745)

2022-09-14 Mike Gabriel

        * po/*.po: Update translation strings. (2058a927)

2022-09-13 Robert Tari

        * Merge branch 'sunweaver-pr/fix-and-update-translations' (6bca8f18)

2022-09-11 Mike Gabriel

        * po/ayatana-indicator-session.pot: Update translation template file.
          (fa225cf2)
        * data/org.ayatana.indicator.session.gschema.xml: Add gettext-domain
          property to <schema /> tag. (30b55bb0)
        * data/: Fix translating the indicator's .gschema.xml file.
          (fb1aebac)
        * update-po{,t}.sh: Omit ../ at beginning of file names in .po(t)
          file(s). (dd82acd7)

2022-09-07 Quentin PAGÈS

        * Translated using Weblate (Occitan) (8fc23663)

2022-09-07 Moo

        * Translated using Weblate (Lithuanian) (a016e792)

2022-09-05 Eric

        * Translated using Weblate (Chinese (Simplified)) (01395f8a)

2022-09-06 Wellington Terumi Uemura

        * Translated using Weblate (Portuguese (Brazil)) (d46ee3da)

2022-09-05 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (ed4878a5)

2022-09-05 Mike Gabriel

        * Translated using Weblate (German) (b9aefb32)
        * po/*.po{,t}: Translation strings update. (8b84185c)

2022-07-15 Mike Gabriel

        * Merge branch 'tari01-pr/add-tooltip' (8472d6f0)
        * release 22.2.1 (dd8ead32)
        * release 22.2.1 (22ca3955) (tag: 22.2.1)

2022-07-13 Robert Tari

        * src/service.c: Add tooltip to indicator (61a990a0)

2022-06-26 Mike Gabriel

        * Merge branch 'peat-psuwit-no-lomiri-lock-shortcut' (dabb9205)

2022-06-23 Ratchanan Srirattanamet

        * src/service.c: don't try to show any lockscreen shortcut on Lomiri
          (eff77527)

2022-04-23 Sergii Horichenko

        * Translated using Weblate (Russian) (95096378)

2022-03-31 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (50e3edf9)

2022-03-29 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (734eef7b)

2022-03-21 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (a0b4e072)

2022-03-08 Mike Gabriel

        * Merge branch
          'tari01-pr/read-lockscreen-shortcut-from-lomiri-schemas'
          (aa4aeb40)

2022-03-04 Robert Tari

        * src/service.c: Read Lomiri's lockscreen shortcut from
          lomiri-schemas (04290777)

2022-03-08 Mike Gabriel

        * Merge branch 'tari01-pr/drop-settings-daemons-depends' (62774712)

2022-03-04 Robert Tari

        * debian/control: Drop all settings daemons runtime dependencies
          (e6f63236)

2022-02-17 Mike Gabriel

        * release 22.2.0 (89bff9db) (tag: 22.2.0)

2022-02-16 Mike Gabriel

        * Merge branch 'tari01-pr/drop-cmake-install-full-pkglibexecdir'
          (76070b4c)

2022-02-11 Robert Tari

        * Drop pkglibexecdir and use native CMake file configuration
          (7276ec3b)

2022-02-08 Robert Tari

        * .travis.yml: Run CI builds on Travis CI's Ubuntu focal base system
          (3b04d065)

2022-01-27 Mike Gabriel

        * Merge branch 'tari01-pr/fix-desktop-help-string' (9da96c4b)

2022-01-27 Robert Tari

        * src/service.c: Fix the Desktop Help string (7ec9d3f0)

2022-01-27 Mike Gabriel

        * Merge branch 'tari01-pr/add-phone-systemd-section' (aab117f6)

2022-01-27 Robert Tari

        * data/org.ayatana.indicator.session: Add phone section (f101336d)

2022-01-27 Mike Gabriel

        * Merge branch 'tari01-pr/fix-systemd-target' (da90e08e)

2022-01-27 Robert Tari

        * data/ayatana-indicator-session.service.in: Fix sytemd unit target
          (3a06cb9b)

2022-01-27 Mike Gabriel

        * Merge branch 'tari01-pr/fix-gnome-screensaver-accelerator-key-type'
          (50f9d850)

2022-01-20 Robert Tari

        * Read org.gnome.settings-daemon.plugins.media-keys screensaver as a
          list (838a9b3b)

2022-01-27 Mike Gabriel

        * Merge branch 'tari01-pr/cleanup-compile-flags' (f62c629f)

2021-12-17 Robert Tari

        * .build.yml: Drop extra compilation flags and build with -Werror
          (c77322a1)
        * Clean up compilation flags (d40de8a8)
        * Fix code to build with -Werror (904438ac)

2022-01-24 Eric

        * Translated using Weblate (Chinese (Simplified)) (1ea9f8bd)

2021-12-15 Mike Gabriel

        * Merge branch
          'tari01-pr/build-libayatana-common-with-enable-lomiri-features'
          (35d48d35)

2021-12-06 Robert Tari

        * .build.yml: Build libayatana-common with ENABLE_LOMIRI_FEATURES
          (8e481a71)

2021-11-22 phlostically

        * Translated using Weblate (Esperanto) (3bf32659)

2021-11-20 phlostically

        * Translated using Weblate (Esperanto) (918e5bdd)

2021-11-18 phlostically

        * Translated using Weblate (Esperanto) (3f129aaa)

2021-11-17 Mike Gabriel

        * release 0.9.0 (49265d28) (tag: 0.9.0)

2021-11-09 Joan CiberSheep

        * Translated using Weblate (Catalan) (871d919a)

2021-11-03 Mike Gabriel

        * Merge branch 'tari01-pr/use-ayatana-mock-user' (d08d7466)

2021-11-03 Robert Tari

        * Use Ayatana as mock user (838e2ff7)
        * Merge branch 'sunweaver-pr/remove-superfluous-files' (3834947c)

2021-11-02 Mike Gabriel

        * build.sh: Drop file. Not needed here. (cdc973d0)
        * Drop trim-lcov.py. Autotools related file. (32e7730f)
        * Merge branch 'tari01-pr/drop-merge-review' (7d87d4cf)

2021-11-02 Robert Tari

        * Drop all references to MERGE-REVIEW (8fed06b4)

2021-10-25 Robert Tari

        * Merge branch 'sunweaver-pr/travis-cleanup' (e30bc008)

2021-10-25 Mike Gabriel

        * .build.yml: Remove source code of locally built dependency after it
          has been installed. (50eab489)
        * .build.yml: Run unit tests in build_scripts: target. (f7e6c7ba)
        * .build.yml: Drop autogen.sh support. (37e12bc9)

2021-10-22 Robert Tari

        * data/CMakeLists.txt: Do not use automatic GSchema compilation
          (c6ce1b05)

2021-10-21 Mike Gabriel

        * Merge branch 'tari01-pr/use-intltool-merge-translations' (72f7e021)

2021-10-21 Robert Tari

        * data/CMakeLists.txt: Use intltool_merge_translations instead of
          execute_process (1f84bc4c)

2021-10-21 Mike Gabriel

        * Merge branch 'tari01-pr/drop-gcov-module' (1b5c1984)

2021-10-21 Robert Tari

        * cmake/GCov.cmake: Drop redundant file (051459be)

2021-10-21 Mike Gabriel

        * Merge branch 'tari01-pr/use-native-cmake-intltool-module'
          (c4967935)

2021-10-20 Robert Tari

        * Use native CMake Intltool module (e671e0e4)

2021-10-21 Mike Gabriel

        * Merge branch 'tari01-pr/use-native-cmake-gsettings' (590f9614)

2021-10-19 Robert Tari

        * data/CMakeLists.txt: Use native CMake GSettings module (27ca88b2)

2021-10-21 Mike Gabriel

        * Merge branch
          'tari01-pr/replace-deprecated-g-spawn-check-exit-status'
          (21588e91)

2021-10-19 Robert Tari

        * src/backend-dbus/actions.c: Replace deprecated
          g_spawn_check_exit_status (607b5035)

2021-10-20 Robert Tari

        * .travis.yml: Temporarily disable ppc64le builds (96c7eb51)

2021-10-18 Mike Gabriel

        * Merge branch 'tari01-pr/update-ido-names' (b89a13f7)

2021-09-20 Robert Tari

        * Update Ayatana IDO names (182d91b9)

2021-09-02 Robert Tari

        * Merge branch 'pr/fix-ubuntu-tests' (cc2344a9)
        * .build.yml: Add dbus dependency for Ubuntu builds (7797f06c)
        * .build.yml: Also run unit tests during CI builds against Ubuntu.
          (6b22b334)
        * Fix Travis status image (0a238e4b)

2021-08-29 Hosted Weblate

        * Update translation files (0e5b7464)

2021-08-29 Mike Gabriel

        * debian/{control,compat}: Bump to level 10. (b46a40c6)
        * debian/rules: Enable unit tests with the new way. (1eefebc5)

2021-08-28 Weblate

        * Added translation using Weblate (Kurdish (Southern)) (5184aea4)
        * Added translation using Weblate (Kurdish (Northern)) (da2729fc)

2021-08-28 Mike Gabriel

        * po/: Drop zh_Hant.po: Drop duplicate file for Chinese
          (Tranditional) and adjust LINGUAS files. (e76cb186)
        * .travis.yml: Fix branch name what is now the default branch in
          ayatana-dev-scripts. (503f7e08)
        * Merge branch 'tari01-pr/drop-lomiri-url-dispatcher' (abb110ea)

2021-08-27 Robert Tari

        * .build.yml: Add missing libayatana-common dependencies for
          ArchLinux (2d13ddd1)
        * .build.yml: Drop lomiri-url-dispatcher dependency (5a76f106)
        * src/CMakeLists.txt: Drop unused URL_DISPATCHER code (4dbc6378)

2021-08-28 Mike Gabriel

        * Merge branch 'tari01-pr/add-header-title' (a3ce3880)

2021-08-20 Robert Tari

        * src/service.c: Add System title to the header (77f1d41d)

2021-08-28 Mike Gabriel

        * Merge branch 'sunweaver-pr/debian-11-is-now-stable' (9330d8de)
        * .build.yml: Add new build requirements for libayatana-common to
          dependency blocks. (cfc128fc)
        * .build.yml: Drop extra-dependency block for debian:stable (now that
          Debian 11 is released). (525ae3ab)

2021-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/no-pie-only-in-tests' (ce534e84)

2021-08-10 Robert Tari

        * Use -no-pie build flag for tests only (6472b6f7)

2021-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/add-enable-werror-option' (d9340bfd)

2021-08-09 Robert Tari

        * Add ENABLE_WERROR option (13f51c1d)

2021-07-17 Robert Tari

        * Revert "Travis CI: Limit CI builds to direct pushes, if not from
          weblate user or pull request coming from a forked Git
          repo." (0d59a1e9)

2021-07-16 Robert Tari

        * Merge branch 'sunweaver-pr/limit-ci-builds' (4ea1bf99)

2021-06-27 GM

        * Translated using Weblate (Lithuanian) (65d0a1e3)

2021-07-15 Mike Gabriel

        * Travis CI: Limit CI builds to direct pushes, if not from weblate
          user or pull request coming from a forked Git repo.
          (d9743467)

2021-06-27 GM

        * Translated using Weblate (Lithuanian) (3ea5f607)

2021-06-27 Mike Gabriel

        * README.md: Add missing parenthesis close. (fe8e2958)

2021-06-24 Mike Gabriel

        * Merge branch 'tari01-pr/ubports-patches' (e2864842)

2016-04-08 Marco Trevisan (Treviño)

        * Actions: add force-restart-menuitem option to make it visible in
          any environments (44fb1ec0)
        * Ensure we request the UI to verify restart availability when unity
          proxy connects/disconnects (dd4e19f3)

2016-03-15 Michael Terry

        * Only use Lomiri schema if it's installed to avoid hard dependency
          (df4c24eb)

2016-03-15 Lukáš Tinkl

        * change the About string only for u8 (31d06b6a)

2016-03-09 Lukáš Tinkl

        * open https://forums.ubports.com under Lomiri (a7f9ed4a)

2016-03-08 Lukáš Tinkl

        * use ellipsis and convergence friendly "about" caption (9b7b8400)
        * plug a memleak (b5ac3ae6)
        * add "Desktop mode" switch for Lomiri (ed386e9d)

2021-06-11 Robert Tari

        * README.md: Minor fix to give it a standard look (58689779)
        * INSTALL.md: Add cmake-extras dependency (6eb45f16)

2021-06-11 Mike Gabriel

        * Merge branch 'tari01-pr/cmake-install-full' (e01d64bb)

2021-06-11 Robert Tari

        * data/CMakeLists.txt: Use CMAKE_INSTALL_FULL_*DIR locations
          (7d21745c)

2021-06-11 Mike Gabriel

        * debian/control: Add to B-D: cmake-extras. (40642daf)
        * Merge branch 'tari01-pr/cmake-extras-tests-coverage' (cc15d245)

2021-06-11 Robert Tari

        * Convert testing and coverage reporting to cmake-extras style
          (887b5f92)

2021-06-10 Mike Gabriel

        * Merge branch 'tari01-pr/ayatana-standard-cmake' (a2aac2de)

2021-06-10 Robert Tari

        * CMakeLists.txt: Add Ayatana standard bits (dc1081e7)

2021-06-07 Robert Tari

        * Merge branch 'sunweaver-pr/update-documentation-files' (7c2b8798)

2021-06-07 Mike Gabriel

        * INSTALL.md: Use correct pkg-config library names in
          build-dependency section. (a631738b)

2021-05-04 Mike Gabriel

        * INSTALL.md: Drop optional build requirement of
          liblomri-url-dispatcher-dev, add compulsory requirement of
          libayatana-common-dev. (01082324)

2021-05-01 Mike Gabriel

        * README.md: Add Travis-CI build status icon, add general Ayatana
          Indicators information. (51a0ece7)
        * INSTALL.md: Renamed from INSTALL file; adjust to updated test and
          coverage CMake build options. (1aef23ab)

2021-06-07 Mike Gabriel

        * Merge branch 'tari01-pr/fix-cmake-deprecation-warning' (479aefda)

2021-06-02 Robert Tari

        * Fix CMake deprecation warning (83e352d0)

2021-06-04 Hosted Weblate

        * Update translation files (9d9e7775)

2021-06-03 Weblate

        * Added translation using Weblate (Chinese (Traditional)) (e4db6d93)

2021-06-03 Hosted Weblate

        * Update translation files (8c1670c7)

2021-05-25 Robert Tari

        * Merge branch 'sunweaver-libayatana-common' (eced932e)

2021-05-17 Boyuan Yang

        * Translated using Weblate (Chinese (Simplified)) (4a6696a9)

2021-05-04 Mike Gabriel

        * debian/control: Drop optional B-D on liblomiri-url-dispatcher-dev.
          Add required B-D: libayatana-common-dev (>= 0.9.2).
          (3c10474f)

2021-01-11 Marius Gripsgard

        * Move common parts over to libayatana-common and clean up (dc7faa22)

2021-05-04 Mike Gabriel

        * CMakeLists.txt: Require libayatana-common (>= 0.9.2). (7803227f)

2021-05-17 Boyuan Yang

        * Translated using Weblate (Chinese (Simplified)) (3b9fe90e)

2021-05-04 Mike Gabriel

        * .travis.yml: Don't try running autotools based CI build. (09c1a589)

2021-05-03 Mike Gabriel

        * .build.yml: URL fixes (copy+paste flaws). (0a3f7f64)

2021-05-03 Robert Tari

        * Merge branch
          'sunweaver-pr/travis-ci-build-libayatana-common-from-git'
          (9318a4a6)

2021-05-01 Tomáš Marný

        * Translated using Weblate (Czech) (689c38c5)

2021-05-02 Mike Gabriel

        * Travis CI: Obtain libayatana-common from upstream Git (not from
          distro archives). (15d213db)

2021-05-01 Tomáš Marný

        * Translated using Weblate (Czech) (faf1fa15)

2021-05-01 Mike Gabriel

        * Merge branch 'tari01-pr/budgie-support' (4b8dc293)

2020-08-27 Robert Tari

        * Add Budgie support. (75cbf7ac)

2021-05-01 Mike Gabriel

        * Merge branch 'tari01-pr/remove-gtk-update-icon-cache' (01510e1e)

2021-02-12 Robert Tari

        * Do not update icon cache from CMake (19926252)

2021-04-28 Robert Tari

        * Merge branch 'sunweaver-pr/travis-ci' (f679c07d)

2021-04-28 Mike Gabriel

        * CMakeLists.txt: Check for path variation on where to find
          googletest source files. (651a8c3e)

2021-04-27 Mike Gabriel

        * .build.yml: Produce verbose test output on test failures.
          (f25aaab7)
        * tests/CMakeLists.txt: Only copy test .gschema.xml files, if source
          and target folder differ. (75430803)
        * .build.yml: Use special set of build requirements for ubuntu:focal
          and debian:stable. (0534fb8c)
        * .travis.yml: Use AyatanaIndicators version of docker-build script.
          (e1711fc7)
        * tests/backend-dbus/CMakeLists.txt: Fix dependecy name: dbusbackend
          -> backenddbus). (dc0247dc)
        * debian/rules: Explicitly enable unit tests during/after build.
          (6b7d310d)
        * CMakeLists.txt: Rename enable_tests to ENABLE_TESTS (disabled by
          default) and enable_lcov to ENABLE_COVERAGE (disabled by
          default). (52f9bbbe)
        * Travis-CI: Initial draft for CI builds. (1b140eb5)

2021-03-30 Hosted Weblate

        * Update translation files (76f02c94)

2021-03-29 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (c99badc6)

2021-03-01 Mike Gabriel

        * Merge branch 'tari01-pr/fix-distro-help-url' (5d84e8cb)

2021-03-01 Robert Tari

        * src/utils.c: Try to use SUPPORT_URL in get_distro_url (96bd3d81)
        * Whitespace fix (5e4d79e9)

2021-02-08 Michalis

        * Translated using Weblate (Greek) (8c9c4074)

2021-02-04 Michalis

        * Translated using Weblate (Greek) (74186e70)

2021-02-03 Robert Tari

        * Merge branch 'sunweaver-pr/port-to-lomiri-url-dispatcher'
          (36aa18a1)

2021-02-02 Mike Gabriel

        * tests/backend-dbus/CMakeLists.txt: Make sure gdbus-codegen commands
          (backend-dbus) have run before building the desktopmock
          tests. Fixes parallel build issues. (70acec32)

2021-02-03 Robert Tari

        * Merge branch
          'sunweaver-pr/parallel-build-fix-gdbus-codegen-needed-tests-are-built'
          (240471b3)

2021-02-02 Mike Gabriel

        * tests/backend-dbus/CMakeLists.txt: Make sure gdbus-codegen commands
          (backend-dbus) have run before building the desktopmock
          tests. Fixes parallel build issues. (919a81f2)
        * debian/control: Replace liburl-dispatcher1-dev by
          liblomiri-url-dispatcher-dev in B-D field. (117365b5)
        * Switch from URL Dispatcher to Lomiri URL Dispatcher. (997adcbf)

2021-01-28 Mike Gabriel

        * release 0.8.2 (969261ba) (tag: 0.8.2)

2021-01-13 Yoshida Shouyou

        * Translated using Weblate (French) (bba61801)

2020-12-30 J. Lavoie

        * Translated using Weblate (Italian) (31ee0e1d)

2020-11-26 Ács Zoltán

        * Translated using Weblate (Hungarian) (56c077bf)

2020-11-17 Quentin PAGÈS

        * Translated using Weblate (Occitan) (243e0d0e)

2020-11-11 Oğuz Ersen

        * Translated using Weblate (Turkish) (ea800dfb)

2020-11-09 Milan Korecky

        * Translated using Weblate (Czech) (0f19de5a)

2020-10-29 Milan Korecky

        * Translated using Weblate (Czech) (8cb1255b)

2020-10-28 Joan CiberSheep

        * Translated using Weblate (Catalan) (8bfdd72d)

2020-10-27 Hosted Weblate

        * Update translation files (25971f0e)

2020-10-26 Weblate

        * Added translation using Weblate (Afar) (94c0e6b9)
        * Added translation using Weblate (Assamese) (a2356837)
        * Added translation using Weblate (Wolof) (e85a0545)

2020-10-23 Quentin PAGÈS

        * Translated using Weblate (Occitan) (d3363e46)

2020-10-12 Nicholas Guriev

        * Translated using Weblate (Russian) (65ae835c)

2020-10-04 Michal Čihař

        * Translated using Weblate (Hungarian) (1e422b89)
        * Translated using Weblate (Arabic) (de5e4ae2)

2020-09-28 Quentin PAGÈS

        * Translated using Weblate (Occitan) (867210ab)

2020-09-28 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (469f2e33)

2020-09-25 Talking Panda

        * Translated using Weblate (Turkish) (dd49d62e)

2020-09-24 Quentin PAGÈS

        * Translated using Weblate (Occitan) (7a1d8087)

2020-09-23 Viktar Vauchkevich

        * Translated using Weblate (Belarusian) (e97bbf2c)

2020-09-20 Mike Gabriel

        * Merge branch 'tari01-pr/icons-dir' (94dfc37d)

2020-09-19 Robert Tari

        * CMakeLists.txt: Fix duplicate icons directory (b5b656e7)
        * Whitespace fix (6385ea59)

2020-09-10 Mike Gabriel

        * release 0.8.1 (2ed9c237) (tag: 0.8.1)
        * Merge branch 'tari01-pr/trim-lcov-py3' (7938e6ea)

2020-09-10 Robert Tari

        * trim-lcov.py: Port trim-lcov to Python 3 (a78a6591)

2020-09-05 Mike Gabriel

        * Merge branch 'tari01-pr/suppress-logout' (948126c9)

2020-09-01 Robert Tari

        * src/service.c: Fix suppression of Logout item. (ba837fdb)

2020-09-04 antuketot76

        * Translated using Weblate (Malay) (104ea839)

2020-08-31 Mike Gabriel

        * Merge branch 'tari01-pr/deprecations-warnings' (c623dec2)

2020-08-31 Robert Tari

        * Fix deprecated symbols and build warnings (cacf569a)
        * Whitespace fix (a8b91592)

2020-08-26 Mike Gabriel

        * Merge branch 'tari01-pr/deprecations-and-warnings' (7379a3dc)

2020-08-24 Robert Tari

        * Fix deprecations and build warnings (cd78667f)
        * Whitespace fix (b3cd9e10)

2020-08-21 Mike Gabriel

        * Translated using Weblate (German) (9ebe29d4)

2020-08-21 Federica Govoni

        * Added translation using Weblate (Italian) (08cd639e)

2020-08-21 Mike Gabriel

        * README.md: Mention Lomiri, XFCE and LXDE; plus some typo
          improvements. (ee9db402)

2020-08-17 Mike Gabriel

        * release 0.8.0 (0acb1baa) (tag: 0.8.0)

2020-08-11 Mike Gabriel

        * Merge branch 'tari01-pr/replace-x-canonical-attributes' (12109329)

2020-08-11 Robert Tari

        * Replace x-canonical attributes (900c8241)
        * Merge branch 'sunweaver-pr/drop-upstart-support' Attributes GH PR
          #9:
          https://github.com/AyatanaIndicators/ayatana-indicator-session/pull/9
          (6a989d2b)

2020-08-10 Mike Gabriel

        * Drop all references to upstart. (456ef4bf)
        * debian/ayatana-indicator-session.links: Add FIXME/reminder to drop
          manual symlinking of systemd user service file once DH
          compat level is raised to a level above 12. (3e9ceaf2)

2020-08-09 Marius Gripsgard

        * Start indicator in systemd when ayatana-indicators.target is
          started (ee4c1ca7)

2020-08-06 Nazim-ua

        * Translated using Weblate (Ukrainian) (9d29d507)

2020-08-06 Mike Gabriel

        * debian/control: Drop B-D python. Not used (in cmake/GCov.cmake).
          (ceeca058)

2020-07-29 UnlimiTed Channel

        * Translated using Weblate (Thai) (b7a8a041)

2020-07-28 Google update 2020

        * Translated using Weblate (Thai) (9c1406d0)

2020-07-28 Kristjan Räts

        * Translated using Weblate (Estonian) (65f59016)

2020-07-24 Mike Gabriel

        * CMakeLists.txt: Drop workaround for missing libexec dir on Debian.
          Debian moved forward and now supports FHS 3.0 (since
          Debian Policy 4.1.5). (8b106227)

2020-07-07 Google update 2020

        * Translated using Weblate (Thai) (b0e201ca)

2020-06-14 MarongHappy

        * Translated using Weblate (Korean) (91d5b708)

2020-05-30 Juraj Liso

        * Translated using Weblate (Slovak) (dcd2e4b2)

2020-05-27 wdggg

        * Translated using Weblate (Chinese (Simplified)) (3851fde0)

2020-05-24 wdggg

        * Translated using Weblate (Chinese (Simplified)) (75863339)

2020-05-22 george k

        * Translated using Weblate (Greek) (168d5992)

2020-05-11 rashed hasan

        * Translated using Weblate (Macedonian) (55faf2b1)

2020-05-08 Abdusalam

        * Translated using Weblate (Uyghur) (4d04e441)

2020-05-09 iNetRoos

        * Translated using Weblate (Afrikaans) (6a5cc025)

2020-04-28 Mohammed Abd ElFattah Darwesh

        * Translated using Weblate (Arabic) (493d224b)

2020-04-27 Jeannette L

        * Translated using Weblate (Italian) (817cf59a)
        * Translated using Weblate (French (Canada)) (1e8802db)
        * Translated using Weblate (Finnish) (d4ac2305)
        * Translated using Weblate (English (United Kingdom)) (449ec4af)
        * Translated using Weblate (English (Canada)) (d467e8b6)
        * Translated using Weblate (English (Australia)) (ecbdbbca)

2020-04-16 george k

        * Translated using Weblate (Greek) (4b1399f3)

2020-04-14 Barbul Gergő

        * Translated using Weblate (Hungarian) (d86511c7)

2020-04-15 Jeannette L

        * Translated using Weblate (French) (eb967f4d)

2020-04-04 Kristjan Räts

        * Translated using Weblate (Estonian) (9f80c6a0)

2020-04-03 raimon ribal

        * Translated using Weblate (Catalan) (06d4bd22)

2020-04-03 Allan Nordhøy

        * Translated using Weblate (Arabic) (58e966fb)

2020-04-01 Johntini

        * Translated using Weblate (Spanish) (935dc35c)

2020-03-24 Violeta Uzunova

        * Translated using Weblate (Bulgarian) (997b330e)

2020-03-17 yagoub fadel

        * Translated using Weblate (Arabic) (c6001736)

2020-03-16 Grace Guo

        * Translated using Weblate (Japanese) (2fb67edb)

2020-02-25 Wellington Terumi Uemura

        * Translated using Weblate (Portuguese (Brazil)) (e20dd3fc)

2020-02-22 Amr Karajah

        * Translated using Weblate (Arabic) (963deb65)

2020-02-20 Roman Rokon

        * Translated using Weblate (Bengali) (8a4a8c65)

2020-02-15 Hosted Weblate

        * Update translation files (76b774d9)

2020-01-25 Emiliano Gabriele

        * Translated using Weblate (Italian) (c75119de)

2020-01-19 Heimen Stoffels

        * Translated using Weblate (Dutch) (62a82f27)

2020-01-04 ssantos

        * Translated using Weblate (Portuguese) (b1059822)

2020-01-02 Milo Ivir

        * Translated using Weblate (Croatian) (5d9bbc72)

2019-11-27 Mike Gabriel

        * release 0.4.4 (d7824c2d) (tag: 0.4.4)

2019-11-23 Niara

        * Translated using Weblate (Russian) (2a28317e)

2019-11-14 winqooq

        * Translated using Weblate (Russian) (372ec8f1)

2019-10-30 Marcela Korreshi

        * Translated using Weblate (Albanian) (6bd94985)

2019-10-13 Abhay Patel

        * Translated using Weblate (Hindi) (bbf2a469)

2019-10-07 Mateusz Rumiński

        * Translated using Weblate (Polish) (ff26296c)

2019-09-07 Abraham Roman

        * Translated using Weblate (Spanish) (c6643f8a)

2019-09-02 Swann Martinet

        * Translated using Weblate (French) (633600bc)

2019-09-01 Moo

        * Translated using Weblate (Lithuanian) (7d16fd97)

2019-08-29 Anders Jonsson

        * Translated using Weblate (Swedish) (35b73351)

2019-08-28 Heimen Stoffels

        * Translated using Weblate (Dutch) (04781770)

2019-08-29 Mike Gabriel

        * Translated using Weblate (German) (167a3998)

2019-08-28 Mike Gabriel

        * update locale files (5de79be1)

2019-08-27 leela

        * Translated using Weblate (Burmese) (679bb8a9)
        * Translated using Weblate (Kazakh) (2df6eed2)
        * Translated using Weblate (Malayalam) (679c6b95)
        * Translated using Weblate (Tibetan) (29170933)

2019-08-28 Mike Gabriel

        * Merge branch 'leela52452-master' (db6033dd)

2019-08-25 leela

        * Translated using Weblate (Telugu) (8d39b020)

2019-08-28 leela

        * add trailing stop "Remove the... session menu" (a6ece3fb)
        * add trailing stop "Remove the... session menu" (b41e8469)

2019-08-25 leela

        * Translated using Weblate (Telugu) (bbb6fff9)

2019-07-22 Pierre Soubourou

        * Translated using Weblate (Esperanto) (d3282c01)

2019-07-10 naltul opsu

        * Translated using Weblate (Russian) (8f21b930)

2019-07-01 Elizabeth Sherrock

        * Translated using Weblate (Chinese (Simplified)) (95ef362a)

2019-06-28 Patrick Heijmann

        * Translated using Weblate (Dutch) (0c22bb11)

2019-05-18 THANOS SIOURDAKIS

        * Translated using Weblate (Greek) (609133a3)

2019-04-17 Rui Mendes

        * Translated using Weblate (Portuguese) (06ebdfe2)

2019-03-25 Ido Dana

        * Translated using Weblate (Hebrew) (d1306cb6)

2019-01-26 ssantos

        * Translated using Weblate (Portuguese) (27d84bc4)

2019-01-11 Louies

        * Translated using Weblate (Chinese (Traditional)) (ded7ad45)

2018-11-28 Mesut Akcan

        * Translated using Weblate (Turkish) (4c3762ac)

2018-11-18 ssantos

        * Translated using Weblate (Portuguese) (eebc2ec5)

2018-10-23 Iván Seoane

        * Translated using Weblate (Galician) (ebd3048a)

2018-09-29 Володимир Бриняк

        * Translated using Weblate (Ukrainian) (fae733ac)

2018-09-27 Володимир Бриняк

        * Translated using Weblate (Ukrainian) (f700c611)

2018-09-27 Pavel Borecki

        * Translated using Weblate (Czech) (f5255f78)

2018-08-31 WaldiS

        * Translated using Weblate (Polish) (d4842886)

2018-08-29 WaldiS

        * Translated using Weblate (Polish) (8410e6cb)

2018-08-25 WaldiS

        * Translated using Weblate (Polish) (02a6bf87)

2018-08-23 WaldiS

        * Translated using Weblate (Polish) (adc49bee)

2018-11-16 Mike Gabriel

        * debian/control: Add B/R for indicator-session. The packages
          a-i-session and i-session share the same artwork files.
          (4e68b4a2)

2018-08-21 Mike Gabriel

        * release 0.4.3 (70f8d937) (tag: 0.4.3)

2018-07-29 chrismeurer

        * Translated using Weblate (Portuguese (Brazil)) (19e273b6)

2018-07-07 Doma Gergő

        * Translated using Weblate (Hungarian) (7f02bedc)

2018-06-17 advocatux

        * Translated using Weblate (Spanish) (7f2cf5cf)
        * Translated using Weblate (Spanish) (599e4ba5)

2018-06-08 ۋولقان

        * Translated using Weblate (Uyghur) (01f41c96)

2018-05-18 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (b135fbf0)

2018-04-24 Kristjan Räts

        * Translated using Weblate (Estonian) (534cef0b)

2018-04-17 Dariusz Król

        * Translated using Weblate (Polish) (13c85e72)

2018-04-04 Pavel Borecki

        * Translated using Weblate (Czech) (072c25e6)
        * Translated using Weblate (Czech) (e024ce4f)
        * Translated using Weblate (Czech) (a9ff6a85)
        * Translated using Weblate (Czech) (10c093f4)

2018-03-31 Allan Nordhøy

        * Translated using Weblate (Vietnamese) (8557d1fc)
        * Translated using Weblate (Valencian) (910b3437)
        * Translated using Weblate (Uyghur) (ae974603)
        * Translated using Weblate (Ukrainian) (81256645)
        * Translated using Weblate (Thai) (027dd0a3)
        * Translated using Weblate (Telugu) (de146f14)
        * Translated using Weblate (Slovenian) (7c725d0e)
        * Translated using Weblate (Slovak) (4442aabf)
        * Translated using Weblate (Serbian) (213533d0)
        * Translated using Weblate (Romanian) (9e1d4bc9)
        * Translated using Weblate (Portuguese (Brazil)) (226603a7)
        * Translated using Weblate (Polish) (ab1001f5)
        * Translated using Weblate (Occitan) (40cafe9d)
        * Translated using Weblate (Marathi) (3ada8f8a)
        * Translated using Weblate (Malayalam) (10c8ad76)
        * Translated using Weblate (Malay) (3d01887a)
        * Translated using Weblate (Kurdish) (1b0df829)
        * Translated using Weblate (Korean) (3073aeba)
        * Translated using Weblate (Kazakh) (a7d2dd68)
        * Translated using Weblate (Kannada) (5e47dd1f)
        * Translated using Weblate (Japanese) (15569e0b)
        * Translated using Weblate (Icelandic) (1dca7a20)
        * Translated using Weblate (Hindi) (aa32ca65)
        * Translated using Weblate (Georgian) (7ef925bd)
        * Translated using Weblate (Friulian) (df67cdcd)
        * Translated using Weblate (Frisian) (2c76b6bb)
        * Translated using Weblate (French) (2c54e63a)
        * Translated using Weblate (Finnish) (8fa2cfb3)
        * Translated using Weblate (Dhivehi) (a7062860)
        * Translated using Weblate (Danish) (53a6d489)
        * Translated using Weblate (Croatian) (48db96d3)
        * Translated using Weblate (Chinese (Traditional)) (d6f02322)
        * Translated using Weblate (Chinese (Hong Kong)) (9b217977)
        * Translated using Weblate (Central Khmer) (1d341e7b)
        * Translated using Weblate (Burmese) (31d783a2)
        * Translated using Weblate (Breton) (17f5d161)
        * Translated using Weblate (Bosnian) (ad67ba6b)
        * Translated using Weblate (Bengali) (1f13326f)
        * Translated using Weblate (Asturian) (72e6743e)
        * Translated using Weblate (Armenian) (16e4fa7c)
        * Translated using Weblate (Arabic) (89ba7793)
        * Translated using Weblate (Albanian) (9c13e589)
        * Translated using Weblate (Welsh) (5e081cfa)
        * Translated using Weblate (Turkish) (0cc8eaae)
        * Translated using Weblate (Tatar) (e4ac212b)
        * Translated using Weblate (Punjabi) (dea2a1cb)
        * Translated using Weblate (Portuguese) (1bdcb582)
        * Translated using Weblate (Norwegian Bokmål) (6661b40a)
        * Translated using Weblate (Manx) (a67688d1)
        * Translated using Weblate (Luxembourgish) (2998d824)
        * Translated using Weblate (Latvian) (300fcc4b)
        * Translated using Weblate (Kashubian) (45c2194d)
        * Translated using Weblate (Italian) (dc6fe26e)
        * Translated using Weblate (Greek) (9ed48fda)
        * Translated using Weblate (Galician) (8fd68247)
        * Translated using Weblate (Gaelic) (a4c54313)
        * Translated using Weblate (Esperanto) (5791fcdd)
        * Translated using Weblate (Czech) (01404923)
        * Translated using Weblate (Chinese (Simplified)) (0a037589)
        * Translated using Weblate (Catalan) (47056a8d)
        * Translated using Weblate (Basque) (dabc374d)
        * Translated using Weblate (Azerbaijani) (460cf4de)
        * Translated using Weblate (Amharic) (b7e044a4)
        * Translated using Weblate (Manx) (971a28bd)
        * Translated using Weblate (Norwegian Bokmål) (af8216a1)
        * Translated using Weblate (Norwegian Bokmål) (6d714a20)

2018-03-30 Anders Jonsson

        * Translated using Weblate (Swedish) (98d6c650)

2018-03-30 Moo

        * Translated using Weblate (Lithuanian) (154f04eb)

2018-03-29 Anders Jonsson

        * Translated using Weblate (Swedish) (56c7912a)

2018-03-29 Viktar Vauchkevich

        * Translated using Weblate (Belarusian) (95dede30)

2018-04-19 Mike Gabriel

        * README.md: use mdash rather than '--'. (b5119189)
        * README -> README.md (+ retain README as symlink) (a40abfbb)
        * README: Convert to markdown. (3aa833dd)
        * Update README. (6d884c4e)

2018-03-28 Mike Gabriel

        * Translated using Weblate (German) (c2abd3f1)
        * Translated using Weblate (German) (af0aee65)
        * po: update translation files. (1a3e9c3a)

2018-03-25 Moo

        * Translated using Weblate (Lithuanian) (9706a9d1)

2018-03-28 Mike Gabriel

        * debian/control: Add laternative settings daemon for XFCE to
          Depends: field (although not used on XFCE4). This avoids
          non-XFCE4 packages being pulled in on installation of the
          -session indicator when used on XFCE desktops. (5e72e5da)
        * debian/control: Recommend having a WWW browser available, on XFCE4
          it is used for accessing the desktop manual, so listing it
          as an alternative to yelp. (ff5ce1f1)
        * debian/control: Don't pull-in non-XFCE4 stuff for people that have
          XFCE4 already installed and want to use Ayatana Indicators
          on top of that. (9e9bb175)

2018-03-25 Mike Gabriel

        * Add 'Report a bug...' item to the session menu. (77192507)
        * Reintroduce optional url-dispatcher support. (c00d3d13)

2018-03-21 Mike Gabriel

        * Translated using Weblate (German) (80a129dd)
        * po: update translation template (e7a081eb)

2018-03-12 Максим Якимчук

        * Translated using Weblate (Ukrainian) (b74aa303)

2018-03-03 Максим Якимчук

        * Translated using Weblate (Ukrainian) (2cf02391)

2018-03-01 Moo

        * Translated using Weblate (Lithuanian) (094d85d4)

2018-03-21 Mike Gabriel

        * src/backend-dbus/actions.c: Show warnings if no web browser is
          installed (for distro help and XFCE desktop help).
          (18ee0cee)
        * rebase code duplication (c3939316)
        * my_desktop_help(): Don't always fallback to empty yelp call, rather
          show a warning that we don't know how to access the
          currently running desktop's user guide or help center.
          (46ddf4f5)
        * src/utils.(c|h): Reduce code duplications in desktop env detection
          code. (5a695ecb)
        * tests/test-service.c: Explicitly use curly braces for one-liner if
          statements. (1ace3aee)
        * src/service.c: Type-cast assignment from g_object_ref() to avoid
          incompatible pointer type compiler warning. (ba9a3978)
        * Add XFCE Support. (6a0b2ef7)

2018-03-12 Mike Gabriel

        * tests/CMakeLists.txt: Handle custom command indirectly via custom
          target. (eb297fbb)

2018-02-28 Mike Gabriel

        * NEWS: Fix c+p flaw. (733ca45d)
        * release 0.4.2 (ef1dd751) (tag: 0.4.2)

2018-02-28 Мира Странная

        * Translated using Weblate (Russian) (106fd097)
        * Translated using Weblate (Armenian) (80999e35)

2018-02-20 Veselin Georgiev

        * Translated using Weblate (Bulgarian) (0898d410)
        * Translated using Weblate (Bulgarian) (84399646)

2018-02-04 Michal Čihař

        * Translated using Weblate (Arabic) (92c8f8b6)

2018-01-27 Mutaz Tayyeb AbuSaad

        * Translated using Weblate (Arabic) (69181dac)

2018-01-01 Anders Jonsson

        * Translated using Weblate (Swedish) (eb964e5f)

2018-01-04 Yaron Shahrabani

        * Translated using Weblate (Hebrew) (7849a288)

2017-12-31 Sebastian Rasmussen

        * Translated using Weblate (Swedish) (65d62256)
        * Translated using Weblate (Swedish) (59373fd4)

2017-12-07 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (efbd70ca)

2017-12-06 Mike Gabriel

        * data/ayatana-indicator-session.desktop.in: Add XFCE to OnlyShowIn=
          key. (89373478)
        * Rename GNOMELOCALEDIR -> LOCALEDIR. (7a4c5c61)

2017-12-05 Mike Gabriel

        * debian/postinst: Drop file. The libglib2.0-bin package has trigger
          for schema compilation these days (and this for ages,
          actually). (86bf6f75)

2017-12-04 Mike Gabriel

        * debian/changelog: Bump upstream to a development version.
          (2ff8ca38)

2017-12-02 Mike Gabriel

        * debian/control: Fix D (glib2.0-bin -> libglib2.0-bin). (9a828b40)
        * debian/{control,postinst}: Recompile GSettings schemas at post
          installation. (f4af8fcf)

2017-11-29 Mike Gabriel

        * po/*.pot: Update translation files once more. (6fc47748)
        * po/: Update translation files once more. (fac8cf4a)
        * update-po.sh: Preserve .pot file when updating *.po files.
          (8df2d9cc)

2017-11-07 Emmanuella Rumanti

        * Translated using Weblate (Indonesian) (b611b31d)

2017-11-05 Kristjan Räts

        * Translated using Weblate (Estonian) (e1ed8b96)

2017-11-29 Mike Gabriel

        * po/*.po: Update with now correct file names for .xml files.
          (2be3e5cc)
        * update-po.sh: Fix filenames of .ini(.in) and .xml(.in) files in po
          files. (2cd60cc3)
        * update-pot.sh: Drop enable-debug shell command. (fcb6a09d)
        * po/ayatana-indicator-session.pot: Update with now correct file
          names for .xml files. (92a3333a)
        * update-pot.sh: Fix filenames of .ini(.in) and .xml(.in) files in po
          template file. (a9eb3ba2)

2017-10-12 Matteo F. Vescovi

        * Translated using Weblate (Italian) (907759ed)
        * Translated using Weblate (Italian) (b5b3d4b4)

2017-10-24 Mike Gabriel

        * release 0.4.1 (0d436e36) (tag: 0.4.1)
        * debian/control: Sync in changes from latest Debian package Git.
          (c2dd910e)
        * debian/copyright: Update copyright attributions. (93712e31)
        * update-po*.sh: Add license header. (6e7e781a)
        * debian/control: Bump Standards-Version: to 4.1.1. No changes
          needed. (e326a53e)
        * debian/control: Set section to x11 (for now). (b634c7fc)
        * debian/{control,copyright,watch}: Update to new upstream URLs.
          (796e7626)

2017-10-12 Mike Gabriel

        * update-po.sh: Add support for creating new LINGUAS. (9b43c33b)

2017-10-07 Weblate

        * Merge remote-tracking branch 'origin/master' (2cddae13)

2017-10-07 Mike Gabriel

        * debian/control: Modify B-D for systemd: only available/required on
          [linux-any]. (73e22113)
        * systemd unit file: Only build+install if systemd is available at
          build-time. (4bdb13dd)

2017-09-27 Anders Jonsson

        * Translated using Weblate (Swedish) (14385287)

2017-09-11 Cûndûllah el-Kurdî

        * Translated using Weblate (Kurdish) (0f291889)

2017-09-09 KouKypa

        * Translated using Weblate (Italian) (f463b265)

2017-08-18 Viktar Vauchkevich

        * Translated using Weblate (Belarusian) (0a466581)

2017-08-16 Viktar Vauchkevich

        * Translated using Weblate (Belarusian) (5e43f706)

2017-08-12 Mike Gabriel

        * Translated using Weblate (German) (68565e3e)
        * Translated using Weblate (German) (bce0af54)

2017-07-21 Mike Gabriel

        * po/: Update all translation files. (0f8a96c7)
        * po/: Add LINGUAS and POFILES.in. (d8f96ae8)
        * update-po.sh: Add mini script to update po/*.po files. (5d1d6dd7)
        * po/ayatana-indicator-session.pot: Create file. (aa57a3bc)
        * src/backend-dbus/actions.c: Use is_mate() from src/utils.c to check
          if we are running inside a MATE desktop session.
          (abb906cb)
        * my_distro_help(): Be less Debian-centric and detect other browser,
          if x-www-browser does not exist. (7515bc1d)
        * CMakeLists.txt: Add quotes around GETTEXT_PACKAGE value. (38c55222)
        * update-pot.sh: Adapt to being used with CMake. (b67170e5)
        * data/ayatana-indicator-session.upstart.desktop.in: Fix Name= field.
          (d614cbf7)

2017-07-18 Mike Gabriel

        * Provide to 'Help' menu items. One for Distro Help, one for Desktop
          Help. (e246fe09)

2017-07-17 Mike Gabriel

        * debian/control: Bump Standards-Version: to 4.0.0. No changes
          needed. (11ee7a56)

2017-07-17 Martin Wimpress

        * Add full MATE session support. (35cfd3c3)

2017-07-17 Mike Gabriel

        * Revert "DBus actions: Add support for logging out via GNOME/MATE
          session manager." (5e3436e1)
        * debian/control: Process with 'wrap-and-sort -t'. (9cf348f1)

2017-06-09 Mike Gabriel

        * DBus actions: Add support for logging out via GNOME/MATE session
          manager. (93898836)

2017-06-07 Mike Gabriel

        * debian/control: Update R, drop indicator-applet, add
          xfce4-indicator-plugin as an alternative. (8ba52cad)
        * debian/control: Pull-over LONG_DESCRIPTION from official Debian
          package. (576ce8b8)
        * debian/{rules,control}: Enable all hardening flags. (895b14a6)
        * debian/{upstream/,patches/}: Sync in from official Debian package.
          (79c61402)
        * debian/copyright: Add auto-generated copyright.in file. (409936f7)
        * debian/copyright: Sync in from official Debian package. (a6bf446c)

2017-05-31 Mike Gabriel

        * data/ayatana-indicator-session.desktop.in (edfe5171)
        * debian/rules: Add get-orig-source rule. (a1674486)
        * debian/tests/control: Fix package version in tests' control file.
          (b786ce36)
        * debian/watch: Fix upstream URL in watch file. (bc09f7df)

2017-05-30 Mike Gabriel

        * release 0.4.0 (ca62fbf8) (tag: 0.4.0)
        * backend-dbus/actions.c: Mention MATE session proxy in error msg.
          (9c5a9593)
        * backend-dbus/actions.c: Improve comment. (50d2da3a)
        * INSTALL: Update to our new namespace. (8fa55e5f)
        * Move NEWS to NEWS.Canonical. (1b77faa3)
        * Add update-pot.sh. (89849197)
        * XDG-autostart this indicator in MATE, too. (1abdb5ff)
        * src/utils.[ch]: Make desktop env checks available globally, load
          MSD media keys settings, if in MATE environment.
          (4e497171)
        * desktop env awareness: Make session indicator aware of the MATE
          desktop environment. Report to the user, if a desktop env
          is unknown (e.g. when the user wants to open the system
          settings dialog, etc.). (2eb2c1ee)
        * Don't use PROMPT_WITH_AYATANA for detecting the session type, ask
          XDG_CURRENT_DESKTOP instead. (4331d37a)
        * Rename PROMPT_WITH_UNITY to PROMPT_WITH_AYATANA, meaning the
          org.ayatana.Desktop DBus session bus. (c08b3c63)
        * Things are not that simple... Complete previous commit, now switch
          to org.ayatana.Desktop Dbus session bus name complete.
          (7ce8811a)

2017-05-23 Mike Gabriel

        * De-Canonical'ize: Rename DBus bus com.canonical.Unity to
          org.ayatana.Desktop. (16008bb3)

2017-05-17 Ted Gould

        * Adding a systemd user session unit (3db7888c)

2017-05-17 Mike Gabriel

        * debian/control: Adapt SYNOPSIS and LONG_DESCRIPTION. (23d89e90)
        * src/CMakeLists.txt: Comply with cmake policy CMP0053. (93854ef8)
        * debian/rules: Adapt to new bin:package name in override_dh_install
          rule. (58652a1f)

2017-05-17 Martin Wimpress

        * MATE proxies the name spaces required for session management. Add
          mate-control-center to Recommends. (349a4cd8)

2017-05-17 Mike Gabriel

        * switch back to x-canonical-type (9ab3198c)

2015-11-16 Mike Gabriel

        * Use x-ayatanaindicator-* instead of x-canonical-*/x-ayatana-*.
          (c1950d07)
        * debian/control: Fix bin:package name. Also alternatively recommend
          MATE indicator applet / screensaver. (610f27f7)
        * debian/control: Fix dependencies so that the package is installable
          on Debian _and_ Ubuntu. (3c49ad92)

2015-11-14 Mike Gabriel

        * Fork from Ubuntu's indicator-session project. (405a6969)

2015-09-15 CI Train Bot

        * Releasing 12.10.5+15.10.20150915-0ubuntu1 (c5211a8f)

2015-09-15 Sebastien Bacher

        * under unity8 start system-settings instead unity-control-center

          Fixes: #1489480 Approved by: PS Jenkins bot, Charles Kerr
          (a1fd0d8d)

2015-09-15 Andrea Azzarone andrea.azzarone@canonical.com

        * Disable shutdown/reboot in the lockscreen.
          Fixes: #1460626 Approved
          by: PS Jenkins bot, Marco Trevisan (Treviño) (cad6ce97)

2015-08-27 Sebastien Bacher

        * under unity8 start system-settings instead unity-control-center
          (bc9f9f5c)

2015-06-04 Andrea Azzarone andrea.azzarone@canonical.com

        * Disable shutdown/reboot in the lockscreen. (47e85742)

2015-03-27 CI Train Bot

        * Releasing 12.10.5+15.04.20150327-0ubuntu1 (ffe4d92c)

2015-03-27 Charles Kerr

        * Fix a crash in get_user_label() by testing a string pointer for
          NULL before dereferencing it.
          Fixes: #1290876 Approved by:
          Ted Gould, PS Jenkins bot (16b67691)

2015-03-25 Charles Kerr

        * if someone has control codes in their real name, who are we do
          disagree? (c83ee3f1)
        * use unichar rather than ascii (572cdb85)
        * in get_user_label(), don't dereference a NULL real_name pointer
          (1ef3f462)

2015-02-28 CI Train Bot

        * Releasing 12.10.5+15.04.20150228-0ubuntu1 (4776ccea)

2015-02-28 Dmitry Shachnev

        * Support multiple desktop names in XDG_CURRENT_DESKTOP. Approved by:
          Charles Kerr, Alberts Muktupāvels (e3c5a5b9)

2014-11-30 Dmitry Shachnev

        * Support multiple names in XDG_CURRENT_DESKTOP. (54c66e16)

2014-11-03 CI bot

        * Releasing 12.10.5+15.04.20141103-0ubuntu1 (5f72c7af)

2014-11-03 Sebastien Bacher

        * update the translations template during the build
          Fixes: 1385260
          Approved by: Ted Gould (7c034254)

2014-10-24 Sebastien Bacher

        * update the translations template during the build (df046b72)

2014-10-09 CI bot

        * Releasing 12.10.5+14.10.20141009-0ubuntu1 (f0844946)

2014-10-09 Martin Pitt

        * Fix autopkg tests Approved by: Charles Kerr, PS Jenkins bot
          (ebd9caea)

2014-09-23 Martin Pitt

        * Run tests-service as autopkgtest (89cfe525)
        * debian/control: Drop commented out XS-Testsuite: field, dpkg now
          adds this automatically (7aa20458)
        * debian/control: Update Vcs-* links to current branch (d91c8f8a)

2014-09-19 CI bot

        * Releasing 12.10.5+14.10.20140919-0ubuntu1 (65ce193d)

2014-09-19 Dmitry Shachnev

        * Make Cancel button in Zenity backend work again
          Fixes: 1363630
          Approved by: Charles Kerr (aee40ea7)

2014-08-31 Dmitry Shachnev

        * Make Cancel button in Zenity backend work again (56c6dfa7)

2014-08-14 CI bot

        * Releasing 12.10.5+14.10.20140814-0ubuntu1 (c9570c94)

2014-08-14 Charles Kerr

        * Re-use the same Translations.cmake file across indicators
          Fixes:
          1354058 Approved by: Ted Gould, PS Jenkins bot (cea19770)

2014-08-09 Charles Kerr

        * sync the shared Translations.cmake file to pick up recent bugfixes.
          (355123ee)

2014-07-18 CI bot

        * Releasing 12.10.5+14.10.20140718-0ubuntu1 (7205a28e)

2014-07-18 Robert Ancell

        * Hide relevant items from session indicator when
          org.gnome.desktop.lockdown disable-lock-screen or
          disable-user-switching are set to match 12.04 LTS
          behaviour
          Fixes: 1325353 Approved by: Charles Kerr, PS
          Jenkins bot (97a82970)

2014-07-17 CI bot

        * Releasing 12.10.5+14.10.20140717-0ubuntu1 (373e7a8d)

2014-07-17 Charles Kerr

        * Add support for getting the distro name from /etc/os-release.

          Fixes: 1331873 Approved by: Ted Gould, PS Jenkins bot
          (5a43af8c)

2014-07-16 Charles Kerr

        * use g_shell_unquote() to unmunge the values in /etc/os-release
          (bf07982b)
        * tweak unescape comment for readability (a66b3889)
        * make the os-release parser slightly more readable. (53bf4a35)
        * make the os-release parser slightly less unreadable. (b2fe95c6)
        * better i18n markup of the help string (a0348694)
        * don't mark 'Ubuntu' for translation. (cbe3fbea)

2014-07-15 Charles Kerr

        * add a passable parser for /etc/os-release (1a1e7e54)

2014-07-11 Robert Ancell

        * Hide relevant items from session indicator when
          org.gnome.desktop.lockdown disable-lock-screen or
          disable-user-switching are set to match 12.04 LTS
          behaviour (ee96595e)

2014-06-20 CI bot

        * Releasing 12.10.5+14.10.20140620-0ubuntu1 (63f2cd2e)

2014-06-20 Charles Kerr

        * When logging out, prefer com.canonical.Unity.RequestLogout over
          org.gnome.SessionManager.Logout.
          Fixes: 1296814 (44bcea9d)

2014-06-18 Charles Kerr

        * If we try to prompt for confirmation using unity but the
          EndSessionDialog errors out, treat that as confirmation.
          Otherwise how will a user ever log out? (52d94a51)
        * If we try to prompt for confirmation with zenity but zenity fails
          to run, treat that as confirmation. Otherwise how will a
          user ever log out? (96bc6e53)

2014-04-11 Charles Kerr

        * try to log out with com.canonical.Unity.Session's RequestLogout. If
          that fails, fall back to org.gnome.SessionManager's
          Logout. (a1ea3fec)
        * in MockUnitySession, add support for handling RequestLogout
          (12758f53)

2014-04-10 CI bot

        * Releasing 12.10.5+14.04.20140410-0ubuntu1 (c2e6f8bf)

2014-04-10 Marco Trevisan (Treviño)

        * DBusActions: use unity session APIs when unity is running
          (36fe650a)
        * MockUnitySession: add new mock for unity session, and use it in
          tests (e4b9f042)
        * DBusActions: use if/else instead of returning in
          lock_current_session (700dbeac)
        * ScreenSaver API: add SimulateUserActivity back (99418d97)
        * actions: cleanup spacing (9fd91d7e)
        * actions: add have_unity_session to check if unity is currently
          running and exporting his session bus (78112284)
        * Actions: lock current session also when switching to greeter and
          another user (4ad55d6c)
        * Actions: add Unity session proxy, and use to lock the screen if
          available (a302870b)

2014-04-03 CI bot

        * Releasing 12.10.5+14.04.20140403-0ubuntu1 (74352b31)

2014-04-03 Charles Kerr

        * Fix the phantom "J Random User" menuitem that shows up under some
          conditions.
          Fixes: 1256590 (5c547e63)

2014-04-02 Charles Kerr

        * if we encounter a user for whom we can't find a name, report it to
          apport as a recoverable error. (8416dc9b)
        * copy recoverable-problem.[ch] from url-dispatcher
          0.1+14.04.20140331.1-0ubuntu1 (f84deabc)

2014-03-28 Charles Kerr

        * silence compiler warning (8401862a)
        * don't create menuitems for phantom users. (7e19d433)

2014-03-24 CI bot

        * Releasing 12.10.5+14.04.20140324-0ubuntu1 (d4ba4291)

2014-03-24 Charles Kerr

        * Don't show a red icon in indicator-session when there's an online
          user account error.
          Fixes: 1206550 (0638860f)

2014-03-24 Iain Lane

        * Re-add the feature to hide the user list if
          com.canonical.indicator.session user-show-menu is false

          Fixes: 1211772 (1db25fd1)

2014-03-20 CI bot

        * Releasing 12.10.5+14.04.20140320-0ubuntu1 (e99aa91c)

2014-03-20 Ted Gould

        * Synchronize process management across indicators (a93745a8)

2014-03-20 Charles Kerr

        * indicator-session relies on the org.gnome.desktop.lockdown schema
          provided by gsettings-desktop-schemas.
          Fixes: 1212664
          (24a6aab4)
        * Don't show the lockscreen accelerator in switch-user mode.
          Fixes:
          1241906 (02ebe3f8)

2014-03-19 Charles Kerr

        * don't show the lockscreen accelerator in switch-user mode.
          (983f9444)

2014-03-19 Iain Lane

        * Update some strings (3453ded5)
        * Re-add the feature to hide the user list if
          com.canonical.indicator.session user-show-menu is false
          (d5b6485a)

2014-03-19 Charles Kerr

        * sync tests to the red-icon-removal change in r436 (e5f30358)
        * copy newer GLibTestFixture wait_for_signal() and wait_msec()
          methods from indicator-datetime's tests to fix noisy
          g_warnings (9af35685)
        * don't show a red icon when online accounts are in an error state.
          (94fd55e9)

2014-03-11 CI bot

        * Releasing 12.10.5+14.04.20140311.1-0ubuntu1 (574547d5)

2014-03-11 Marco Trevisan (Treviño)

        * IndicatorSessionService: add desktop_lockscreen mode, show users
          and switch to account items (efa3cd67)
        * IndicatorSessionService: add desktop_lockscreen mode, show users
          and switch to account items (f8373fd8)

2014-03-05 Charles Kerr

        * make explicit the dependency on gsettings-desktop-schemas
          (35c0efae)

2014-02-26 Ted Gould

        * Update for gnome-fallback (699d20fb)

2014-02-20 Ted Gould

        * Adding in an Upstart override (38ac3972)
        * Update with a respawn limit (f8e72e14)
        * Converting to an OnlyShowIn (100c0987)

2014-02-14 CI bot

        * Releasing 12.10.5+14.04.20140214-0ubuntu1 (75840bf2)

2014-02-14 Robert Ancell

        * Only depend on gnome-settings-daemon-schemas so can work with
          unity-settings-daemon only
          Fixes: 1277487 (66ad7b48)

2014-02-07 Robert Ancell

        * Only depend on gnome-settings-daemon-schemas so can work with
          unity-settings-daemon only (bf6f7bc9)

2014-02-07 CI bot

        * Releasing 12.10.5+14.04.20140207-0ubuntu1 (ee607814)
        * Adding acceptance tests and merge review policies (083b1327)

2014-02-05 Robert Ancell

        * Move logout into its own section to match design update in
          https://wiki.ubuntu.com/SystemMenu. (ff2a7981)
        * Move logout into its own section to match design update in
          https://wiki.ubuntu.com/SystemMenu (99f78e8f)

2014-01-31 Ted Gould

        * Adding acceptance tests and merge review policies. (8aaf9698)
        * Adding merge review policy (d6d828a9)
        * Adding basic acceptance tests (31b4459a)

2014-01-24 Automatic PS uploader

        * Releasing 12.10.5+14.04.20140124-0ubuntu1 (revision 426 from
          lp:indicator-session). (cde2a24d)
        * Releasing 12.10.5+14.04.20140124-0ubuntu1, based on r426 (dfe06837)

2014-01-22 Robert Ancell

        * Use unity-control-center if it is available.
          Fixes:
          https://bugs.launchpad.net/bugs/1257505. (590627a0)
        * Use username as label if the real name is empty or whitespace.

          Fixes: https://bugs.launchpad.net/bugs/872908. (cf046c6c)
        * Only run unity-control-center under unity (610119bc)

2014-01-14 Robert Ancell

        * Recommend unity-control-center before gnome-control-center
          (c4e730f6)

2014-01-10 Robert Ancell

        * Use unity-control-center if it is available (b673e2d3)

2013-12-19 Robert Ancell

        * Use username as label if the real name is empty or whitespace
          (8362fed9)

2013-12-05 Sebastien Bacher

        * drop unused cmake file, it refears to geary and doesn't seem useful
          there. (e8a7320e)

2013-12-05 Robert Ancell

        * Recommend yelp, gnome-control-center and
          gnome-control-center-signon since we try and launch these
          applications. (60a67711)

2013-12-05 Sebastien Bacher

        * clean out the extra-sessions directory, it's a leftover. (1b759a61)

2013-12-04 Sebastien Bacher

        * clean out the extra-sessions directory, it's a leftover (0302dbee)
        * drop unused cmake file, it refears to geary and doesn't seem useful
          there (d3788f7b)

2013-12-02 Robert Ancell

        * Recommend yelp, gnome-control-center and
          gnome-control-center-signon since we try and launch these
          applications (f7006ad0)

2013-11-25 Automatic PS uploader

        * Releasing 12.10.5+14.04.20131125-0ubuntu1 (revision 420 from
          lp:indicator-session). (78f4465e)
        * Releasing 12.10.5+14.04.20131125-0ubuntu1, based on r420 (ab364452)

2013-11-08 Charles Kerr

        * fix a minor memory leak that was caused by treating the variant
          returned by g_icon_serialize() as floating. (102ef5c6)
        * look for fallback icons in test-services (57ff63f0)
        * extract-method: serialize_icon_file() (49de5d5f)
        * cache the header action's serialized icons (906a31e6)
        * don't leak the output from g_icon_serialize (b72aaf89)

2013-11-05 Lars Uebernickel

        * Work around glib's type initialization deadlock. (4af45b95)
        * Work around glib's type initialization deadlock (a308b072)

2013-10-31 Ted Gould

        * Upstart job for indicator-session.
          Fixes:
          https://bugs.launchpad.net/bugs/1185565. (eb291a00)

2013-10-29 Automatic PS uploader

        * Releasing 12.10.5+14.04.20131029.1-0ubuntu1 (revision 416 from
          lp:indicator-session). (f725b01b)
        * Releasing 12.10.5+14.04.20131029.1-0ubuntu1, based on r416
          (6c2ffd96)

2013-10-28 Ted Gould

        * XDG Autostart file (67c319bd)
        * Merge trunk (f33e0238)

2013-10-18 Dmitrijs Ledkovs

        * Define "ubiquity" indicator profile, reusing the greeter object.
          (LP: #1241539).
          Fixes:
          https://bugs.launchpad.net/bugs/1241539. (b77606c4)
        * Define "ubiquity" indicator profile, reusing the greeter object.
          (LP: #1241539) (4b23f195)

2013-10-17 Lars Uebernickel

        * Work around glib's type initialization deadlock (9711dd44)

2013-10-04 Automatic PS uploader

        * Releasing 12.10.5+13.10.20131004-0ubuntu1 (revision 414 from
          lp:indicator-session). (c25594a7)
        * Releasing 12.10.5+13.10.20131004-0ubuntu1, based on r414 (978601b8)

2013-10-02 Charles Kerr

        * One-liner to set GETTEXT_PACKAGE explicitly because dh_translations
          can't handle ${CMAKE_PROJECT_NAME}.
          Fixes:
          https://bugs.launchpad.net/bugs/1233679. (a31236c3)

2013-10-01 Charles Kerr

        * Work around dh_translations not understanding CMake variable
          substitution (6e0b30e1)

2013-09-30 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130930-0ubuntu1 (revision 412 from
          lp:indicator-session). (539b4ce6)
        * Releasing 12.10.5+13.10.20130930-0ubuntu1, based on r412 (f4e2c37b)

2013-09-25 Marc Deslauriers

        *   * src/service.c: don't switch to greeter when locking screen, as
          that     switches away from the user's audio, power
          preferences, etc.     (LP: #1220201) .
          Fixes:
          https://bugs.launchpad.net/bugs/1220201. (1a2e1d77)
        * tests/test-service.cc: adjust test suite for screen lock changes
          (7b020f0a)
        * src/service.c: also switch to screensaver if there is more than one
          user (d06fba55)

2013-09-20 Marc Deslauriers

        * src/service.c: don't switch to greeter when locking screen, as that
          switches away from the user's audio, power preferences,
          etc. (LP: #1220201) (b2bbe57b)

2013-08-27 Ted Gould

        * Dropping debugging for system-wide support (77ec76b2)
        * Drop session specification (0c56911e)
        * Merging trunk (c440b9d6)

2013-08-23 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130823-0ubuntu1 (revision 410 from
          lp:indicator-session). (b7a8f350)
        * Releasing 12.10.5+13.10.20130823-0ubuntu1, based on r410 (a8f9de4b)

2013-08-23 Charles Kerr

        * use an a{sv}, rather than the obsoleted (sssb), for the root
          action's state. (ea425561)
        * sync with trunk (d8e11895)

2013-08-22 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130822-0ubuntu1 (revision 408 from
          lp:indicator-session). (201e9d12)
        * Releasing 12.10.5+13.10.20130822-0ubuntu1, based on r408 (55ef0d63)

2013-08-22 Charles Kerr

        * remove deprecated GSimpleActionGroup API use. (64d335e7)
        * don't use deprecated API calls to GSimpleActionGroup (3b35ef11)

2013-08-21 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130821-0ubuntu1 (revision 406 from
          lp:indicator-session). (7faba398)
        * Releasing 12.10.5+13.10.20130821-0ubuntu1, based on r406 (b5019663)

2013-08-20 Charles Kerr

        * Lock the current session before switching to the guest session.
          (fd60f87f)
        * merge lp:~khadgaray/indicator-session/lp1205273 (ea03828d)
        * copyediting: remove unnecessary comment that snuck into r406
          (14964539)
        * fix minor GCancellable memory leak noticed while fixing 1205273
          (e48d6586)
        * when switching to the guest session, explicitly lock the current
          users's session (4759a380)

2013-08-12 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130812-0ubuntu1 (revision 404 from
          lp:indicator-session). (b1a261f5)
        * Releasing 12.10.5+13.10.20130812-0ubuntu1, based on r404 (981f8071)

2013-08-12 Charles Kerr

        * sync tests to look for a header action state of type a{sv} instead
          of (sssb) (d31e14e5)
        * Ensure that GCov CFLAGS & LIBS are set before cmake traverses into
          the src/ directory. (f884f836)
        * in CMakeLists.txt, include the GCov rules before adding the src
          subdirectory. This unbreaks coverage report generation.
          (752149b9)

2013-08-08 Charles Kerr

        * remove debugging stub (a699afab)
        * as discussed with dednick and ted, have a header action state type
          of a{sv} rather than the obsoleted (sssb) (843fa1f1)

2013-08-06 Ritesh Khadgaray

        * lp# 1205273 - Session is not locked when switching to guest session
          (d8d4a6fa)
        * lp# 1205273 -  Session is not locked when switching to guest
          session (5cc9ae3d)

2013-07-17 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130717-0ubuntu1 (revision 402 from
          lp:indicator-session). (af1b85a0)
        * Releasing 12.10.5+13.10.20130717-0ubuntu1, based on r402 (94ef5c4f)

2013-07-16 Charles Kerr

        * Fix a test failure on PPC architectures. (72916a99)
        * fix failing tests on ppc & add more verbose warnings in the menu
          sync tests (01965450)

2013-07-16 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130716-0ubuntu1 (revision 400 from
          lp:indicator-session). (cea239c2)
        * Releasing 12.10.5+13.10.20130716-0ubuntu1, based on r400 (809e213f)

2013-07-15 Łukasz 'sil2100' Zemczak

        * Add the python build-dep, as gdbus-codegen needs it to work
          properly. (da168961)
        * Add the python build-dep, as gdbus-codegen needs it to work
          properly (ec917cee)

2013-07-12 Charles Kerr

        * This is the GMenu, login1 version of indicator-session. (550b78d3)
        * add the online-accounts action and unit tests for it (a19955f3)
        * If the Unity dialogs aren't available (such as in the greeter) but
          zenity is, use it to for confirmation dialogs: (c9352cd0)
        * Add a 'can-reboot' property to the Actions class. (98d13797)

2013-07-10 Charles Kerr

        * just to be safe, check to see that g_getenv('XDG_SEAT') passes too
          (f71bc96e)
        * If g_getenv(XDG_SEAT_PATH) fails, don't try to get the
          DisplayManager seat. Fixes the greeter issue reported by
          seb128 (41680389)

2013-07-09 Charles Kerr

        * in the desktop greeter, skip the logout menuitem (6c4e4417)

2013-07-05 Charles Kerr

        * sync with trunk again. (c93aa9f9)
        * make the desktop greeter menu's name consistent across indicators:
          'desktop_greeter' (d7248cf9)
        * make the desktop name consistent everywhere: 'desktop_greeter'
          (4a0ba343)

2013-07-03 Automatic PS uploader

        * Releasing 12.10.5+13.10.20130703.1-0ubuntu1 to ubuntu. (abf13603)
        * Releasing 12.10.5+13.10.20130703.1-0ubuntu1, based on r397
          (b8846bc2)

2013-07-02 Lars Uebernickel

        * I know the new session indicator is coming soon, but I think having
          this for the next week or so is worthwhile anyway. Not
          having the session indicator on the trailing edge of the
          panel is unnerving :). (03f03607)
        * Set the desired position in the panel (9df7720f)

2013-07-02 Charles Kerr

        * in the .indicator file, add a Position entry (d95cce51)

2013-07-01 Charles Kerr

        * in cmake files, limit scopes by moving single-target properties out
          of the global variables to single-target ones and moving
          single-use includes into the directories where they're
          used (e875abf2)
        * in main.c's on_name_lost(), silence minor 'unused parameter'
          compiler warning (cba24317)
        * in cmake, remove the 'full_warnings' option because we always run
          with full warnings. (13139b04)
        * in our cmake files, rename PROJECT_LIBEXECDIR as
          CMAKE_INSTALL_LIBEXECDIR and CMAKE_INSTALL_FULL_LIBEXECDIR
          for consistency with the other GNUInstallDirs (47bd4aeb)
        * in cmake/Translations.cmake, use the GNUInstallDirs variables
          (ca86fd5c)
        * in the cmake files, prefer the _FULL versions of the GNU variables
          (477dc6fa)
        * in data/CMakeLists.txt, install icons into the standard hicolor
          directory, rather than a custom libindicator hicolor
          directory, as discussed with ted and lars in #systems
          (6ee61b9b)
        * in data/CMakeLists.txt, install icons/' subdirectories, not the
          icons/ directory itself. (695aba24)
        * sync with trunk to fix merge conflict (699cfd92)
        * in src/backend-dbus/users.c, use a helper struct for disconnecting
          the signals to the user proxies in our uid-to-user
          hashtable (c96e42d1)
        * in src/backend-dbus/users.c's object_unref_and_disconnect(), fix an
          unbalanced ref/unref (bb2129f5)
        * in src/backend-dbus/users.c's track_user(), simplify the ref/unref
          semantics of the user argument (eb7e99b2)
        * in src/backend-dbus/users.c, use G_DEFINE_QUARK() instead of
          rolling our own quark func (d5421fec)
        * in src/backend-dbus/users.c's set_logins(), fix ref/unref semantics
          of the hashtable argument (604640eb)
        * in src/backend-dbus/guest.c's
          on_login1_manager_session_list_ready(), remove unused
          variable 'path' (73a9ac42)
        * in backend-dbus/actions.c, create a separate cancellable for
          dm_seat s.t. new calls to set_dm_seat() will cancel any
          previous async calls pending on the old DisplayManager
          seat object. (0b5f2836)
        * in backend-dbus/actions.c, create a separate cancellable for
          login1_manager s.t. new calls to set_login1_manager() will
          cancel any previous async calls pending on the old login1
          manager object. (90c7f19e)
        * in backend-dbus/actions.c's set_dm_seat(), since we don't listen to
          displaymanager's signals anymore, remove unnecessary
          g_signal_handlers_disconnect() call. (37694a94)
        * in backend-dbus/actions.c's set_login1_seat(), disconnect from the
          previous seat's signals before unreff'ing it (b252745c)
        * bump the glib prerequisite in CMakeLists.txt and debian/control to
          the first stable version number containing the features we
          need (2.36). It had been a beta (2.35.x) for historical
          reasons. (974a5ecb)

2013-07-01 Sebastien Bacher

        * Backport the changelog entry, from the recent manual upload, back
          to trunk. (c58fa92f)

2013-07-01 Lars Uebernickel

        * session-menu-mgr.c: don't leak user menu items.
          Fixes:
          https://bugs.launchpad.net/bugs/1195595. (4285a049)

2013-07-01 Charles Kerr

        * when user switching isn't available, don't ellipsize the 'Lock'
          menuitem (39750137)

2013-07-01 Sebastien Bacher

        * Backport the changelog entry, from the recent manual upload, back
          to trunk (5ee483b2)

2013-06-30 Lars Uebernickel

        * session-menu-mgr.c: don't leak user menu items (64b4f139)

2013-06-29 Charles Kerr

        * in debian/control, remove unneeded Build-Depends dh-autoreconf
          (this package uses cmake now) and gnome-doc-utils (we
          don't generate gtkdoc for i-session) (b70902d0)

2013-06-28 Charles Kerr

        * in test-users, possible fix to async dbus action timing issue in
          SetUp (34b4d992)
        * in test-users, fix timing issue in the fixture's SetUp (0c8526d6)
        * fix test breakage introduced with the recent commit that hides the
          reboot menuitem when running in unity shell (3222a77d)
        * add dbus to the dependency list, we need a dbus-daemon for
          GTestDBus to spawn (f85ba529)
        * in service.c's add_user(), test for NULL before adding the user
          struct to our collection (9a3e46e7)
        * remove localinstall mode (0180339d)
        * no no need to pass libexecdir manually into dh_uato_configure
          (f79e6608)
        * cleanup: put an '.xml' file suffix at the end of the
          DisplayManager.Seat xml file (d176666f)
        * add cmake to the debian control list; alphabetize the entries
          (b95037a0)
        * sync with trunk to resolve conflicts (c62d5ade)
        * update comments & documentation to reflect that we've replaced
          consolekit and login1 (4850b1b6)
        * finish up backend-dbus/users.c: fix an unref bug when creating user
          proxies. fix an async race condition where we emitted
          change events for users before their proxy objects had
          finished being asynchronously constructed. (69bf3537)
        * use the unicode '…' directly intead of \342\200\246 (3bd279a7)

2013-06-27 Charles Kerr

        * in create_guest_switcher_state() and create_user_switcher_state(),
          don't leak GVariantBuilders (b6467f32)
        * in actions.c's my_can_prompt(), don't leak the string returned by
          g_dbus_proxy_get_name_owner (cc57405e)
        * in users.c, fix bugs that leaked system accounts into the list of
          users to show in the indicator (4c5a5e71)
        * only show the restart or hibernate menuitems if login1 says these
          features are available (e986476c)

2013-06-26 Charles Kerr

        * fix regression that displayed the 'restart' button even when
          prompting was enabled and the user was running Unity
          (951592e1)
        * bump TODO (2d089b9e)

2013-06-25 Charles Kerr

        * sync text with trunk: make the shutdown menuitem read 'Shut Down'
          instead of 'Shutdown' (c2345415)
        * copyediting: remove g_messages() added while fixing the tests,
          remove dead code (660d7bcb)
        * everything in test-guest now passes (3cabab00)
        * TestGuest::Login now passes (95e99abc)
        * test-guest's HelloWorld and Allowed tests now pass (9ed837fb)
        * don't pass -std=c++0x to the compiler when building .c files
          (7a995d0b)
        * all the tests in test-users pass (d16aaaed)
        * in IndicatorSessionUsers, use the uid as the user's key.
          Users.ActivateUser is now green. (b3938a1f)
        * in tests-users, fix 3 more tests: RealnameChanged, LogInLogOut,
          ActivateSession (c572f994)

2013-06-24 Charles Kerr

        * fix the first four tests in test-users: HelloWorld, InitialUsers,
          UserAdded, and UserRemoved. (0f8caa36)
        * remove unused method MockAccounts::find_by_path() (084f6cdc)
        * In tests/, enable debuginfo and warnings for C++ file. Fix a couple
          of minor compile warnings. (3882e60f)
        * in backend-dbus/users.c, fix a user proxy leak (0ca4b9a4)
        * get all the tests in test-actions passing again. (9cfc9e9d)
        * in the tests, use login1's terminology 'power off', 'reboot'
          (889f876a)
        * migrate from consolekit to login1 (1b73a52e)
        * we don't need a login1 session proxy, so don't generate code for
          one. (94f830aa)
        * use login1's terminology 'power off', 'reboot' (eb6abe95)
        * copyediting: the COMMENT in this custom target was being
          misformatted in the make output (ae41c0d6)
        * in IndicatorSessionUsers, update to login1 (df6db45c)
        * in IndicatorSessionGuest, update to login1 (d3fe504a)
        * update which proxies the dbus utils helper creates (463ed782)
        * add replace consolekit xml files with login1; update build files
          (d7bb2123)

2013-06-23 Charles Kerr

        * add icon support to user menuitems (f6ab8644)
        * copyediting: fix typo (4fc1900d)

2013-06-20 Charles Kerr

        * add a post-install hook to update the icon cache after
          installation. Taken from geary/icons/CMakeLists.txt.
          (Thanks, Eric!) (094ca7d7)
        * cmake: fix variables in data/CMakeLists.txt, make status messages
          more consistent (3d4daff7)
        * cmake: cleanup, move DBUSSERVICEDIR's scope from global to the
          data/ dir (59caa78d)
        * add cmake rules to install the icon files (452ac8d0)
        * install .schema.xml and indicator-session-service in the right
          places. (6def7fce)
        * cmake work: properly generate and install the .service file for
          dbus activation (a5fb857e)
        * install the .indicator file into the unity/indicators/ dir
          (22e72bb6)

2013-06-20 Lars Uebernickel

        * merge lp:~larsu/indicator-session/ng-with-types to add
          x-canonical-type support for the user and guest menuitems
          (add74f2c)

2013-06-20 Charles Kerr

        * remove the --replace command-line argument and property as we're
          using upstart for that (fab2853f)

2013-06-19 Charles Kerr

        * add short-term TODO (bb645114)
        * use the production dbus name (4df0aceb)
        * silence unused variable warning (0c5a240c)
        * in our async callbacks, don't call g_warning() if the task was
          cancelled by the client (093aed6a)
        * in service.c, remove unnecesssary locale #include (a4c53639)

2013-06-19 Automatic PS uploader

        * Releasing 12.10.5daily13.06.19-0ubuntu1 to ubuntu. (bb9304ef)
        * Releasing 12.10.5daily13.06.19-0ubuntu1, based on r393 (96358940)

2013-06-17 Mathieu Trudel-Lapierre

        * Fix linking with pthreads for gtest. (0cd1fc5c)
        * Fix linking with gtest, which expects pthreads. (1f747c84)

2013-06-15 Jeremy Bicha

        * recommend gnome-screensaver for the Lock Screen feature. (30ea3e96)

2013-06-14 Jeremy Bicha

        * recommend gnome-screensaver (c84cb6da)

2013-05-29 Ted Gould

        * Attaching bug (4661ef2d)
        * Dropping the DBus service file (777014b4)
        * Adding an upstart job config (74b3c094)

2013-05-23 Lars Uebernickel

        * Set x-canonical-type for user and guest menu items (2babf3e3)

2013-05-06 Automatic PS uploader

        * Releasing 12.10.5daily13.05.06.1-0ubuntu1 to ubuntu. (fb36d66d)
        * Releasing 12.10.5daily13.05.06.1-0ubuntu1, based on r390 (3d31d3dd)

2013-05-06 Iain Lane

        * upower isn't depended on any more; logind is. Update debian/control
          for this. (e6042bf9)

2013-05-03 Iain Lane

        * Merge trunk, fix up changelog (42bfabaf)

2013-05-03 Automatic PS uploader

        * Releasing 12.10.5daily13.05.02-0ubuntu1 to ubuntu. (67d0e237)

2013-05-02 Automatic PS uploader

        * Releasing 12.10.5daily13.05.02-0ubuntu1, based on r388 (7562fb4f)

2013-05-02 Iain Lane

        * Remove upower dependency and depend on systemd-services. (529f0088)

2013-04-23 Iain Lane

        * Stop using ConsoleKit and UPower for session tracking and
          shutdown/reboot/suspend/hibernate; migrate to logind.
          (704bd7fb)

2013-04-19 Iain Lane

        * Pass 'FALSE' for the PK interactivity argument, to match not
          checking for 'allowed' any more (38399afa)
        * Call can_hibernate instead of can_suspend when checking whether we
          can hibernate (dfca7304)
        * Only show menu items if we can perform the action without
          authorisation (58c80d41)

2013-04-18 Charles Kerr

        * add session.indicator to data/ (08be3e1b)
        * refer to profiles as profiles instead of forms. (67292180)
        * better documentation for indicator_session_users_get_keys() and
          indicator_session_users_get_user() (460b015b)
        * g_object_unref doesn't need a G_OBJECT() cast (29befc58)
        * remove unnecessary dependencies from debian/control (22a20308)
        * remove #if 0 code (6ff4e525)
        * in the service's dispose() function, unown the busname before
          unexporting the actions and menus. (75d79800)
        * in indicator_session_service_init(), don't leak a GCancellable
          (348a5c53)
        * indicator-session-service should exit when it loses ownership of
          its name on the bus. (67218e58)
        * in rebuild_soon(), add a comment explaining the 500 msec interval
          (d79745bd)
        * add a small comment explaining replace_section() (033cc134)
        * where appropriate, use g_menu_append() to save a few lines.
          (d87fb5d1)
        * remove unnecessary signal (SIGPIPE, SIG_IGN) (066872fb)

2013-04-12 Iain Lane

        * Allow PolicyKit to interactively ask the user for credentials in
          gtk-logout-helper (40c99158)
        * Remove upower usage - these interfaces are being deprecated.
          (2e643e7b)

2013-04-11 Iain Lane

        * Initial port from ConsoleKit to Logind for session tracking.
          (7cde1532)

2013-03-26 Charles Kerr

        * remove unnecessary G_GNUC_UNUSED (4bc93061)

2013-03-25 Charles Kerr

        * In INSTALL, document the DBus runtime dependencies (5f9911a7)
        * remove unused session-dbus.xml; this is a leftover from the GTK+
          indicator (4a8c2566)

2013-03-23 Charles Kerr

        * Add Translations.cmake for i18n files (78e8c39d)
        * use pete woods' hud cmake code for the build.sh script to check for
          Ninja and to move the gdbus-codegen macros into a resuable
          file in the cmake/ directory. (ca4b40ad)

2013-03-22 Charles Kerr

        * add data/CMakeLists.txt to the repo (d782f784)
        * add top-level cmake files to the repo (c8ce5146)
        * copyediting: grammar (2d7bf142)
        * port indicator-session to GMenu/cmake. Code coverage increased from
          0% to 95.4%. (ae39f700)

2013-03-08 Automatic PS uploader

        * Releasing 12.10.5daily13.03.08-0ubuntu1 to ubuntu. (d2edc73c)
        * Releasing 12.10.5daily13.03.08-0ubuntu1, based on r386 (df5b2054)

2013-03-07 Marco Trevisan (Treviño)

        * SessionMenuMgr: use unity shutdown dialogs if they're available,
          hiding Reboot action.
          Fixes:
          https://bugs.launchpad.net/bugs/882041. (13f04b29)

2013-03-06 Marco Trevisan (Treviño)

        * SessionMenuMgr: show the reboot menu item in shell-mode with no
          confirmation (88fbd6e9)
        * SessionMenuMgr: use the fallback dialog if the dbus SessionManager
          calls  fail (146019d9)
        * SessionMenuMgr: call also Reboot method in shell mode (d93ba678)
        * SessionMenuMgr: call Shutdown method if we're suppressing the
          dialogs (a169fe5c)

2013-03-06 Automatic PS uploader

        * Releasing 12.10.5daily13.03.06-0ubuntu1 to ubuntu. (9eb4ef1c)
        * Releasing 12.10.5daily13.03.06-0ubuntu1, based on r384 (cb7208f6)

2013-03-05 Mathieu Trudel-Lapierre

        * Do the linking with -lpthread correctly.
          Fixes:
          https://bugs.launchpad.net/bugs/1126362. (e4e327f1)
        * Make use of XORG_GTEST_LDFLAGS that xorg-gtest can export to know
          whether there are extra libraries we should link against.
          (2102d70d)

2013-03-05 Marco Trevisan (Treviño)

        * SessionMenuMgr: unref the parameters if we got an error earlier
          (7f059f4a)
        * SessionMenuMgr: call SessionManager Logout method in shell mode
          (f0cdd99a)
        * SessionMenuMgr: call gnome SessionManager method to shutdown on
          shell-mode (7f88c35d)
        * SessionManager: add shell name watcher and hide reboot on shell
          mode (6aeffd92)

2013-01-25 Automatic PS uploader

        * Releasing 12.10.5daily13.01.25-0ubuntu1 to ubuntu. (16599277)
        * Releasing 12.10.5daily13.01.25-0ubuntu1, based on r382 (80d98f79)

2013-01-22 Mathieu Trudel-Lapierre

        * Misc fixes for build on raring: (57f37cc4)
        * Add libxorg-gtest-dev to Build-Depends. (584694bf)
        * Revise path to gtest source files; the files moved in
          libxorg-gtest-dev (9021cd15)
        * Remove the uses of deprecated g_type_init(). (ac4566b7)

2013-01-16 Mathieu Trudel-Lapierre

        * Fix test -- disable TestCanStartService for the build; instead make
          it available via "make localcheck"; and move it to be run
          in an autopkgtest. (a840d1a3)
        * Add comment in debian/tests/control for the reason why tests are
          disabled. (5dc4e9d1)

2013-01-15 Mathieu Trudel-Lapierre

        * debian/control: temporarily comment out the XS-Testsuite entry to
          disable autopkgtest until the tests really work properly.
          (31a952e5)
        * Add polkit to autopkgtest depends (d6c68044)

2013-01-14 Mathieu Trudel-Lapierre

        * Rename localcheck to integrationcheck; update autopkgtest test.
          (5e037404)

2013-01-10 Mathieu Trudel-Lapierre

        *   - Add XS-Testsuite: autopkgtest.;  debian/tests:   - Add
          start-service test; verify that the indicator can be
          started from     DBUS.   - Add debian/tests/control.
          Move TestCanStartService into a separate make target
          "localcheck"; so that   the other tests can successfully
          run, and this one be used as an   integration check.
          (39ec64fb)

2012-12-06 Mathieu Trudel-Lapierre

        *   - Add XS-Testsuite: autopkgtest.;  debian/tests:   - Add
          start-service test; verify that the indicator can be
          started from     DBUS.   - Add debian/tests/control.
          (32c7a3f3)

2012-12-05 Mathieu Trudel-Lapierre

        * Move TestCanStartService into a separate make target "localcheck.
          so that the other tests can successfully run, and this one
          be used as an integration check. (2333cc93)

2012-12-05 Didier Roche

        * Add a hack for having tests running. (cb972ad5)
        * typo (c72ef61c)
        * run tests not under fakeroot for dbus tests (which don't seem to be
          able to run easily under dbus-test-runner) (fdfe732d)

2012-11-30 Charles Kerr

        * i-session doesn't use polkit or packagekit anymore, so don't refer
          to them in configure.ac or debian/*.
          Fixes:
          https://bugs.launchpad.net/bugs/1085100. (7b3703e6)
        * add the launchpad bug number to the polkit+packagekit entry in
          debian/changelog (434e5369)
        * fix tyop (7aad5622)
        * remove unused polkit dependency (674a8ad4)
        * remove unused packagekit dependency (f3603f8b)

2012-11-30 Sebastien Bacher

        * Clean deprecated Build-Depends on gconf and dbusglib. (355e2614)

2012-11-30 Robert Ancell

        * Use GDbus.
          Fixes: https://bugs.launchpad.net/bugs/1084756.
          (821fc4d8)

2012-11-30 Sebastien Bacher

        * clean deprecated Build-Depends on gconf and dbusglib (319e659d)

2012-11-30 Robert Ancell

        * Use GDbus (ba4f4df7)

2012-11-16 Charles Kerr

        * Reimplement test-service s.t. we actually test activating the
          service via dbus. Drop unneeded Xorg baggage.
          Fixes:
          https://bugs.launchpad.net/bugs/1074065. (dabf87de)
        * re-enable the tests/ directory (0ad2ca4e)
        * sync with trunk (e327e99d)
        * Show the login name if an account has no real name set.
          Fixes:
          https://bugs.launchpad.net/bugs/1076271. (1f43c3a6)

2012-11-16 Mathieu Trudel-Lapierre

        * Bootstrap daily builds. (2f0d22c6)

2012-11-15 Mathieu Trudel-Lapierre

        * bootstrap daily upload changelog message. (f08039be)

2012-11-15 Ted Gould

        * Merging in debian/. (9f823058)

2012-11-15 Charles Kerr

        * if the user's real name can't be determined, fall back to the
          user's account name. (01aa2f9c)

2012-11-15 Mathieu Trudel-Lapierre

        * Explicitly list libgtest-dev in Build-Depends, even though it does
          get pulled in via libxorg-gtest-dev. (6f1b9150)
        * Temporarily disable running tests due to an issue with getting the
          gsettings schema for testing. (37060f4a)
        * Add libdbustest1-dev, dbus-test-runner to Build-Depends. (7bc7e239)
        * Add libdbustest1-dev to Build-Depends. (dd0837db)

2012-11-14 Mathieu Trudel-Lapierre

        * Remove extra # typo in uploaders comment in debian/control.
          (28909858)
        * Add gnome-common to Build-Depends. (1abf9207)
        * Specify that the package should be built by bzr-builddeb in split
          mode. (7432f4d2)
        * Update Vcs-Bzr and Vcs-Browser fields and add notice for uploaders.
          (2bd55839)
        * Reorganize Build-Depends, put build-system items (intltool,
          libxorg-gtest-dev) nearer to the top. (e4bc348e)
        * debian/control:   - Add dh-autoreconf to Build-Depends.   -
          Adjust style to be consistent and use trailing commas in
          lists. (63dc2bbb)
        * debian/rules:   - Add DPKG_GENSYMBOLS_CHECK_LEVEL=4.   - Use the
          dh sequencer with autoreconf.   - Override dh_autoreconf
          to run autogen.sh. (c8694cfd)
        * Import debian/ from lp:~ubuntu-desktop/indicator-session/ubuntu.
          (ed9bc739)

2012-11-13 Charles Kerr

        * sync with lp:indicator-session (f2847c77)
        * revert the g_message() tracers added in r372 (9f1a3f8f)
        * In users-service-dbus.c, check to make sure that
          create_display_proxy() succeeded before using the proxy
          pointer that gets returned.
          Fixes:
          https://bugs.launchpad.net/bugs/1078119. (a7b8ed9c)

2012-11-12 Charles Kerr

        * in user-service-dbus.c, don't crash if getting a display proxy
          fails. (8709a6ca)

2012-11-08 Charles Kerr

        * ensure that the service unit test can find all the GSettings
          schemas that it needs. (1e5206ee)
        * add 'check-news' to AM_INIT_AUTOMAKE (5191f0e8)

2012-11-07 Charles Kerr

        * wrap the g_dbus_connection_call_sync() calls in g_message to see
          whether or not this is where the jenkins failures are
          coming from (696c57e3)

2012-11-06 Charles Kerr

        * remove unused function CallIndicatorServiceMethod() (f7aa585e)
        * Reimplement test-service s.t. we actually test activating the
          service via dbus. Drop unneeded Xorg baggage. (0b63ef0e)

2012-11-06 Lars Uebernickel

        * Don't lock the session when clicking on the current user.
          Fixes:
          https://bugs.launchpad.net/bugs/1024392. (eb5f04be)
        * Don't lock the session when clicking on the current user (ff2a773f)

2012-10-24 Dmitrijs Ledkovs (xnox)

        * Hide 'start screen saver' action, if it's locked down. Approved by
          Charles Kerr. (ccc363f9)

2012-10-24 Michael Terry

        * The Design team wants the same icons in the greeter as in the user
          session (bug 1049244). This branch does that, and now that
          those greeter icons are not used anywhere, deletes them
          completely..
          Fixes:
          https://bugs.launchpad.net/bugs/1049244. Approved by
          Charles Kerr. (23518863)

2012-10-22 Michael Terry

        * use the same icons in the greeter as we do in a user session
          (1d99dbe6)

2012-10-17 Dmitrijs Ledkovs

        * Hide "Start Screen Saver" action, if it is locked down. (82491e95)

2012-10-10 Charles Kerr

        * Test upower_proxy for NULL before using it..
          Fixes:
          https://bugs.launchpad.net/bugs/1061844. Approved by Ted
          Gould, jenkins. (57b62d5f)
        * test for uproxy!=NULL before using it (62aff379)

2012-10-05 Charles Kerr

        * add translator comments to explain the menu's a11y strings
          (bda9a644)

2012-10-03 Sebastien Bacher

        * releasing version 12.10.4-0ubuntu1 (5865612f)
        * New upstream release. (d6165a57)
        * Import upstream version 12.10.4 (046a85c9)

2012-10-03 Charles Kerr

        * 12.10.4 (2b173ee9)

2012-10-01 Ted Gould

        * Remove the custom menu type for the restart entry.
          Fixes:
          https://bugs.launchpad.net/bugs/1058148. Approved by
          Charles Kerr, Lars Uebernickel. (8aec4a8b)
        * Move UPower settings init until after the items are created.
          Approved by Charles Kerr, Lars Uebernickel. (f5a2bb4a)
        * Add more files to be ignored. Approved by Charles Kerr, Lars
          Uebernickel. (0b09e47f)

2012-09-28 Ted Gould

        * Tarballs now have multiple numbers in the revision (74ddb5da)
        * Ignoring the test service (eab53c82)
        * Ignoring the generated dbus source files (9444254d)
        * Move the upower init to after the items are created (de629aa1)
        * Drop the defines (79a2f858)
        * Make the restart item a normal one (1c274a4a)
        * Removing handling for the restart item type (6db75f9c)
        * Attaching bug (d63a573d)

2012-09-19 Ken VanDine

        * releasing version 12.10.3-0ubuntu1 (d6a177ba)
        * Import upstream version 12.10.3 (0d351a02)

2012-09-19 Charles Kerr

        * 12.10.3 (9c40cb77)
        * Don't unconditionally show the user menuitems -- let dbusmenu's
          code process the menuitem's VISIBLE property.
          Fixes:
          https://bugs.launchpad.net/bugs/1049902. Approved by Lars
          Uebernickel, jenkins. (bf63480c)

2012-09-18 Charles Kerr

        * don't unconditionally show the user menuitems ... let dbusmenu's
          code process the menuitem's VISIBLE property (83b681bc)
        * Use `shut down' instead of `switch off' as the default shutdown
          text (fixes bug #1029036).
          Fixes:
          https://bugs.launchpad.net/bugs/1029036. Approved by Ted
          Gould, jenkins. (33297fba)
        * add AM_V_GEN to the gdbus-codegen invocation for prettier
          silent-rules invocation (e2f76a71)
        * Still using 'switch off' instead of 'shut down' in the default text
          in session-menu-mgr.c (cf87a398)

2012-09-13 Lars Uebernickel

        * If the system menu's icon is missing in the current theme, fall
          back to gtk-missing-icon instead of showing no icon at
          all..
          Fixes: https://bugs.launchpad.net/bugs/1048348.
          Approved by Charles Kerr, jenkins. (2496d670)
        * Change fallback icon to "gtk-missing-image" (c6d48503)
        * Make suspend translatable (c4d09268)

2012-09-13 Didier Roche

        * releasing version 12.10.2-0ubuntu3 (96a16f87)
        * releasing version 12.10.2-0ubuntu3 (4ac81ae5)
        * Cherry-pick upstream:   - Make "Suspend" translatable (3cffe25c)
        * make Suspend translatable (52597f6f)

2012-09-13 Xiao-Long Chen

        * Add fallback to "system-shutdown" icon (c7398986)

2012-09-12 Steve Langasek

        * Fix strings to ensure en_US are used in proper locations.
          Fixes:
          https://bugs.launchpad.net/bugs/1029036. Approved by Ted
          Gould. (d4df19f0)
        * releasing version 12.10.2-0ubuntu2 (4a3bccd4)
        * Change the menu to say 'Shut Down' instead of 'Switch Off' by
          default, since the latter is completely non-idiomatic in
          American English; and update the translations for
          commonwealth English in the package to preserve the
          preferred wording for en_GB.  LP: #1029036. (e1bb23a2)
        * Fix up the commonwealth translations for 'Shut Down' to reflect the
          consensus. (c61e31c3)
        * Revert en_GB localization to 'Switch Off'; this needs to be done in
          the translation, with the UI kept in en_US. (21ec8b71)

2012-08-31 Sebastien Bacher

        * releasing version 12.10.2-0ubuntu1 (51a475be)
        * New upstream release:   - Add an 'Online Accounts' menuitem (lp:
          #1044464)   - Add disposition highlighting to the
          indicator icon (lp: #1044015)   - Remove the Restart
          button from the shutdown dialog (lp: #1027952) (08007af8)
        * Import upstream version 12.10.2 (0b1b65a1)

2012-08-31 Charles Kerr

        * add gtest-dbus-helper.h to test_service_SOURCES s.t. it gets
          bundled in the tarball (a97388a9)
        * 12.10.2 (83e50438)
        * merge lp:~charlesk/indicator-session/lp-1044015 to add disposition
          highlighting to the session indicator's icon (0230e85b)
        * add a11y case for attention needed, but username display disabled
          (8c912028)
        * revise indicator_session_update_a11y_from_disposition() to be
          easier to internationalize (ed7d1fd6)
        * have the a11y text follow the SystemMenu spec (64cf8055)

2012-08-30 Charles Kerr

        * add a disposition handler to indicator-session (3bcd1a92)

2012-08-30 Alberto Mardegan

        * Add the "Online Accounts" item to the session menu. (697c5fa7)

2012-08-27 Sebastien Bacher

        * releasing version 12.10.1-0ubuntu3 (747d6e9a)
        * debian/rules:   - set libexecdir to a non multiarch location,
          other components look     to the standard path for the
          logout dialog helper, that's a workaround     until the
          binary is moved to bin (lp: #1041410) (d93c8a82)

2012-08-24 Sebastien Bacher

        * releasing version 12.10.1-0ubuntu2 (2ce14227)
        * Backported upstream fix for the testsuit;  debian/control:   -
          build-depends on libxorg-gtest-dev  * debian/rules:
          re-enable the tests (b698ad56)

2012-08-23 Charles Kerr

        * merge lp:~charlesk/indicator-session/add-dbus-test-harness to get
          the unit tests building correctly. (a1ad5799)
        * merge lp:~charlesk/indicator-session/lp-1027952 to remove the
          Restart button from the shutdown dialog (6710fce4)
        * add a local implementation of indicator-service-test.h (eff94b14)

2012-08-23 Sebastien Bacher

        * releasing version 12.10.1-0ubuntu1 (dc9315fe)
        * New upstream release:   - Menu items for users are too tall (lp:
          #1024395)   - should update glib requirement (lp:
          #1023533);  Updating package to use current standards
          (dh9) (c436f634)
        * Import upstream version 12.10.1 (da6785e1)

2012-08-23 Alberto Mardegan

        * Show Online Accounts only when needed (0a7f9ed2)

2012-08-22 Charles Kerr

        * in gtk-logout-helper's 'switch off' dialog, don't show a 'restart'
          button anymore (51a9de1e)
        * 12.10.1 (84e5c6a2)
        * merge lp:~charlesk/indicator-session/lp-1024395 to fix user menu
          icon sizes. (6468eba4)

2012-08-21 Charles Kerr

        * in the session menu, make the user menuitems the same height as the
          other menuitems. (58a88cde)
        * use gtk_image_*_from_icon_name() instead of
          indicator_image_helper*() (3ea027c7)

2012-08-21 Alberto Mardegan

        * Fix build (ff3294e7)
        * Class rename (8ebef396)
        * Add Online Accounts item to session menu. (0f662c64)
        * Apply old webcredentials patch to trunk (6bdbcc0a)

2012-07-24 Charles Kerr

        * merge lp:~charlesk/indicator-session/lp-1023533 to raise
          configure.ac's glib requirement to match the API level
          needed in the source code (c69973f9)

2012-07-23 Charles Kerr

        * Separate testing-strings utility into its own Makefile for re-use..
          Approved by Allan LeSage. (38ab0ef8)

2012-07-13 Charles Kerr

        * bump glib requirement to 2.33 (242a3396)

2012-07-11 Sebastien Bacher

        * releasing version 12.10.0-0ubuntu1 (7a6621d3)
        * Import upstream version 12.10.0 (e1ec25c1)

2012-07-11 Charles Kerr

        * bumping version to 12.10.0 (5b3945ba)
        * fix #include in test-service (be262264)

2012-07-06 Charles Kerr

        * only fire change events when a user property that we care about
          changes. (61f6df43)
        * if tests aren't explicitly requested, don't fail the build if
          dbus-test-runner isn't installed (28eebe01)
        * update POTFILE list (1f437a24)
        * Don't trigger unnecessary change events in the user proxy.
          (101cb833)

2012-07-05 Charles Kerr

        * copyediting (a578e5d5)
        * copyediting (554f2f46)
        * Remove the etched border effect for user icons. (d13ab804)
        * reduce the user icon size from 32 to 24 pixels as per mpt's
          request. (d1de164d)

2012-07-04 Charles Kerr

        * don't cache the DisplayManager seat proxy. (faf28a8e)
        * in gtk-logout-helper, rename 'Shut Down' to 'Switch Off' to match
          the session indicator's text (a1b4f7af)
        * add a g_debug message to say which command is being invoked by
          g_spawn_command_line_async() (d2f4e9ba)

2012-06-28 Charles Kerr

        * Restore the ellipsis to the 'System Settings' label as per mpt's
          suggestion. (38755586)

2012-06-20 Charles Kerr

        * copyediting (9c701644)

2012-06-19 Charles Kerr

        * copyediting (37e19a1c)
        * the default value for show-real-name-on-panel should be 'false'
          (8b2fa414)
        * Use "g_str_has_prefix(str,foo)" instead of "strlen(str)>N &&
          !memcmp(str,foo,N)" (24dafdfb)
        * action_func_spawn_async() doesn't need a varargs argument anymore.
          (e19572fc)
        * in build_user_menuitems(), don't leak the users GList even if user
          switching isn't allowed (7c5b6382)
        * SessionMenuMgr shouldn't leak its user_menuitems GSList (8dd2f615)
        * take a ref on the session_dbus passed into SessionMenuMgr's
          constructor. (fa521faf)
        * SessionMenuMgr should own its toplevel menuitem. (1f028ea9)

2012-06-18 Charles Kerr

        * clearing house: the remainder of bugfixes & readability changes
          (c9e0ebff)
        * copyediting: remove a lot of trailing spaces (a8bf2f6f)
        * copyediting: remove trailing spaces; fix tab damage (3380b967)
        * handle fringe case where GetRealUserName is called before the
          username's been set -- send an empty string rather than
          NULL s.t. the client doens't get an '[Invalid UTF-8]'
          string (448f0a63)

2012-06-17 Charles Kerr

        * a step in merging the two menus: consolidate & clean up the code in
          session-menu-mgr (63b800e6)

2012-06-15 Charles Kerr

        * a step in merging the two menus: merge the DeviceMenuMgr and
          UserMenuMgr classes into a single SessionMenuMgr class
          (8cb934f2)

2012-06-14 Charles Kerr

        * right-align the 'currently logged in' checkmark as per mpt's 12.10
          spec (0e41b34b)
        * a step in merging the two menus: initial merge of the two menus
          (537a40e0)
        * bind the IndicatorObjectEntry's label's visibility to the the
          setting in show-real-name-on-panel (50a6e917)
        * remove the use-username-in-switch-item property; it's no longer
          spec'ed (41c4ab35)
        * a step in merging the two menus: in indicator-session, use one
          IndicatorObjectEntry instead of two (c629aec4)
        * a step in merging the two menus: remove the 'should show user menu'
          flag (4998ebc6)
        * in copy_proxy_properties(), ensure that the 'changed-properties'
          variant that we emit isn't NULL (23882f41)
        * use g_clear_object() (51c302df)
        * in user_widget_property_update(), remove a g_message() that
          shouldn't've been committed (9e64d9ac)

2012-06-13 Charles Kerr

        * in user_widget_init(), remove unused variable 'padding' (9ecf1663)
        * in user-widget.c, remove unused function
          user_widget_button_release_event() (ba66f20c)

2012-06-13 Steve Langasek

        * releasing version 0.3.96-0ubuntu2 (58b72505)
        * Recommend packagekit-system-interface instead of
          python-aptdaemon.pkcompat: we care about the dbus
          interface, now provided by the python3 package, not the
          python module. (c05ee050)

2012-06-13 Charles Kerr

        * Don't use all the new users that we get told about. (146081cf)
        * fix a spurious call to g_error_free() in indicator_session_init()
          (b8c1cd56)
        * Have the menuitem respond to changes in the AccountsUser's ICON
          property (38dbee40)
        * Have the user widget respond to changes in the LOGGED_IN and ICON
          properties (961c326f)

2012-06-12 Charles Kerr

        * use GDBus in users-service-dbus.c... major rewrite here. (192be127)
        * properly respond to changes in the menuitem's
          USER_ITEM_PROP_LOGGED_IN property (f7f945be)

2012-06-09 Charles Kerr

        * use gdbus-codegen for the UPower dbus interaction (d95d7292)

2012-06-05 Charles Kerr

        * start grouping Admin, Account-Switching, and Session items as per
          the 12.10 spec (a782ddbe)
        * Add the 'About This Computer' and 'Ubuntu Help' menuitems as per
          the 12.10 spec (f807a413)
        * remove the attached devices menuitem; it's no longer in the spec
          (52eec363)
        * fix tab damage in device-menu-mgr.c (f6a082bc)
        * remove unnecessary prototypes (a535ab4c)
        * extract methods to reduce duplicate code in handling dbus
          notifications that can_suspend, allow_suspend,
          can_hibernate, or allow_hibernate flags have changed
          (3cab3942)
        * bugfix: in machine_sleep_with_context(), don't call the proxy
          method if we don't have a proxy (0941a2b3)
        * constify the machine_sleep_with_context() API (bcc1d391)
        * make lock_menuitem an instance variable rather than a global one so
          that its pointer values won't persist between test
          sessions.  Woot, last global\! (19dd5977)
        * make suspend_call and hibernate_call instance variables rather than
          global ones so that their pointer values won't persist
          between test sessions (4e1238c7)
        * make can_hibernate, allow_hibernate, can_suspend, and allow_suspend
          instance variables rather than global ones so that their
          pointer values won't persist between test sessions
          (ee9720fc)
        * reduce the scope of another formerly global variable:
          system_settings_menuitem (86f0c074)
        * make up_main_proxy and up_prop_proxy instance variables rather than
          global ones so that their pointer values won't persist
          between test sessions (6d597642)
        * make logout_mi and shutdown_mi local variables rather than global
          ones so that their pointer values won't persist between
          test sessions (c60d4ff5)
        * make hibernate_mi and suspend_mi instance variables rather than
          global ones so that their pointer values won't persist
          between test sessions (91f89a3d)
        * make keybindings_settings an instance variasble rather than a
          global one, so that it will get disposed properly and not
          persist between test sessions (732867f4)
        * make lockdown_settings an instance variable rather than a global
          one, so that it will get disposed properly and not persist
          between test sessions (d767fd18)
        * bugfix: we were listening to screensaver shortcut settings changes
          from the wrong GSettings. (470d4c03)
        * In device-menu-mgr.c, lockdown_changed() only exists as a pass-thru
          for having LOCKDOWN_KEY_USER and LOCKDOWN_KEY_SCREENSAVER
          changes force a menu rebuild, so eliminate the middleman
          and connect those property changes directly to the menu
          rebuild (47c518ad)
        * remove duplicate code when updating the lock menuitem's keybindings
          (913dcda4)
        * In device-menu-mgr, remove unused context from
          show_system_settings_with_context() (f4983586)

2012-06-04 Charles Kerr

        * remove now-unused file accounts-service-user.xml (d2b04469)
        * remove our udev dependency now that we no longer use it to look at
          devices (fb89365f)
        * remove the software updates menuitem; it's no longer in the spec
          (09ed92a8)
        * remove the startup applications menuitem; it's no longer in the
          spec (7a2f7f70)
        * remove the display menuitem; it's no longer in the spec (b63c0ea0)
        * remove the webcam menuitem; it's no longer in the spec (8e724cdf)
        * remove the scanner menuitem; it's no longer in the spec (d224ef8d)
        * remove the printer settings menuitem; it's no longer in the spec
          (d01d3a70)
        * In user_menu_mgr_rebuild_items(), simplify the logic behind the
          visiblity rules (4877d7f2)

2012-06-03 Charles Kerr

        * bugfix: even if a UserMenuMgr was in greeter mode, it would rebuild
          itself in "full" mode after users on the system were added
          or removed. (dcc37782)
        * user_count is a one-time use variable, so reduce its scope from
          being a UserMenuMgr field to a temporary var in
          user_menu_mgr_rebuild_items() (e5589884)
        * fix signature for compare_users_by_username() (83667069)
        * simplify is_this_guest_session() (45af8792)
        * extract method: create_user_menuitem() (266693a4)
        * Remove the seemingly-pointless MINIMUM_USERS constant (3d680911)
        * In user-menu-mgr.c, make the static variable 'settings' a field of
          UserMenuMgr so that it doesn't persist between test
          sessions (4823f271)
        * In user-menu-mgr.c, make the static variable 'switch_menuitem' a
          local s.t. it's not preserved between test sessions
          (9ffe5cb1)
        * Remove unused function check_new_session() from user-menu-mgr.c
          (dfda9903)

2012-06-02 Charles Kerr

        * In user_menu_mgr_rebuild_items(), reduce the scope of some
          temporary variables (ca4dc435)
        * In user-widget.c, remove the GTK2-specific code. (d625fd82)
        * Add gcda/gcno to CLEANFILES s.t. 'make clean' will cover them
          (f181ac9b)

2012-05-08 Charles Kerr

        * merge lp:~charlesk/indicator-session/nogtk2 to raise the minimum
          gtk version to 3 (51acc83a)

2012-05-07 Charles Kerr

        * remove gtk2 support (3dff82bd)

2012-05-02 Charles Kerr

        * extract the strings test into their own Makefile so that we can
          share it among other indicators (894f448b)
        * merge lp:~charlesk/indicator-session/gtest to add Google Test +
          libdbustest (b7a6eeda)

2012-04-27 Charles Kerr

        * use ted's suggestions for using xorg-gtest and to remove the
          service-test-runner.sh script (ea22a600)

2012-04-27 Ted Gould

        * Switch to using the xorg-gtest main so that we're running under a
          dummy Xserver (f2298244)
        * Change the service path to be a define instead of passed on the
          command line (123a7fec)

2012-04-26 Charles Kerr

        * sync with the other indicatorsGTest automake rules (1bab86ef)
        * fix tyop (149989e0)
        * only require GTest and libdbustest if we're building the unit tests
          (6187dfbd)
        * add scaffolding for indicator-session-service Google Testing with
          libdbustest (705eb1b4)

2012-04-05 Ken VanDine

        * New upstream release.   * Remove desktop files so they don't
          appear in the dash. (LP: #973181)   * Add gcov to the
          build for coverage statistics (016b902f)

2012-04-05 Charles Kerr

        * releasing version 0.3.96-0ubuntu1 (7897fdf6)
        * New upstream release.   * Remove desktop files so they don't
          appear in the dash. (LP: #973181)   * Add gcov to the
          build for coverage statistics (4f163e4d)
        * Import upstream version 0.3.96 (6127a94e)
        * Sync from Ubuntu Desktop (d9e9add3)
        * 0.3.96 (1ddba0eb) (tag: 0.3.96)

2012-04-04 Charles Kerr

        * merge lp:~ted/indicator-session/no-system-desktop-files to remove
          the desktop files so they don't appear in the dash.
          (0c35e8d0)

2012-04-04 Ted Gould

        * Attaching bug (b3e779a0)
        * Dropping the desktop files from translations (456ec1cf)
        * Dropping the desktop files from the build (261b1b9c)

2012-03-29 Charles Kerr

        * merge lp:~allanlesage/indicator-session/TDD to add gcov to the
          build for coverage statitistics (689b16a6)

2012-03-29 Allan LeSage

        * Advised changes to fix implicit declarations. (ac5d7a54)

2012-03-28 Allan LeSage

        * Merged from trunk. (affff000)

2012-03-27 Allan LeSage

        * Added gcov coverage tooling. (d9416f4f)

2012-03-21 Ken VanDine

        * releasing version 0.3.95-0ubuntu1 (96e1a9f5)
        * New upstream release.   * Fix small memory leaks (lp: #957342)
          (788dfb3d)

2012-03-21 Charles Kerr

        * releasing version 0.3.95-0ubuntu1~ppa1 (f5a5f0e8)
        * New upstream release.   * Fix small memory leaks (lp: #957342)
          (92d6bb1a)
        * Import upstream version 0.3.95 (4b9b0d04)
        * Sync from Ubuntu Desktop (831d262f)
        * 0.3.95 (80f29374) (tag: 0.3.95)

2012-03-19 Charles Kerr

        * Merge lp:~charlesk/indicator-session/lp-957342 to fix a pair of
          indicator-session memory leaks. (909ef6f9)

2012-03-16 Charles Kerr

        * fix memory leak updating the username label -- gtk_label_set_text()
          takes a const char*, we don't need to g_strdup() the
          string before passing it in (ddd26808)
        * plug two more memory leaks. g_variant_get("s") makes a
          newly-allocated duplicated string, g_variant_get("&s")
          returns the internal const string. (537804ec)
        * to pull a const string from g_variant_get(), use a format string
          "&s", not "s" (d2c9e397)
        * plug two leaked strings in keybinding_changed() (f6a6e8cf)

2012-03-14 Sebastien Bacher

        * releasing version 0.3.94-0ubuntu1 (21a5846b)
        * New upstream release. (87ce6af1)
        * Import upstream version 0.3.94 (edd9186e)

2012-03-14 Charles Kerr

        * 0.3.94 (bc34f047) (tag: 0.3.94)

2012-03-12 Conor Curran

        * mvo's fix for the apt menuitem (480cb8c3)

2012-03-12 Ken VanDine

        * releasing version 0.3.93-0ubuntu1 (1a406815)
        * New upstream release.   * Reverting locking change from earlier
          releases   * Working with PackageKit restart signals
          better (19582c4d)

2012-03-09 Ted Gould

        * releasing version 0.3.93-0ubuntu1~ppa1 (38b05f84)
        * New upstream release.   * Reverting locking change from earlier
          releases   * Working with PackageKit restart signals
          better (fbc4b2c2)
        * Import upstream version 0.3.93 (59aeee2a)
        * Sync with U. Desktop (4930d8b5)
        * 0.3.93 (0034324b) (tag: 0.3.93)

2012-03-09 Sebastien Bacher

        * releasing version 0.3.92-0ubuntu3 (ed3bab33)
        * Backport mvo's restart required fix, with the new aptdaemon that
          should fix the issue for good (lp: #942104) (cf87392e)

2012-03-08 Michael Vogt

        * src/apt-watcher.c: remove no longer needed code, this
          RestartRequired is a bit misleading as it about that the
          PK daemon got restarted not about system or session
          (9e862f15)
        * src/apt-watcher.c: check the pk_results_get_require_restart_worst()
          in get_updates() too (6f222333)

2012-03-07 Alberto Mardegan

        * Add Web Accounts menu item (db65e23e)
        * Fix a build error: include locale.h (cc8293da)

2012-03-06 Sebastien Bacher

        * releasing version 0.3.92-0ubuntu2 (0b3dbda1)
        * Backport r243 and r244, should fix the restart required status
          update   once aptdaemon is fixed to correctly emit signals
          (lp: #942104);  debian/patches/restore_session_lock.patch,
          debian/rules:   - replace by a backport of the official
          commit (d7fbb0c9)
        * enforce locking that's still needed and will not be solved this
          cycle (3c5b15ab)

2012-03-06 Conor Curran

        * merge the icon change fix (0f7af17c)
        * make sure to change the icon on the panel when we get a restart
          signal from package kit (98f37a07)
        * make sure to listen to the correct signal (53992f3e)
        * listen for the right signal (0810650f)

2012-02-27 Sebastien Bacher

        * Revert r239, there are still issues, to sort next cycle (aabe8764)

2012-02-23 Sebastien Bacher

        * releasing version 0.3.92-0ubuntu1 (86561325)
        * debian/patches/restore_session_lock.patch, debian/rules:   - get
          the indicator to enforce locking again since we still have
          cases     where locking is not done otherwise (lp:
          #939518) (c0b7a866)
        * New upstream release.   * Make GUDev dependency optional for
          non-Linux kernels   * Add accessibility strings on the
          icons (LP: #891861) (94bfe451)

2012-02-23 Ted Gould

        * releasing version 0.3.92-0ubuntu1~ppa1 (9bdc8031)
        * New upstream release.   * Make GUDev dependency optional for
          non-Linux kernels   * Add accessibility strings on the
          icons (LP: #891861) (cb9ef79f)
        * Import upstream version 0.3.92 (a2a0779d)
        * Updating to U. Desktop (d37d11ad)
        * 0.3.92 (2afbdf3a) (tag: 0.3.92)
        * Make GUDev optional for arch's that can't support it (8125b675)
        * Don't include the header or the variable if we're not using GUDev
          (68cf3cfa)
        * Move the variables into the list straight up as they'll be NULL if
          undefined (76e3d092)
        * Making sure to distribute the files even if we don't use them to
          build. (cc124ba5)
        * Set the accessible descriptions with the icons (7609f062)

2012-02-22 Ted Gould

        * If we change the icon to show reboot we need to tell that to the
          a11y string as well (d88e2f69)
        * Add default accessible descriptions to the entries (9b6ac737)
        * Attaching bug (a79b97e7)

2012-02-23 Evgeni Golov

        * make gudev dep optional (05f7c359)

2012-02-15 Martin Pitt

        * debian/control: Add alternative packagekit dependency, since this
          ought to work with either the aptdaemon pkcompat or
          packagekit itself. (1d8f0ba5)

2012-02-14 Sebastien Bacher

        * releasing version 0.3.91-0ubuntu1 (242c0e96)
        * Backport "Don't lock the session when switching to another one"
          work from Robert Ancell, the screen locking is already
          done by   consolekit and enforcing it there is problematic
          to i.e use the   lightdm greeter as a lock screen (lp:
          #878836);  debian/source/format:   - use v1, v3 doesn't
          play nicely with vcs backports (b468e062)

2012-02-14 Conor Curran

        * merge roberts lock fix (13d6c2bd) (tag: 0.3.91)

2012-02-14 Sebastien Bacher

        * debian/control:   - recommends python-aptdaemon.pkcompat so
          packagekit doesn't get installed (28da49f7)

2012-02-14 Ken VanDine

        * debian/control   - added new build depends on
          libpackagekit-glib2-dev (06ae72ff)

2012-02-10 Ken VanDine

        * New upstream release. (ad29b5df)
        * Import upstream version 0.3.91 (10923a8e)

2012-02-10 Robert Ancell

        * Don't lock the session when switching to another one - something
          else (ConsoleKit?) already does this and locks it
          regardless of if the setting has been configured. By
          explicitly doing the lock it means we can't override it
          inside GNOME screensaver to switch to the greeter instead,
          so this patch removes the code. (9dec8f6f)

2012-02-08 Ken VanDine

        * releasing version 0.3.90-0ubuntu1 (dd2a5beb)
        * New upstream release.   * Screensaver code cleanup   * Fix
          ordering of items on request   * Removing GOA support   *
          Fix GTK3 Box Deprecation   * Updating to dbusmenu 0.5.90
          * Making the gtk logout helper and apt optional build time
          choices   * Add name hints to the indicators   * bump
          version for release;  Drop
          debian/patches/01-remove-dead-gss-handling.patch: Upstream
          * debian/control: Updating dbusmenu dep to 0.5.90
          (4eacd253)

2012-02-08 Conor Curran

        * prep for release 0.3.91 (512b6ab5)
        * merge in the pk api port branch and remove the apt transaction
          stuff (a22f5d56)
        * merge request comments acted upon (2890929b)
        * properly fix conflict and make sure to not check for updates 1
          minute after starting the service or Pitti will kill me :)
          (3b8d13f3)
        * correct conflict (4145c292)
        * get rid of the transaction as we don't need to worry about updates
          installing state (d4162d24)
        * pk kit compat layer seems to be sane (3c560ddc)

2012-02-07 Ted Gould

        * releasing version 0.3.90-0ubuntu1~ppa1 (fb82208c)
        * debian/control: Updating dbusmenu dep to 0.5.90 (f4387695)
        * Drop debian/patches/01-remove-dead-gss-handling.patch: Upstream
          (42602a6b)
        * New upstream release.   * Screensaver code cleanup   * Fix
          ordering of items on request   * Removing GOA support   *
          Fix GTK3 Box Deprecation   * Updating to dbusmenu 0.5.90
          * Making the gtk logout helper and apt optional build time
          choices   * Add name hints to the indicators   * bump
          version for release (c49024a2)
        * Import upstream version 0.3.90 (455f5df6)
        * Merge U. Desktop (669d0321)

2012-02-07 Marc Deslauriers

        *   debian/patches/01-remove-dead-gss-handling.patch: Remove dead GSS
            throttling code. Let gnome-settings-daemon handle
          locking the screen   when UPower requests it. (6c05bbbd)

2012-02-07 Ken VanDine

        * releasing version 0.3.7.1-1ubuntu1 (733c7544)
        *   * rebuild for libindicator7   * debian/rules     - build with
          no-error=deprecated-declarations (d2c2e90d)
        *   * debian/control     - set ubuntu-desktop VCS and maintainer
          (a4cd5f6e)
        * releasing version 0.3.7.1-1 (606ebd01)
        * releasing version 0.3.7.1 (baafff02)

2012-02-07 Ted Gould

        * Import upstream version 0.3.7.1 (dadd9430)
        * 0.3.90 (6975e8a7) (tag: 0.3.90)
        * Screensaver code cleanup (361c2e6d)
        * Fix ordering of items on request (4f3cb40d)
        * Removing GOA support (659e2030)
        * Fix GTK3 Box Deprecation (2f7ca00e)
        * If we have GTK3 use the new gtk_box_new() function not the
          deprecated one (0d10a8e6)
        * Adding flags into the build to make sure we know if we're GTK3 or
          not (e9987ce4)

2012-02-07 Conor Curran

        * no need to hold on to a reference to a pkclient instance (e856eb99)
        * apt watcher updates (6e585e54)
        * fetching available packages (bf53f6ba)

2012-02-06 Conor Curran

        * query for updates half complete (e0c43e05)
        * we need to talk to dbus to listen for signals from package kit, the
          lib doesnt wrap the signals ... (9954c4eb)
        * pkclient in place (64d649ed)
        * handle gtk3 box constructor changes (42fc8277)

2012-02-03 Ted Gould

        * Updating to dbusmenu 0.5.90 (5ae829c7)

2012-02-02 Alberto Mardegan

        * Remove "Online accounts" from user menu (2612c246)

2012-01-31 Ted Gould

        * Modifying includes to not include libdbusmenu-gtk3 stuff (ab073d8e)
        * Updating required dbusmenu 0.5.90 (c2ade265)

2012-01-30 Marc Deslauriers

        * Remove dead GSS throttling code. Let gnome-settings-daemon handle
          locking the screen when UPower requests it. (38923e55)

2011-11-29 Ted Gould

        * Making the gtk logout helper and apt optional build time choices
          (77699eb5)
        * Add name hints to the indicators (dba878e3)

2011-11-23 György Balló

        * Make APT support optional (b3d54d8b)
        * Make GTK Logout Helper optional (5a3df0dd)

2011-11-08 Marco Trevisan (Treviño)

        * Export the indicators name hints (7e6cd986)

2011-10-28 Conor Curran

        * bump version for release (f2b3d483) (tag: 0.3.7.1)
        * fix the invalid utf8 bug and update ignore file (fc50b0c4)

2011-10-26 Dmitry Shachnev

        * Swap return values of indicator_session_get_location (96137411)

2011-10-25 Conor Curran

        * update the ignore file with the new translations (a6e32476)
        * tidy up (13767361)
        * removed the redundant max users limit on the user menu (3e2c3690)

2011-10-13 Ken VanDine

        * releasing version 0.3.7-0ubuntu1 (9f7a84a6)
        * New upstream release.   * Fix some variant ref issues causing
          crashes (LP: #863930)   * Handle cases of returned dbus
          messages from ConsoleKit (LP: #864085)   * Fixed
          improperly mapped gconf to gsettings keys (LP: #858798)
          (6444bc4c)

2011-10-13 Ted Gould

        * releasing version 0.3.7-0ubuntu1~ppa1 (374c13ec)
        * New upstream release.   * Fix some variant ref issues causing
          crashes (LP: #863930)   * Handle cases of returned dbus
          messages from ConsoleKit (LP: #864085)   * Fixed
          improperly mapped gconf to gsettings keys (LP: #858798)
          (eb1fea01)
        * Import upstream version 0.3.7 (301718cf)
        * Merge from U. Desktop (5cd2a887)
        * 0.3.7 (9ddd6044) (tag: 0.3.7)

2011-10-12 Ted Gould

        * Fix variant handling (38140e86)
        * Check to ensure we have settings, else default values. (abfab87c)
        * Okay, get all of them I guess (2e2cf84c)
        * Okay, fixing again.  Now right. (d4ffde86)

2011-10-10 Ted Gould

        * Use a temporary variable to defeat G_DISABLE_CHECKS (c20ca2c4)

2011-10-09 Ted Gould

        * Attach bug (2d4557d5)
        * Don't unref the parameters as we don't make a ref to it (e3e555ae)
        * Make sure to reference the variant, and unref the value we get
          (e53d3bd8)

2011-10-08 Ted Gould

        * Error gracefully if we can't get our settings. (3212519b)

2011-10-03 Ken VanDine

        * releasing version 0.3.6-0ubuntu2 (e386410a)
        * Fixed improperly mapped gconf to gsettings keys, fixes crasher (LP:
          #858798) (c350671a)

2011-09-28 Ken VanDine

        * releasing version 0.3.6-0ubuntu1 (06e1fe18)
        * New upstream release.   * Fix convert file key naming (LP:
          #847807)   * Use environment variable to get seat path
          (LP: #856455)   * Fix abort when using ConsoleKit fallback
          (LP: #740382)   * Update session icon instead of creating
          a new one (LP: #854292)   * Update to latest Launchpad
          translations (d44c110d)

2011-09-27 Ted Gould

        * releasing version 0.3.6-0ubuntu1~ppa1 (a3fd1aa6)
        * New upstream release.   * Fix convert file key naming (LP:
          #847807)   * Use environment variable to get seat path
          (LP: #856455)   * Fix abort when using ConsoleKit fallback
          (LP: #740382)   * Update session icon instead of creating
          a new one (LP: #854292)   * Update to latest Launchpad
          translations (d29ab0ec)
        * Import upstream version 0.3.6 (af086761)
        * Update to ubuntu-desktop version (1e3f1b72)
        * 0.3.6 (749c8c0b) (tag: 0.3.6)
        * Merging in translations from LP (58faea4e)
        * Fixing capitalization of input strings as well (2b4db46b)
        * Updating to trunk (22c09b74)
        * Updating to current translations on Launchpad (28b8bddf)
        * Removing an error and fixing the parameters. (99d0f953)
        * Update the icon instead of recreating it. (854ceab3)
        * Switch to using the XDG_SEAT_PATH env. variable instead of using
          DBus (de44ede6)
        * Make the dialog not abort and add invalids for the return to make
          sure it does less often (44811c1e)

2011-09-26 Ted Gould

        * Switch changing restart to updating the image instead of recreating
          it. (48e560f6)
        * Adding categories to the desktop files (b1892b93)

2011-09-21 Ted Gould

        * Fixing key names (362d7ed5)

2011-09-21 Robert Ancell

        * Don't use depcrecated
          org.freedesktop.DisplayManager.GetSeatForCookie, use
          XDG_SEAT_PATH instead (c28ee7f7)

2011-09-19 Ted Gould

        * Only grab reboot after a second delay (acb55ae0)

2011-09-16 Ted Gould

        * Fix title case (1e18b399)

2011-09-16 Jeremy Bicha

        * Use Title Case for "Restart to Complete Updates" (fec34a4e)

2011-09-16 Conor Curran

        * removed startup rebootrequired query, it must have been returning
          true (d4166414)

2011-09-15 Didier Roche

        * releasing version 0.3.5.1-0ubuntu1 (18f31584)
        *   - don't start apt on logging   - [UIFe] should say "Restart to
          Complete Updates…" (LP: #850013) (bdd5983a)
        * New upstream release. (46861f0e)
        * Import upstream version 0.3.5.1 (8ff4f280)

2011-09-14 Conor Curran

        * fixes for apt handling (1ea8cf99) (tag: 0.3.5.1)
        * merge further apt handling fixes (656e9549)
        * apt property changed reboot required listened for and now the whole
          apt interaction does not happen until after 60 secs
          (1fc59558)

2011-09-09 Sebastien Bacher

        * releasing version 0.3.5.0-0ubuntu1 (f1bd59d1)
        * New upstream release:   - fix the updates menu items randomly
          working (lp: #842946)   - "Guest Session should not show
          if guest session was disabled in      the display manager"
          (lp: #835084)   - segfault fix (lp: #840660)   - don't
          display temporary guest user generated username (lp:
          #844272)   - respect "show-real-name-on-panel" to hide the
          username (lp: #812728) (fd2ef977)

2011-09-08 Sebastien Bacher

        * Import upstream version 0.3.5.0 (938c7103)

2011-09-08 Conor Curran

        * bump for release (e8cce2f8)
        * various switches for the strings on the panel and on the switch
          item (52799b8b) (tag: 0.3.5.0)
        * show/hide the name from the panel (9aa0ffa3)
        * add the new gsettings entry for toggling the visibility of the real
          name on the panel (d446a9d9)
        * debugs for mystery bug (7787bd61)
        * user correct string on switch item unless user actually wants to
          show username (6174b1ba)
        * merge the display manager's has-guest-account work (daa6295c)
        * merge the apt handling fixes (e889dd7e)

2011-09-07 Ted Gould

        * Lots of debug messages for the logout helper (693bdc8f)

2011-09-07 Conor Curran

        * merge null protection branch (ba69c336)
        * tidy up (b85f29bb)
        * tidy up (9c24a238)
        * display manager HasGuestAccount now supported (0bef3712)
        * more hoop jumping for apt (058f9cbc)
        * more hoop jumping for apt (bc14f0ae)
        * more revelations with regards the behaviour of the apt dbus 'api'
          (d0d4fd57)

2011-09-06 Sebastien Bacher

        * releasing version 0.3.4.3-0ubuntu1 (f0fea9a9)
        * New upstream release.   - new gsettings key
          "com.canonical.indicator.session user-show-menu"   -
          "[UIFe]Greeter power menu has cog icon but no settings"
           (lp: #838546) (4c5b007b)
        * Import upstream version 0.3.4.3 (f3e7aa15)

2011-09-06 Conor Curran

        * bump version for release (433512c1) (tag: 0.3.4.3)
        * added new gsettings entry to control visibility of the user menu
          (8eb3b24c)
        * updated the schema entry with the correct key (c6857c30)
        * updated the schema entry with the correct key (f05ddfcd)
        * refactor the apt state callback because the use case of real and
          simulation were proving far too disparate (46db1068)
        * change the actual key on the entry (b23c5231)
        * live cd user should now be turned off via new gsettings entry by
          casper (cf5f3639)
        * added new field to gsettings to allow to hide the user menu
          (12f76de5)
        * another bug found within the apt-menuitem (00618412)

2011-09-05 Conor Curran

        * old icon now used when in greeter mode (f177b1e0)
        * protect against a null pointer in the user-dbus-manager (9da9edc5)

2011-09-02 Ken VanDine

        * releasing version 0.3.4.2-0ubuntu1 (6d01875a)
        * Import upstream version 0.3.4.2 (4faa2c96)

2011-09-02 Conor Curran

        * remove the greeter icon stuff (3f39e981)
        * bumped version in prep for release (40e2c4c1)
        * apt menuitem should now finally be working properly (ed66b087)
          (tag: 0.3.4.2)
        * make sure to flag restart state in greeter mode also with the right
          icon (a335b8e9)
        * final apt menuitem bugs fixes (374a403e)

2011-09-01 Ken VanDine

        * releasing version 0.3.4.1-0ubuntu1 (3b39d2b2)
        *   - "Reboot Required" menu opens Update Manager, doesn't reboot
          (LP: #837658)   - indicator-session-service crashed with
          SIGSEGV in     g_str_hash() (LP: #824243)   -
          indicator-session-service crashed with SIGSEGV in
          g_variant_unref() (LP: #833965.
          +debian/patches/revert_icon_change.patch   - revert the
          icon change in greeter mode until a UIF exception is
          approved;  +debian/source/format (a205a6f7)
        * merged (a550558e)
        * Import upstream version 0.3.4.1 (abcb5c20)
        * cleaned up changelog (8c0fce00)
        * debian/control: Adding a depend on gnome-settings-daemon to
          ensure that   the required schemas are available.  (LP:
          #833965);  Upstream Merge   * So much stuff...   * Desktop
          files for system functions;  Upstream Merge   * GSettings
          Fixes;  Upstream Merge   * GSettings transitio.
          debian/rules: Adding autoreconf (52f9a682)

2011-09-01 Conor Curran

        * ready for 0.3.4.1 (ea01f772) (tag: 0.3.4.1)
        * much easier of handling the greeter icon (383e2846)

2011-08-31 Ted Gould

        * releasing version 0.3.3.2-0ubuntu2~ppa1 (a316c5aa)
        * debian/control: Adding a depend on gnome-settings-daemon to ensure
          that the required schemas are available.  (LP: #833965)
          (d63ca3b3)
        * Update to Ubuntu Desktop (3a3145da)

2011-08-31 Conor Curran

        * various apt handling fixes (07a72b95)
        * set the menuitem's disposition back to normal just in case
          (b8b29748)
        * tidy up (5f9ec570)
        * make sure to bring up logout dialog from apt menuitem when restart
          is required (c7a50eed)
        * tidy up (55a16168)
        * restart signal actually being sent now properly (254ca429)
        * apt race condition handled (e1a93379)

2011-08-30 Ken VanDine

        *   - in a Guest session user menu is not visible (LP: #834948)   -
          User name shown as [Invalid UTF-8] in live session (LP:
          #837246) (c1c06038)
        * New upstream release. (9d418cbb)
        * Import upstream version 0.3.4 (c0553de9)

2011-08-30 Conor Curran

        * bump for release (6ee7c05f)
        * merge the guest fixes (039c5e4d) (tag: 0.3.4)
        * remove guest checking in generic user list, the guest user is never
          included in the user list returned therefore the check is
          pointless (a26d2f01)
        * remove broken logic concerned with displaying the user menu
          (267bef38)
        * fixed the guest session panel string (6ce3738b)
        * bump for release (4bc40ecf) (tag: 0.3.3.3)
        * protect against incorrect webcam detection (1987bc1b)

2011-08-26 Ken VanDine

        * releasing version 0.3.3.2-0ubuntu1 (9e698820)
        * Import upstream version 0.3.3.2 (455e7e48)

2011-08-26 Conor Curran

        * merge in translation fix (e8375c11)
        * fixed the translation bug (f659aae7)

2011-08-25 Ken VanDine

        * releasing version 0.3.3.1-0ubuntu1 (0625c789)
        * Import upstream version 0.3.3.1 (52d107ca)

2011-08-25 Conor Curran

        * ted's str allocation fixes (db495e78)

2011-08-25 Ted Gould

        * Change the function to assume nothing about the parameters and
          always allocate a string (24faed74)

2011-08-25 Conor Curran

        * bump for next release (a32abfef)
        * fixes for the min users and label on panel for guest (ae28c6c7)
          (tag: 0.3.3.1)
        * fix the min users bug plus guest label utf8 issue (9631736c)

2011-08-25 Ken VanDine

        * releasing version 0.3.3-0ubuntu2 (fe87877f)

2011-08-25 Conor Curran

        * protection against dodgy vendor ids provided by udev (5441c68c)

2011-08-25 Ken VanDine

        * releasing version 0.3.3-0ubuntu1 (2f544054)

2011-08-25 Conor Curran

        * bumped the dbusmenu version depends (a8fbf33e)

2011-08-25 Ken VanDine

        * New upstream release.   - User menu should still show even if
          there is only 1 user (LP: #831758)   - Bluetooth item in
          menu not needed (LP: #825111)   - Newly created users are
          not added to the menu until next     login (LP: #552048)
          - Users list in shutdown menu is not updated on user
          deletion (LP: #557608)   - should use gsettings rather
          than gconf (LP: #656323) (6bacf14e)
        * Import upstream version 0.3.3 (ce36ed0c)

2011-08-25 Conor Curran

        * updated po files and bumped for beta release (29d61ee4) (tag:
          0.3.3)
        * branded attached devices menuitem labels (f0031ebf)
        * fixed the translations (cbae3e05)

2011-08-24 Conor Curran

        * merged teds string fixes and tests (e7088416)
        * merge the fixes for gtk2 (4bb13294)
        * merged the desktop session files branch (f0b10565)
        * fix the dot alignment in the gtk2s user widget (5654480a)
        * fix that broken trunk (a7004c65)
        * gtk2 user widget drawing fixed (a11951d9)

2011-08-23 Ted Gould

        * Ignoring the test scripts (a73f9864)
        * Fixing those ASCII quotes (11ee8ffc)
        * Adding a test to look for various ASCII quotes (abc80c0b)
        * Fix the message (78a38ad2)
        * Add a test to test the space before an ellipsis at the end of a
          string (f4e09aff)
        * Adding the bin directory as well (39806a70)
        * Making the desktop files actually install (6e6ca9a6)
        * Adding a lock screen desktop file as well (4151eaaa)
        * Fixing the TryExecs and the versions (41f7c6c7)

2011-08-23 Conor Curran

        * set the alert state on the apt item when reboot is required
          (430f5bce)

2011-08-23 Ted Gould

        * Upstream Merge   * So much stuff...   * Desktop files for system
          functions (b0eef117)
        * Adding logout and restart desktop files as well (e6492845)

2011-08-23 Conor Curran

        * user menu now shown if guest session is possible also guest name
          has been set on the panel (c8335dab)

2011-08-23 Ted Gould

        * Adding a desktop file for shutting down (efe088c4)

2011-08-23 Conor Curran

        * removed bluetooth item and labels on webcams and scanners are now
          manufacturer specific (62d50711)

2011-08-23 Ted Gould

        * Activate prototype (c4d38ac2)

2011-08-23 Conor Curran

        * merged user, gsettings and other stuff (90a91a26)

2011-08-22 Ted Gould

        * Add a user accounts item on the user menu (0bae48ea)

2011-08-22 Conor Curran

        * uncomment signal subscription that doesn't work (ca8ee2ae)
        * changed around the sync users so as it can be used to refresh the
          user list on any given event (faa1e437)
        * merged the dynamic users work (d6b49642)
        * don't draw border on default icon (c8b7d9a2)
        * tidy up (282f1128)
        * user icon border now being drawn and gtk2 dot also taken care of
          (2ab97a71)
        * user images now being loaded into the user menu (881e921a)
        * used the set aside defines for icon names (84a75758)
        * ellipsis fixes (397ce19b)
        * gsettings port (3dd1acc6)
        * bumped for release (5e4789fb) (tag: 0.3.2)

2011-08-21 Jeremy Bicha

        * Add User Accounts link to bottom of user menu (5012f285)

2011-08-19 Ted Gould

        * Ignoring the test-ellipsis script (6dc0245f)
        * Fix all the ellipsis (229e92aa)
        * Ensuring a pass is a pass (af742655)
        * Making a bit more generic by using GETTEXT_PACKAGE (a4baeab7)
        * Making a check to see if there is ellipsis in the user visible
          strings (4638f4f0)
        * releasing version 0.3.2-0ubuntu2~ppa2 (4a40fcc0)
        * Upstream Merge   * GSettings Fixes (5f9aa664)
        * Using the right schema (09514f45)
        * Fixing key names (4ee9a574)
        * releasing version 0.3.2-0ubuntu2~ppa1 (cc42b034)
        * debian/rules: Adding autoreconf (e9996468)
        * Upstream Merge   * GSettings transition (f7306e07)
        * Merge U. Desktop (8c4cd900)
        * Don't have that yet (36098537)
        * Ignoring GSettings generated files and the pot file (129061ff)
        * Adding GSettings Rule (3bd6d50c)
        * Setting up convert script and completing the GSettings transition
          including translations (20b7a5e0)
        * Adding GSettings schema and updating C files (28389054)
        * Changing to using the GSettings signals for change (d44d40c0)
        * Changing name of ensure function (375ef3ab)
        * Removing the 'gconf' string (549bf385)
        * Fixing the comment (a802b454)
        * Setting the notifications to use the g_settings changed signals
          (2611fa7b)
        * Change name to settings helper (7f2161b7)

2011-08-19 Conor Curran

        * remove the debugs (2d97d089)
        * users now dynamically responsive to addition and deletion of users
          (733c32bb)

2011-08-19 Ted Gould

        * ignore generated file (44b13c94)
        * Porting the keys for the device and user manager over to use
          gsettings (df3f3b81)
        * Comment out notifications so that we can get this compiling again.
          (cb15da3a)
        * Dropping gconf from build (2fe4c360)
        * Fix getting of all the keys to be settings functions (1290c103)

2011-08-19 Conor Curran

        * the beginnings of using gsettings in the gconf helper (0fe1ffdf)
        * converted the old gconf schema to gsettings (54d0bd42)

2011-08-18 Ken VanDine

        * releasing version 0.3.2-0ubuntu1 (92cb2ff9)
        * Import upstream version 0.3.2 (7cb79029)

2011-08-18 Conor Curran

        * Ellipses fixes (dea3599b)
        * merged the ellipsis strings fixes (26289e5b)
        * merge in the big fix branch (92765fe9)
        * updates item fix and restart awareness plus correct icons
          (d8d6677e)
        * greeter mode uses to flag whether we are showing the user menu or
          not (dce6ee5c)
        * merged mterry's move over to gsettings (fbc3c106)
        * ted's merge in for correctly checking active sessions plus UI now
          correct with regards active sessions and guest session is
          also in (1909ed83)

2011-08-17 Ted Gould

        * Debugging info and a protection (c2266fe6)
        * After setting up the signals get the initial list of sessions
          (381110b4)
        * Updated to DBus interface files currently in ConsoleKit and added
          the seat files as well (f9642336)

2011-08-17 Michael Terry

        * don't start/lock the screensaver from the login screen (4e71b293)

2011-08-17 Conor Curran

        * added some trace to the add sessions for user method (ce792a6c)
        * put guest item in place and fixed ticked icon on user menu
          (25abede4)

2011-08-12 Conor Curran

        * fixed the misguided software available flag (95b5c632)

2011-08-11 Sebastien Bacher

        * releasing version 0.3.1-0ubuntu2 (7d476f1a)
        * debian/rules: run intltool-update to update the translations
          template (lp: #820705) (f3210466)

2011-08-10 Ken VanDine

        * releasing version 0.3.1-0ubuntu1 (7ef5e38e)
        * New upstream release.   - restart is missing from SessionMenu
          (LP: #815077)   - Don't allow starting programs via the
          greeter indicators (LP: #811853)   - Printer menu item
          should launch system-config-printer (LP: #818602)   -
          gudev integration   - apt restart required awarenes.
          debian/control   - Added build depends on libgudev-1.0-dev
          (ae81953d)
        * Import upstream version 0.3.1 (b5eb255f)

2011-08-10 Conor Curran

        * bumped for new release (fb32494d)
        * restart fix (8289dd6b)
        * add the restart to the shutdown dialog (e0e129c4)
        * updated the ignores (66ea570b)
        * add the new greeter mode (830677b9)
        * printer support corrected (4e3a03e4)
        * merge the gudev work (5663f019)
        * merged the lightdb dbus changes and the apt restartrequired
          awareness (357374ac)

2011-08-09 Conor Curran

        * segfault found and fixed (ddd4474c)
        * fixed memory leaks (014e2b2a)
        * and the actual code (853ad495)

2011-08-05 Conor Curran

        * watch for the restart flag and change the menuitem's title
          (3edbdc14)
        * cater for scsi type 3 and 6 devices (7ccf3960)

2011-08-04 Conor Curran

        * correct callbacks in place for scanners and webcams (8cf9d6a4)
        * trace around this seg fault (c1ee13d6)
        * destroying hash tables in finalize (5ba9266a)
        * stop leaking tonnes of glists (9cf6aa22)
        * duplicate key input error (c6d97d1f)
        * add scsi scanner detection support (6ec15c2d)

2011-08-03 Conor Curran

        * refactor of the udev mgr - working nicely (85e9bcfb)
        * webcams working nicely (88d74cf2)

2011-08-03 Michael Terry

        * when used in a greeter, don't show settings links, the user
          switcher, or log out links (c09a09f1)

2011-08-02 Conor Curran

        * certain usb webcams sorted (933bbfd1)

2011-08-02 Michael Terry

        * use correct printers command (f3e3f617)
        * update to use LightDM's new interface (b587cf67)

2011-08-01 Conor Curran

        * usb scanners in place (3469e378)
        * usb scanner rules almost there (8abccb83)

2011-07-29 Conor Curran

        * half way through those usb scanner udev rules (435c58be)

2011-07-28 Michael Terry

        * update interface with LightDM (ab746cb4)

2011-07-27 Conor Curran

        * convenience method added to handle the insertion and startup
          detection of scanners (764a81d4)
        * refactor with a more generic utility function (b4fd0a59)
        * udev scanner detection working at startup (b806cc0e)

2011-07-26 Conor Curran

        * pattern established as to how to handle these sane rules (8e8a2b83)
        * research trace for devices in udev (e3b36473)
        * fixed gudev segfault (bdfda68f)

2011-07-25 Conor Curran

        * the beginnings of the udev work (6dce3984)

2011-07-22 Ken VanDine

        * releasing version 0.3.0-0ubuntu1 (f0c187f8)
        *   - fixed bug where the user menu wouldn't open in unity (LP:
          #812728)   - Include apt, settings and device menu.
          debian/rules   - Updated gtk configure args (9ba850c1)
        * New upstream release. (757682fa)
        * Import upstream version 0.3.0 (108cec80)

2011-07-22 Conor Curran

        * uncomment the disconnect method (a1a7357b)
        * moving to 0.3.0 (df0f2927) (tag: 0.3.0)
        * added new files to the po index (21392797)
        * bumped version in configure ac in prep for release (92208b4e) (tag:
          0.2.94)
        * apt item partially working (7ad1a287)
        * Device menu torn apart and put back together, apt communication up
          and going (15469feb)
        * fixed issues (ae4e7077)
        * merged Neil's pointer fix (cf52e876)
        * apt progress now reflected dynamically in the menu (13452b54)
        * transaction object now properly disposed of (bc829db4)
        * suspend plugged back in plus both it and hibernate menuitems should
          now be sensitive to changes coming from upower (3bfa1c30)

2011-07-21 Conor Curran

        * apt transactions working nicely (f94d6c4f)
        * apt item now sensitive to updates available (7e6cf4ce)
        * properties changed signal is being triggered (c3a8c16f)
        * transaction object in place (d89b98ff)
        * trying to figure out if upgrades are needed in progress (dfa3b112)

2011-07-21 Neil Jagdish Patel

        * Always send the actual pointers to the entry not pointers to copies
          (c6687bb3)

2011-07-20 Conor Curran

        * signals and methods from apt are working somewhat (1ac92fe1)
        * apt watcher now controlling menuitem with signals and methods in
          place (ec294197)

2011-07-19 Conor Curran

        * apt watcher coming along nicely (34a5a728)
        * all items in place, now for the gudev backend (123c9776)
        * settings dialog in place (04b9f0bc)
        * system added to device menu, more tidying as we go (66af4666)
        * add the udev mgr files (76d7de16)
        * merged in the device menu split out (59c85f00)
        * merged dialog behaviour fix (8f5facfd)

2011-07-18 Conor Curran

        * user menu abstracted (e2263437)
        * merged Trevino's gtk2 compilation fix (b92df905)
        * device menu has been isolated (57627611)
        * session menu mgr in progress (21edabb3)

2011-07-15 Ken VanDine

        * releasing version 0.2.93-0ubuntu1 (eefb008c)

2011-07-15 Conor Curran

        * user menu nicely separated for now, next the session menu
          (797cf05a)
        * first step - it compiles (019030dc)
        * please tidy up that user manager (a25c68ce)
        * please tidy up that user manager (f32ca611)

2011-07-14 Ken VanDine

        * debian/control   - Added Replaces indicator-me (5a947834)
        * New upstream release. (417f6e99)
        * Import upstream version 0.2.93 (bd7fb285)

2011-07-14 Conor Curran

        * bumped release version (84fb2fdd) (tag: 0.2.93)
        * merge in the big menu reorg (358b898b)
        * changed default return value of get location to 0 (fed6348d)
        * ref sink instead of ref on the images and menus (f4cab4f8)
        * get location overridden and debugs tidied up (f2d458b0)
        * dynamic user menu hiding on the way# (d8eae0b9)

2011-07-13 Conor Curran

        * user label fixed for now (ee23d617)
        * tidied up signals and methods for the session service so as the
          users real name should be available and not the icon, icon
          should not change on the panel (1967b9c5)

2011-07-12 Conor Curran

        * correct icon on the user panel (8cabcd77)
        * radio button for is-current-user handled (6fe9d17b)
        * the beginnings of the custom user item (4998457e)

2011-07-11 Conor Curran

        * online accounts item added@ (0e39b323)
        * user account items shown, items rearranged (2d5bc28e)
        * tidied user menu (befcd5ef)
        * merged trunk to keep up with changes (1b43dcb3)

2011-07-09 Marco Trevisan (Treviño)

        * configure.ac: include the indicator dir in output (ff7cd22d)
        * Get support for gtk+2.0 back (8ab26b1c)

2011-07-08 Sebastien Bacher

        * releasing version 0.2.92-0ubuntu2 (4d959cd5)

2011-07-08 Daniel van Vugt

        * Keep Log Out / Restart / Shut Down dialogs on top (LP: #807357)
          (c596a941)

2011-07-07 Ken VanDine

        * releasing version 0.2.92-0ubuntu1 (8560474e)
        * setting to UNRELEASED (1f2a8332)
        * New upstream release. (0.2.91)   * Integrates with LightDM now
          * Moved to libindicator 0.4;  New upstream release.
          (0.2.92)   * Fixed dist'ing the XML file.
          debian/control: Move suggests from gdm to lightdm
          (b81fe696)

2011-07-07 Conor Curran

        * icon updates for the user menu panel (4f535763)

2011-07-07 Ted Gould

        * releasing version 0.2.92-0ubuntu1~ppa1 (9c47ca97)
        * New upstream release. (0.2.91);  New upstream release. (0.2.92)
          * Fixed dist'ing the XML files (74e0bcee)
        * Import upstream version 0.2.92 (0882ce45)
        * 0.2.92 (331ab6a0) (tag: 0.2.92)
        * Adding in accounts-service-user.xml as well to dist.  Not sure why
          this isn't caught by distcheck. (d5e865a8)
        * debian/control: Move suggests from gdm to lightdm (a823f566)
        * New upstream release.   * Integrates with LightDM now   * Moved
          to libindicator 0.4 (4a1f15a5)
        * Import upstream version 0.2.91 (b72bf409)
        * Sync to U. Desktop (1bfebb79)
        * 0.2.91 (0de4e5eb) (tag: 0.2.91)
        * LightDM integration (c2f17c82)
        * Migrating to libindicator 0.4 (67a17a4d)
        * Removing unused result variable (45a5771f)

2011-07-07 Conor Curran

        * user label is now updated dynamically (67212142)
        * added the username to the panel (b59889fb)
        * icon now being shown on the panel for devices (c79e4167)
        * merged ted's fixes (d0532a06)

2011-07-06 Ted Gould

        * Making sure that users has the same dbus name as session as there
          is one process. (097f3b17)
        * Remvoing unused result (052462b2)

2011-07-06 Conor Curran

        * tidy up (b2a247c0)

2011-07-05 Conor Curran

        * code tidied, menu splittage in progress (9ee6a254)
        * split out the menus (147a832a)

2011-07-05 Robert Ancell

        * Integrate with LightDM (5efc993e)

2011-07-04 Conor Curran

        * menus split somewhat (170728d5)

2011-07-02 Conor Curran

        * compiling at least (c972f098)

2011-07-01 Conor Curran

        * initial menu reshuffle in progress (61e02bbc)

2011-06-28 Ken VanDine

        * releasing version 0.2.90-0ubuntu3 (31c18f6e)

2011-06-23 Ken VanDine

        * releasing version 0.2.90-0ubuntu2 (492e7442)

2011-06-22 Ken VanDine

        * releasing version 0.2.90-0ubuntu1 (aa4219ba)
        * New upstream release.   * GTK3 support (5d837327)

2011-06-21 Ted Gould

        * releasing version 0.2.90-0ubuntu1~ppa1 (81976a21)
        * New upstream release.   * GTK3 support (950a4a3e)
        * Import upstream version 0.2.90 (026af1ce)
        * Sync to U. Desktop (e96275dc)
        * 0.2.90 (e94209be) (tag: 0.2.90)

2011-06-12 Gabor Kelemen

        * Use ellipsis character instead of full stops. Fixes LP: 621339
          (5f2c8d99)

2011-06-10 Ted Gould

        * GTK3 Support (29fe1a91)

2011-05-31 Ted Gould

        * Adding in support for switching to the classic session (9b9d8e12)

2011-05-26 Michael Terry

        * port to gtk3; allow building with gtk2 (6eb44e91)

2011-05-12 Ted Gould

        * Eh, forgot the .in.in files (9258cd85)
        * Making the desktop translatable (b3c1ec1c)
        * Disting the shell files (eb2890fe)
        * Building and installing the files (16744428)
        * Connecting in the build system (6a43af0a)
        * Getting the base files in. (4fba5331)

2011-04-14 Ken VanDine

        * releasing version 0.2.17-0ubuntu1 (5b8ee3c0)

2011-04-14 Ted Gould

        * releasing version 0.2.17-0ubuntu1~ppa1 (0703b4a4)
        * New upstream release.   * Don't die if we can't send an image
          update (LP: #747818) (fe3ef8f8)
        * Import upstream version 0.2.17 (45202574)
        * Sync with U. Desktop (6653e296)
        * 0.2.17 (f1332021) (tag: 0.2.17)
        * Don't crash, especially for something so small (e3dd4aec)

2011-04-13 Ted Gould

        * Attaching bug (783f4a84)
        * It sucks that the icon wouldn't change, but eh, not worth aborting
          over. (0f13ffc1)

2011-04-07 Ken VanDine

        * releasing version 0.2.16-0ubuntu1 (326b4074)

2011-04-07 Ted Gould

        * releasing version 0.2.16-0ubuntu1~ppa1 (b5696579)
        * New upstream release. (44fd7dd2)
        * Import upstream version 0.2.16 (15acda17)
        * 0.2.16 (bb5c9ee4) (tag: 0.2.16)

2011-04-05 Ted Gould

        * releasing version 0.2.15-0ubuntu2~ppa1 (52be839a)
        * Upstream Merge   * Don't error and crash Unity (LP: #745323)
          (f3ab86a7)
        * Sync to U. Desktop (5d188165)
        * Only warn when not getting the proxy, so we don't bring Unity down
          (13c471d4)

2011-04-04 Ted Gould

        * Removing a g_error so we don't bring the whole kit-and-kaboodle
          down. (5c171227)

2011-03-10 Ken VanDine

        * releasing version 0.2.15-0ubuntu1 (fa469a65)

2011-03-10 Ted Gould

        * releasing version 0.2.15-0ubuntu1~ppa1 (6e0ddb7f)
        * New upstream release. ∘ Support adding arbitrary items to the end
          of the session menu. (LP: #727823) ∘ Call guest session
          with --no-lock to ensure there is no double locking (LP:
          #636693) (eb8f43ef)
        * Import upstream version 0.2.15 (4097a4c4)
        * Sync to U. Desktop (073fb072)
        * 0.2.15 (7db402b6) (tag: 0.2.15)
        * Use the --no-lock parameter (746fdd2b)
        * Add the --no-lock option to activate the session. (ed671c80)
        * Looking in a directory for extra launchers (d7b132d4)
        * Embed the function so it's not one separator ever, but once per run
          (5cf62744)
        * Add some cleanup and some comments (81022fc8)
        * Sort the launchers (cb771e5d)
        * Reducing the scope of some of our variables (80719b65)
        * Closing the directory after we're done with it (454b9117)
        * Putting the appinfo's into a list so that we can sort them
          (2426a211)

2011-03-10 Martin Pitt

        * Drop support for indicator-session-extra.desktop (5f49c2d8)
        * Add support for extra launcher dir (f96caa9a)

2011-02-17 Ken VanDine

        * releasing version 0.2.14-0ubuntu1 (2c72a12a)

2011-02-17 Ted Gould

        * releasing version 0.2.14-0ubuntu1~ppa1 (220d1bbf)
        * debian/control: Bumping libindicator dep to 0.3.19 (0f8285c2)
        * New upstream release.   * Adding in accessible description
          (c8b0c8db)
        * Import upstream version 0.2.14 (54dde179)
        * Sync with U. Desktop (42097215)
        * 0.2.14 (f4cdae15) (tag: 0.2.14)
        * Adding an accessible description (110a126b)
        * Increasing the libindicator version (fc71071e)

2011-02-14 Luke Yelavich

        * Make the word session translatable (8970d619)
        * Add accessible_desc support (6545bcaf)

2011-02-11 Ken VanDine

        * releasing version 0.2.13-0ubuntu1 (51e2f14b)

2011-02-11 Ted Gould

        * releasing version 0.2.13-0ubuntu1~ppa1 (9f17c475)
        * New upstream release.   * Making text in logout dialog
          unselectable (55fc53b6)
        * Import upstream version 0.2.13 (633567c4)
        * Merge U. Desktop (0def75ab)
        * 0.2.13 (a5e8b16a) (tag: 0.2.13)

2011-02-08 Ted Gould

        * Make message dialog internals un-selectable (9498ffa1)

2011-02-06 Matthew Rasmus

        * Fix for lp:597317 (35dcf67c)

2011-01-28 Ken VanDine

        * releasing version 0.2.12-0ubuntu1 (78f1b8f2)

2011-01-28 Ted Gould

        * releasing version 0.2.12-0ubuntu1~ppa1 (89ddc9a9)
        * New upstream release.   * Fix service file names   * Add log
          domain   * Fix dbusmenu prototypes (89abeb73)
        * Import upstream version 0.2.12 (259beb12)
        * Sync to U. Desktop (7084edf4)
        * 0.2.12 (5c4584e8) (tag: 0.2.12)
        * Fixing prototypes to match dbusmenu (25bde6b5)

2011-01-18 Ted Gould

        * Fixing log domain and dist (15b71cd4)

2011-01-17 Ted Gould

        * Adding in log domains for messages (ca79c8fe)
        * Oops, up to trunk we go. (522ff81f)
        * Removing the indicator-users service file as we don't build this
          anymore. (e6737ea3)
        * Changing service files (0639bc13)

2011-01-14 Ken VanDine

        * releasing version 0.2.11-0ubuntu1 (0aa7d578)
        * Import upstream version 0.2.11 (b5fa5079)
        * version bump, 0.2.11 (b611f770) (tag: 0.2.11)

2011-01-13 Ken VanDine

        * dbus interface rename, com.canonical (60da9798)
        * Merged gdbus/dbusmenu 0.4 port from Michael Terry (de3f2042)

2011-01-11 Michael Terry

        * and cancel the cancel object (c36a4eb0)
        * also dispose of canel object (3f91473b)
        * port to gdbus and dbusmenu 0.4 (367a6900)

2010-12-09 Ken VanDine

        * releasing version 0.2.10-0ubuntu4 (ce368773)

2010-09-29 Sebastien Bacher

        * releasing version 0.2.10-0ubuntu3 (5947d619)

2010-09-28 Ted Gould

        * Sync to Ubuntu Desktop (e2f2f727)

2010-09-22 Didier Roche

        * releasing version 0.2.10-0ubuntu2 (81c9b380)
        * releasing version 0.2.10-0ubuntu2 (74ef215a)
        * Rebuild for libindicator ABI change (LP: #637692.
          debian/control: depends on latest libindicator-dev
          (33a40460)

2010-09-21 Ted Gould

        * Generating Changelog and AUTHORS by make dist (c3557c82)

2010-09-03 Ted Gould

        * releasing version 0.2.10-0ubuntu1~ppa2 (5c35a96b)
        * Upstream Merge   * Ignoring an invalid error message (LP:
          #611257) (8da28b38)
        * Don't look at an invalid message. (911d220d)

2010-09-01 Ted Gould

        * Removing the error messages as it's not always initialized
          properly. (b043a8c8)

2010-08-12 Ken VanDine

        * releasing version 0.2.10-0ubuntu1 (3ae38c25)

2010-08-12 Ted Gould

        * releasing version 0.2.10-0ubuntu1~ppa1 (e8435163)
        * New upstream release.   * Fix to lock screen so that the menu
          item is always to lock     the screen.   * Fix
          capitalization of complete update message. (7c5140a0)
        * Import upstream version 0.2.10 (5988e5b2)
        * Merge in Ubuntu Desktop (3b359094)
        * 0.2.10 (3b5cc004) (tag: 0.2.10)
        * Fixing the lock screen functionality to match the new design.
          (11994193)
        * Fixing captialization of the completion string. (2189e180)

2010-08-06 Ted Gould

        * Linking to bug 599848 (41550341)
        * Add and accel group to the indicator for the shortcut (c5f528c4)
        * Putting the shortcut on the menuitem (fcf32dbe)
        * Set up the listener for the keybinding (fbed7968)
        * Getting keybinding defines (b423aba6)
        * Making it so that lock_screen always locks the screen (306e8f6c)
        * Removing the ability to have the menu item say anything other than
          'Lock Screen' (e86e25a7)

2010-08-05 Sebastien Bacher

        * releasing version 0.2.9-0ubuntu1 (0990eec1)
        * New upstream release:   - Change "Restart Required..." to
          "Restart To Complete Update..."     (lp: #586928)   -
          Ellipsized strings. (f421d12a)
        * Import upstream version 0.2.9 (906f7922)

2010-08-02 Cody Russell

        * Bump version. (453b8f9d)
        * Ellipsize (ae2af4b0)

2010-07-31 vish

        * Changing 'Restart Required' to 'Restart To Complete Update'
          (79782638)

2010-04-09 Sebastien Bacher

        * releasing version 0.2.8-0ubuntu2 (a54ccde6)
        * releasing version 0.2.8-0ubuntu1~ppa1 (ef92fb6b)

2010-04-09 Ted Gould

        * releasing version 0.2.8-0ubuntu1~ppa1 (dda06df8)
        * New upstream release. (b26a5566)
        * Import upstream version 0.2.8 (469cf99a)
        * Turning off merge support for bd (dae6d7d6)
        * 0.2.8 (1ed276d9) (tag: 0.2.8)

2010-04-07 Ted Gould

        * releasing version 0.2.7-0ubuntu1~ppa3 (8adaef5e)
        * Upstream Merge   * Making restart and shutdown items configurable
          (LP: #548810) (d268b36a)
        * Sync to trunk (9c92ecca)
        * Make restart and shutdown configurable with GConf (a40be08e)

2010-04-06 Ted Gould

        * releasing version 0.2.7-0ubuntu1~ppa3~conf1 (e3391afe)
        * Upstream Merge   * Making restart and shutdown items configurable
          (LP: #548810) (dfc07e29)
        * releasing version 0.2.7-0ubuntu1~ppa2 (cf5ace2d)
        * Upstream Merge   * Changing 'Sleep' to 'Suspend' (LP: #547102)
          * Fixing translations helper text (LP: #547131)   *
          Passing correct object to callback (LP: #543393)   *
          Ignoring malformed message (LP: #548620) (9449b85d)
        * Check to see if the shutdown and restart items should be shown on
          first run. (58cb1d44)
        * Changing prototype to not have the same info twice. (54f8f8b9)
        * Filling out everything to check and update the shutdown/restart
          items (234ca9cd)
        * Adding the restart and shutdown keys and functions to check them.
          (07dcd3f2)
        * Formatting (fd1e6924)
        * Adding configuration options for the restart menuitem and the
          shutdown one. (79c9706e)
        * Not printing a message that is sometimes invalid. (e822834a)
        * Passing the right object in the guest activate callback. (d2416a61)
        * Attaching bug (a3d3df36)
        * Adding some protection.  We should always use protection.
          (7a7161a2)
        * Actually pass the service in the callback (a8a52218)

2010-04-01 Ted Gould

        * Seems that the message isn't always valid (953b64bb)

2010-03-31 Ted Gould

        * Switching 'Sleep' to 'Suspend' (5e7e4f68)

2010-03-29 Ted Gould

        * Use contexts correctly. (879330a2)

2010-03-29 Gabor Kelemen

        * Use contexts properly (cbbb96c5)

2010-03-25 Ted Gould

        * Changing the menu item to 'Suspend' (e100d558)
        * releasing version 0.2.7-0ubuntu1~ppa1 (56a250cf)
        * Upstream release 0.2.7;  Remove
          debian/patches/restore_lock_screen.patch added by
          downstream. (47974492)
        * 0.2.7 (791f0b47) (tag: 0.2.7)
        * releasing version 0.2.6-0ubuntu3~ppa3 (e0253f40)
        * Upstream Merge   * Adding a switch for translators if the "Switch
          From"     translation doesn't make sense (LP: #545893)
          (c310593f)
        * Adding a switch for translations that don't have a useful 'Switch
          From' (14f57ce5)

2010-03-24 Ted Gould

        * releasing version 0.2.6-0ubuntu3~ppa2 (9abd35df)
        * Upstream Merge   * Scale avatar icons to menu size (LP: #542505)
          (3c81ea2e)
        * Properly scale avatars if they are too large. (eff99e57)
        * Adding in a check to see if the translator would like to fallback
          to not using the username. (57f27aac)
        * Flipping things around a little bit so that if we get an error,
          we'll still build the default icon. (b0d252ae)
        * Scale the avatars to be ICON_SIZE_MENU (bb6754e8)
        * releasing version 0.2.6-0ubuntu3~ppa1 (983ebf80)
        * Remove debian/patches/restore_lock_screen.patch (1e6cf587)
        * Upstream Merge   * Fix strings to have all be "Shut Down" (LP:
          #545578) (3ce500e1)
        * Updating to Ubuntu desktop (74bbdf00)
        * String fix for some not backed out. (69caf1c9)

2010-03-23 Ted Gould

        * Fixes bug 545578 (b59479b7)
        * Missed the 'Switch Off' texts in the dialog. (50efa94b)

2010-03-23 Sebastien Bacher

        * releasing version 0.2.6-0ubuntu2 (81db1484)

2010-03-18 Ken VanDine

        * releasing version 0.2.6-0ubuntu1 (585f1180)

2010-03-18 Ted Gould

        * releasing version 0.2.6-0ubuntu1~ppa1 (66c68175)
        * debian/control: Require libindicator 0.3.5 (2ab6232c)
        * Upstream release 0.2.6 ∘ Updating sessions to make guest account
          marked when being used (LP: #436030) ∘ String "Switch
          From" is miscapitalized (LP: #540265) ∘ Follow user
          switching lockdown key (LP: #504360) ∘ Use user avatar
          images in session menu (LP: #436028) ∘ Don't show
          suspend/hibernate if disabled in Policy Kit (LP: #432598)
          ∘ Lock screen when switching users (LP: #536801) ∘ Fix
          callback prototype (LP: #536990) ∘ Revert back to "Shut
          Down" instead of "Switch Off" (LP: #540056) ∘ Fix leaked
          GConf notifications ∘ Add GConf key for showing the "Log
          Out" item ∘ Adding the ability to specify a desktop file
          to have at the end of the menu. ∘ Setting up restart
          required notification by changing panel icon and icon in
          menus. ∘ Use the libindicator image helpers ∘ Set proper
          translation domain for loadable indicator ∘ Translation
          update (2b2e31f1)
        * Updating to Ubuntu Desktop (631d34aa)
        * 0.2.6 (f1095e56) (tag: 0.2.6)
        * Reverting from 'Switch Off' to 'Shut Down' (1c7fe734)
        * Handle updating of sessions and mark the guest account when it has
          an open session. (efedfa60)
        * Only lock screensaver if the screensaver is set to lock. (c4a714f3)
        * Using an icon for users or a stock item if they don't have an icon.
          (e6bf7bbf)

2010-03-17 Ted Gould

        * Linking to 436030 (5704cdb0)
        * Linking to 436028 (a4d38cd7)
        * Changing the case of 'Switch From' (e89ea26d)
        * Updating the PO files and removing the fuzzy on the case change.
          (64058bd7)
        * Updating to Ubuntu translations (025f0e0a)
        * Merging in the Ubuntu translations gotten as a tarball from
          Launchpad (0d2ee237)
        * Adding in new languages. (1ef2ab7f)
        * Adding in the Ubuntu Translator's translations (bbc9ff5b)
        * Getting the horizontal padding for a nice spacing between widgets.
          (c3d3a6b0)
        * Handling the file URIs (e879ad70)
        * Moving debug message (d2e52c53)
        * Check to ensure the file exists. (e94cf5b1)
        * Nice debugging message. (4e4246d7)
        * Using proper icon. (2f000c85)
        * Setting the user icon (3564afb2)
        * Building an icon based on teh icon props (23b8dc27)
        * Some properties for putting icons on the user items. (7ddf6700)
        * Watch for the logged in property changing and hide or show the
          logged in widget depending on it. (6a372838)
        * Some debugging an checking to ensure the menu item is not NULL
          (1d79b928)
        * Uhg, false sucks. (8ab1eb8c)
        * Using defines to make sure the strings are right. (89fe9da5)
        * Switching to getting locked proxies.  Just to have more error
          handling. (05b52fce)
        * Fix capitalization of 'Switch From' (6233fb61)
        * Switching to the generated dbus interface (494bb4fa)
        * Grabbing the session interface from consolekit (8b77c4fe)

2010-03-16 Ted Gould

        * Switching to using sesson proxies for the session we want to look
          at instead of our session (da26ce14)
        * Setting the logged in parameter on the guest item and tracking the
          session ID of the guest session. (6193ab20)
        * Setting the guest item once it gets built. (2e0cbb1a)
        * Adding a guest_item for the guest menu item and a function to set
          it. (7e384455)
        * When a session is added or removed we need to change the state of
          that user item. (8dddf3fd)
        * Setting the menuitem for the user. (6b1354f9)
        * Adding a menuitem property to the user data structure. (41fb4503)
        * Switching both of these function to using the generated header
          file. (5a06c703)
        * Building a proxy to the local display factory (1a451a7d)
        * Adding in the GDM local display DBus interface spec. (9d36c209)
        * Adding a way to activate the guest session through GDM (94cd451d)
        * Track whether we've setup GConf notification and unregister on
          update. (c5032805)
        * Make sure to call to activate teh screensaver if we can't lock it.
          Oh, and that takes a reply. (6eea2650)
        * Splitting out the params here. (c0b109ef)
        * Forgot to make this static. (02de3c1b)
        * Adding lock-helper.c in as it has translatable strings now.
          (62e8f112)
        * Adding in the mechanism to actually do the callback and change the
          label. (c8438f91)
        * Connecting in the update item. (c5050f03)
        * Adding a function for updating the logout menuitem. (0b155170)
        * Instead of making the item disabled, change the text when we won't
          lock the screen. (9bf67d56)
        * Tracking the notifications, so that we can unregister them with new
          menus. (5bb98fd1)
        * Sync up to trunk. (1e43b72a)
        * Bad boolean (0cfa0d15)
        * Add in the key for locking the screen and making that part of
          will_lock (29e2c7e6)
        * When switching users try to lock the screen (87d03742)
        * If policy kit disables the suspend and hibernate don't show them.
          (e1afff18)
        * Adding a GConf key for showing the logout item. (4103fca2)
        * Watching for the screensaver lockdown GConf key. (9b55c3d9)

2010-03-15 Ted Gould

        * Add in checking whether the logout button is shown, and get it
          changing with the others. (ae2c94b4)
        * Update to handle the new key for showing the logout menu item.
          (868fd5ed)
        * Adding in a new gconf key for showing the logout button. (4c19fcf5)
        * Switching the debug message to be more correct. (9efeb48b)
        * Making a small little wrapper to check the lockdown key. (40e7ac04)
        * Grabbing the screensaver gconf key branch (48ee59d3)
        * Lock the screen in the various activate functions. (c90b0b45)
        * Checking the error to make sure we're getting back reasonable data
          or reporting the error. (2d17c457)
        * Use the upower allowed interface to check to see if PK is blocking
          suspend and hibernate (28ef20a9)
        * Grabbing the upower definition file so that we can build a client
          for it. (05cd0a24)
        * Adding properties for allowing the suspend and hibernate (03a2de40)
        * Grab the branch doing screensaver stuff. (e2ec91ed)
        * Switching the suspend/hibernate handling to a cached value.  And
          that way we can regen the menus without looking up the
          values. (cef67117)
        * Only setup signals if we're building the proxy for the first time.
          (eb8756b0)
        * Adding some comments to describe a long function. (acc3a967)
        * Handling the locking of the screen in the rebuild function.
          (bdba7e5c)
        * Removing the lock separator as we don't need it anymore. (c334eccc)
        * Changing the lockdown key to do all the switching instead of just
          the switch user item. (29bd57b5)
        * Switching from hiding entries to just rebuilding the menus.
          (523c0249)
        * Switching around the GConf notification setup to do an entire
          directory. (065984db)
        * Tracking the separator next to the lock item as well. (da365cbe)
        * Embarassing 4 letter word to forget.  Guess the compiler would add
          it back anyway though. (aa52289c)
        * Reacting to changes in the screensaver lockdown key. (df71f476)
        * Changing the define name to have room for more locdown keys
          (8ea0fde8)
        * Switching the names of the restart icons. (39e00ebb)
        * Updating to latest trunk (bbcf5b0f)
        * Allowing for a desktop file to be tacted on the end of the session
          menu. (32e57df9)

2010-03-15 Sebastien Bacher

        * releasing version 0.2.5-0ubuntu3 (91a59d54)

2010-03-12 Ted Gould

        * Use the libindicator image helper to get fallbacks and nicer icons.
          (dc699314)
        * Make it so the panel icon can switch between two values based on
          whether the user needs to restart (2681e647)
        * Looking for a desktop file, and if it exists, putting it as a final
          menu item. (501c8a7e)
        * Adding in gio-unix for desktop file reading (7810d871)
        * Making sure that if we can't get the icon, we leave it alone.
          (70a0dc7c)
        * Switching to building with GIcon so that we don't have to add an
          icon, we can use fallbacks. (4045ff04)
        * Restart icon name. (3f28a83d)
        * Merging in the panel restart icon branch (6bdd9dd9)
        * Merging to trunk to remove merge conflicts. (62a79745)
        * Changing the emblem to system-restart-panel (7f489865)
        * Use the library i18n libs to use the right translation domain.
          (eaf244dd)
        * Putting the restart icon in the gutter by using a GtkImageMenuItem
          (bb4c984b)
        * Using the libindicator helpers so we get things like fallbacks!
          \o/ (b419d049)
        * Upping libindicator dep to 0.3.5 (ed42cead)
        * The icon changed enough, we need to have the restart icon stuff.
          (9c6bec9a)
        * Keeping the names the same for now, until we have artwork.
          (44d2e324)
        * Copyright headers (8d65fd68)
        * Making our service come up a little earlier (91d75deb)
        * Protecting from a NULL object (78211dc4)
        * Setting the icon when the restart is touched. (5d784227)
        * Moving the icon names into the shared header files (2dd05e21)
        * Getting the icon, but only when we're connected. (74663676)
        * Setting the icon to something sensable (802d6447)
        * Icon name changing signal for updating the image. (10ab858e)
        * Building us a proxy!  Now we are dangerous. (fced2aaa)
        * Add shared names for the dbus interfaces. (05dbbb9a)
        * Creating our little dbus-object. (e504d1d0)
        * Build us a signal (0d2c0778)
        * providing a set_name function (a92cec4a)
        * Setting up the object and giving it a name. (d9427c6a)
        * Connecting and registering the dbus object. (2922e646)
        * Setting up session dbus interface client server stuff. (64c34204)
        * Adding in base objects (931ee902)
        * Simple starter object for making the dbus interface. (eed04dff)
        * Setting up the indicator to use library translations so they'll be
          grabbed from the right domain. (535a2e63)
        * Changing the service to use the new menu item (9bfcbd2b)
        * Adding in a handler and renderer for the restart required item
          (fb8754f0)

2010-03-11 Ted Gould

        * A bunch of properties to make our new menu item type. (a4eb496c)

2010-03-12 Sebastien Bacher

        * releasing version 0.2.5-0ubuntu2 (8557edda)

2010-03-10 Ted Gould

        * Translation updates from OEM (4172abb3)
        * Match the prototyp of the signal correctly. (705c6b60)

2010-03-10 Cody Russell

        * Use gint64, not UserData*, for the callback to user-added signal.
          (dc5302fc)

2010-03-10 Kyle Nitzsche

        * add LINGUAS with 31 languages and corresponding 31 po files, which
          adds 14 strings (10 fuzzy, 8 untransalted) (afd8f167)

2010-03-10 Sebastien Bacher

        * clean lgpl copying file since there is no lgpl code there
          (f45b7eba)
        * releasing version 0.2.5-0ubuntu1 (ba895a16)

2010-03-04 Ted Gould

        * releasing version 0.2.5-0ubuntu1~ppa1 (45f88031)
        * Upstream Release 0.2.5   * Restart required menu item when it's
          required for updates   * New logout dialogs. (36cd4b96)
        * 0.2.5 (2b85f394) (tag: 0.2.5)
        * Setting the icon and changing the text on the restart menu if one
          is required by update. (2eba4c72)
        * Updating to new logout dialogs. (6f21e3c8)

2010-03-03 Ted Gould

        * Some function comments. (d018794d)
        * Adds a file watcher to see if we should change the menuitem to warn
          that a restart is recommended. (be3f65e4)
        * releasing version 0.2.4-0ubuntu3~ppa1 (752b8803)
        * Upstream Merge   * Fix naming to "Switch off" and "Sleep"   *
          Blocking the current user from the user list   * Change
          sorting to be based on real names and handle conflicts   *
          Removing some ConsoleKit errors   * Memory leak on
          PangoLayout allocation   * Don't set GTK decorations   *
          ConsoleKit fallback if gnome-session not available
          (d9bc98c8)
        * Merge in ubuntu-desktop (4533e767)
        * Changing strings to match distro wide sleep and switch off.
          (1af7a048)
        * Removing the current user from the list. (da2cc843)
        * Sorting based on real names and conflict naming. (3be37d1b)
        * LGPL not needed with dropping the logout-dialog.c file. (2aeb4a3c)
        * Sync to trunk (8db0d6c1)
        * Copyright headers (25e5df53)
        * Slightly longer string for better wrapping. (edeb525d)
        * Setting the default button. (10e1e69d)
        * String fixes and a comment. (8d96a4fc)
        * Checking to see if we need updates and allowing that on logout
          dialogs. (3928d091)
        * Adding in different button strings if we need authentication.
          (a76563f0)
        * Filling in the code to check and see if we can restart or stop.
          (2ae450d4)
        * Flattening the build tree. (68d13604)
        * Updating merge to new enums. (d9dd91ad)
        * Merging in the consolekit branch to get the interface file.
          (d694e0a2)
        * Skeleton for checking the different states. (b51d58db)
        * Removing the old ck-pk helpers. (f998b8b0)
        * Flipping button order (3f350213)
        * Putting the image in and cleaning up the props (84c4324d)
        * Provide the basis for the window (25a24b5a)
        * Switching translatable file. (087e8950)
        * Adding in all the strings. (bdd9261c)
        * Suspends to sleep (41b93510)
        * Changing shutdowns to switch offs (fe25b2a8)

2010-03-02 Ted Gould

        * Removing errors on getting sessions from CK and some other
          cleanups. (a6d04fe9)
        * If we ARE a conflicted name then we need to fallback into
          displaying the user name. (03c045f5)
        * Creating a field for the user that has the real name in it, and a
          place for that to conflict. (d723e8d4)
        * Sort by real name (ad9dd9ec)
        * Unreffing an allocated layout. (4dca3325)
        * Switching things around a little bit.  Making sure we always go
          through the list to search for the guest account to see if
          it's logged in.  But, still not making menu entries.
          (e9d4b412)
        * Restructuring callbacks to not need the count variable. (e5dd34b9)
        * Making it so that count is not a global and just calculated from
          the list. (40ef68c1)
        * Making it so that users is not a global and just grabbed everytime
          and used. (206f1003)
        * Check the UID to see if it's me (86a394ae)

2010-03-02 Sebastien Bacher

        * releasing version 0.2.4-0ubuntu2 (b713998c)

2010-03-01 Ted Gould

        * Switching to using the dbus client code. (bb12842d)
        * Stealing the consolekit manager interface out of consolekit
          (1513ca78)
        * Unreffing the layout that we allocated (7e8f0d66)

2010-02-25 Ted Gould

        * Stop forcing the decorations on. (b8dfba9e)
        * Fixing ConsoleKit fallback to wait on responses. (37c3beae)
        * can't really use async as we dont' have a mainloop here (d605a108)
        * Switching to getting a reply (8689698b)

2010-02-25 Ken VanDine

        * releasing version 0.2.4-0ubuntu1 (b10f319a)

2010-02-25 Ted Gould

        * releasing version 0.2.4-0ubuntu1~ppa1 (7309355f)
        * Upstream release 0.2.4   * When we can't shutdown with
          gnome-session fallback to using     ConsoleKit.   * Detect
          when GPM isn't available and don't error out.   * Change
          suspend and hibernate detection property names for
          adjustment to upower. (6efdf35b)
        * 0.2.4 (ab02e295) (tag: 0.2.4)
        * Falling back to ConsoleKit when we can't talk to Gnome Session
          (5be29b78)
        * Name changes for upower (09427dec)

2010-02-25 Cody Russell

        * Don't set the gdk decorations. (148dffa3)

2010-02-24 Ted Gould

        * Changing to new enums and function prototypes. (64602f8d)
        * Adding some types of dialog and a new function. (40e989fd)
        * Adding in shutdown and restart (8985b002)
        * Adding a fallback for now gnome-session detected. (02ab93a7)

2010-02-23 Ted Gould

        * Changed names to patch current upower (7636e191)
        * Place holder new object (c96dfa4f)
        * Removing the old logout dialog.  It's been through too much, better
          to start over. (0c8dbfc1)

2010-02-19 Ted Gould

        * Fixing when we can't connect to GDM (d0eee8bb)

2010-02-19 Ken VanDine

        * releasing version 0.2.3-0ubuntu2 (c0e6bba3)

2010-02-19 David Barth

        * prevent crash in g_error when gdm is not running (bb88b769)

2010-02-18 Ted Gould

        * Update to Ubuntu Desktop (c9231bfe)

2010-02-18 Ken VanDine

        * releasing version 0.2.3-0ubuntu1 (4bf2c9ea)

2010-02-18 Ted Gould

        * releasing version 0.2.3-0ubuntu1~ppa1 (eb535929)
        * Removed debian/patches/01_port_to_upower.patch as it is now merged
          upstream. (074759da)
        * Upstream release 0.2.3   * Switch menu ordering to match design
          spec   * Change switch menu item to "Switch from..."   *
          Move from Devkit-Power to upower   * Adding in user logged
          in icon and menu item (18e23b39)
        * Sync with ubuntu-desktop (414afb96)
        * 0.2.3 (e07cdb88) (tag: 0.2.3)
        * adding prototype for new user item (db48c78c)
        * Adding in user items (fc732a57)
        * Switching label to be 'switch from' (9dab1527)

2010-02-17 Ted Gould

        * Switching users over to user items (4a297fec)
        * Switching the guest over to a user item. (6868e64c)
        * Fleshing out the building of the user item (7723397a)
        * Registering a handler for our new type (765a3b87)
        * Adding in some defines for our new menu type. (59c5e703)
        * Building the make files (de76d333)
        * Adding a status directory and icons for accounts that are logged in
          (fe30d5b4)
        * Switching from DevKit Power to upower (3c3e267d)
        * Fix the order of items to the new design spec (c89696cc)

2010-02-17 Martin Pitt

        * releasing version 0.2.2-0ubuntu2 (660778db)
        * Add debian/patches/01_port_to_upower.patch: Straightforward port to
          upower's D-Bus API. A more elaborate port to
          libupower-glib has been proposed upstream as well, but
          it's not yet clear whether to use the client library or
          the D-Bus API. (757ff3f2)
        * Port from DeviceKit-power to upower (b800d54c)

2010-02-16 David Barth

        * add forgotten separator and re-order the user switch entry
          according to the spec (07f36b8d)

2010-02-16 Martin Pitt

        * debian/control: Update devicekit-power dependency to upower.
          (68c0523b)

2010-02-11 Ted Gould

        * Removing comment. (c6661b02)
        * Adding in the ability to monitor style changes and re-evaluate.
          (a2cf14bc)
        * Fixing a value (93c46172)
        * Calculating font size with PANGO_SCALE getting involved (78fa6725)
        * Switching to using Pango to get the width (5540e6c1)
        * Make sure to realize the offscreen window (d2bc4647)
        * Get returns in better shape (54cd89f6)
        * Switching the menu item that we're creating. (ccaa76fa)
        * Fleshing out the menu_switch function with a function that looks at
          the length of the label and sees if we need to ellipsize
          it or not. (2398976f)
        * Setting up the type handler (a3627265)

2010-02-11 Ken VanDine

        * releasing version 0.2.2-0ubuntu1 (7c2a8317)
        * included autogen.sh in EXTRA_DIST to make packagers happy
          (3ccc99e8)

2010-02-11 Ted Gould

        * Building shared names for dbusmenu objects. (51ac202d)
        * Woot, a dbusmenu, much better. (70d29699)
        * Refactoring so the menu is created in init. (b1d66f9d)
        * releasing version 0.2.2-0ubuntu1~ppa1 (0220665c)
        * Upstream release 0.2.2   * Fixing and reenabling user switching
          (6f65a111)
        * Sync with ubuntu-desktop (eb60468d)
        * 0.2.2 (4a6f7822) (tag: 0.2.2)

2010-02-09 Ted Gould

        * Enabling and fixing user switching. (afd66c83)

2010-02-09 Cody Russell

        * The reincarnation of user switching (db69cb8b)

2010-02-08 Ted Gould

        * First pass, get the string. (4ec15094)
        * releasing version 0.2.1-0ubuntu1~ppa2 (51cfdce8)
        * Removing unneeded GPM proxy (10e52976)
        * Removing GPM proxy as we're not using the setting. (8e583e99)
        * Linking in screensaver branch (c8558a32)
        * Upstream Merge   * Check the user_switching lockdown key to
          disable user_switching   * Only create the screensaver
          proxy when needed. (d0febf8d)
        * Only get the screensaver proxy when needed. (40be2d62)
        * Checking the lockdown key for user switching. (3ac26591)

2010-02-08 Cody Russell

        * Remove unnecessary cast (19ebc417)
        * Fixes (6335f484)

2010-02-08 Ted Gould

        * Removing the callback into the lock helper for GDM autologin
          settings change. (3b8cf776)

2010-02-08 Cody Russell

        * Check switch_menuitem for NULL first (eedadcc3)

2010-02-08 Ted Gould

        * Removing the gdm proxy creation and usage. (834d7791)
        * Kill screensaver autobuild proxy (b981b3a2)
        * releasing version 0.2.1-0ubuntu1~ppa2 (d4ca0794)
        * Upstream Merge   * Building the GSS proxy when it's needed, not
          at startup. (c0ed8e80)
        * Only building the proxy when we try to do something with the proxy.
          (751fbe8b)

2010-02-08 Cody Russell

        * Fix a typo (a16c8f41)
        * Lockdown (de04f7ce)

2010-02-04 Sebastien Bacher

        * releasing version 0.2.1-0ubuntu1 (1204ae96)

2010-02-04 Ted Gould

        * releasing version 0.2.1-0ubuntu1~ppa1 (e9698bb4)
        * debian/control: Upping dbusmenu dependency to 0.2.2 (6da5335f)
        * Upstream release 0.2.1   * Dbusmenu 0.2.2 support   * GNOME
          Screensaver fix (LP: #484603) (16508c11)
        * 0.2.1 (4b6ca8a1) (tag: 0.2.1)
        * Making the proxy track GNOME Screensaver (0d157ebe)
        * Updating to new dbusmenu interfaces. (190efd19)

2010-02-04 Marc Deslauriers

        * - src/lock-helper.c: use dbus_g_proxy_new_for_name so when
          gnome-screensaver gets respawned by D-Bus,
          indicator-session will   still be able to communicate with
          it. (LP: #484603) (9d061e94)

2010-02-02 Ted Gould

        * Changing more prototypes to match the new activate signal.
          (bf210e14)
        * Changing the lock_screen function to match the new activate
          prototype. (46250bfc)

2010-01-11 Ted Gould

        * Updates from desktop team (6b1eb40c)

2010-01-08 Ken VanDine

        * Upstream release 0.2.0   * Removing status support   * Merging
          the users service and the session servic.
          debian/control: Updating to depend on dbusmenu 0.2.0 or
          higher.;  debian/control: Dropping build depends for
          libtelepathy-glib-dev (1e460db9)

2010-01-08 Ted Gould

        * releasing version 0.2.0-0ubuntu1~ppa1 (e012a31a)
        * Upstream release 0.2.0 (13cab0f2)
        * 0.2.0 (4b4b9d7b) (tag: 0.2.0)

2010-01-05 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa5 (2259a6b6)
        * Upstream merge   * Distcheck fixes (71a2a11d)
        * Clean up POTFILES.in (6380dbbf)
        * Forgot to include user-service-dbus.h in the dist (8c349950)
        * releasing version 0.2.0~dev-0ubuntu1~ppa4 (a39d1ba7)
        * Upstream merge   * Removing status support   * Merging the users
          service and the session service (e9d1a73d)
        * Updating to trunk (933a07d7)
        * Removing the status bits and pieces (they're now in indicator-me)
          and merging users and session so that we only have one
          service and one menu.  Nice and simple. (095055ac)

2010-01-04 Ted Gould

        * Adding in a separator (a2d2135f)
        * Cleaning out user-service.c (45eb2bc3)
        * First pass at merging user-service in. (b3d93fbb)
        * Switching the session service to using a IndicatorService object.
          (719e6a07)
        * Trying to clean these two up for getting ready to merge. (cde9919d)
        * Killing the user service (a95848f9)

2010-01-02 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa4~nostatus1 (d6144793)

2009-12-24 Ted Gould

        * Simplifying the indicator so that it just gets a menu.  That's it!
          (fbdb4d5d)
        * Removing more of the icons. (a8cebc5a)
        * Removing status icons. (6693370d)
        * Dropping the status service file. (78f9a6a9)
        * Brutal status rip out. (daf83b09)

2009-12-22 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa3 (a718efc9)
        * Updating to use dbusmenu 0.2.0;  debian/control: Updating to
          depend on dbusmenu 0.2.0~dev or higher. (fae3397a)
        * Sync to trunk (ca48c647)
        * Merging in changes needed for the new libdbusmenu. (580cf67b)

2009-12-18 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa3~dm1 (6df4f6c1)
        * debian/control: Updating to depend on dbusmenu 0.2.0~dev or higher.
          (4a41367e)
        * Updating to use dbusmenu 0.2.0 (afa8b389)
        * Merging in the ubuntu-desktop branch. (9e9c3664)
        * Settin' some bools (59b9b829)
        * Setting booleans and values oh my! (79bb77ad)
        * Setting the values with booleans and remove setting the type
          (29b3d90b)
        * Need a newer dbusmenu (ddfead47)

2009-12-10 Ken VanDine

        * New snapshot for libindicator 0.3.0 (d96e16ad)
        * fixed the extended description for indicator-session (b378a0c2)
        * set release to lucid (b9ff8b3e)
        * build depend on libindicator-dev >= 0.3.0 (821318db)
        * revert change to .bzr-builddeb/default.conf (8b01ab53)
        * removed 03_tp_glib.patch and 99_autoreconf.patch, applied upstream
          (ad1ff989)
        *   Ted Gould 2009-12-08 [merge] Update to use libtelepathy instead
          of libempathy     Ken VanDine 2009-12-08 Added missing
          files to EXTRA_DIST     Ken VanDine 2009-12-08 Ported from
          libempathy to telepathy-glib (7f417502)
        * debian/control   - build depend on libtelepathy-glib-dev instead
          of libempathy-dev;  debian/patches/03_tp_glib.patch   -
          Updated patch to properly work with TpAccountManage.
          debian/patches/02_mc5-fixes.patch   - Renamed the patch
          for ordering;  debian/patches/03_tp_glib.patch   - Port
          from libempathy to telepathy-glib (LP: #461367.
          debian/patches/99_autoreconf.patch   - autoreconf for
          telepathy change;  debian/control   - build depend on
          libtelepathy-glib-dev instead of libempathy-dev (f70e0d8a)

2009-12-08 Ted Gould

        * Update to use libtelepathy instead of libempathy (11bc39c1)

2009-12-08 Ken VanDine

        * Added missing files to EXTRA_DIST (150964c6)
        * Ported from libempathy to telepathy-glib (cdec18e0)
        * debian/patches/03_tp_glib.patch   - Updated patch to properly
          work with TpAccountManager (32e8874e)
        * updated 03_tp_glib.patch (0ff1e5f5)
        * libtelepathy-glib-dev not telepathy-glib-dev (c32038e1)
        * debian/control   - build depend on telepathy-glib-dev instead of
          libempathy-dev (4f006c8f)
        * debian/patches/02_mc5-fixes.patch   - Renamed the patch for
          ordering;  debian/patches/03_tp_glib.patch   - Port from
          libempathy to telepathy-glib (LP: #461367.
          debian/patches/99_autoreconf.patch   - autoreconf for
          telepathy change (91d13277)

2009-11-06 Ken VanDine

        * debian/rules   - removed the extra disable-scrollkeeper arg to
          configure (LP: #418772);  debian/control   - removed the
          build dep for scrollkeeper (b9e5bb1a)

2009-11-05 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa1 (5be8ede9)
        * Updating to the libindicate 0.3.0 API;  debian/control: Upping
          the libindicator-dev version to >= 0.3.0~de.
          debian/patches/01_locking_on_autologin.patch as it doesn't
            apply. (be6560c9)
        * Sync to trunk (7974773e)
        * Updating to libindicator 0.3.0 API. (9c8e7652)

2009-11-04 Ted Gould

        * releasing version 0.2.0~dev-0ubuntu1~ppa1~update1 (e392b21a)
        * debian/control: Upping the libindicator-dev version to >= 0.3.0~dev
          (66d2d8f5)
        * Updating to the libindicate 0.3.0 API (275ed77a)
        * Porting over to the 0.3.0 API (42b285cb)
        * Upping to libindicator 0.3.0 (130101fc)
        * Merging from desktop (b696b498)

2009-10-14 Sebastien Bacher

        * releasing version 0.1.7-0ubuntu3 (035a5078)

2009-10-10 Ted Gould

        * releasing version 0.1.7-0ubuntu1~ppa2 (e33e7e67)
        * Listen on DBus for MissionControl coming on and off the bus as
          EmpathyAccountManager used to do that for us before.
          (d97eb974)
        * Linking up trunk (214ce7e7)
        * Listening for MC5 coming on and off the bus as
          EmpathyAccountManager was doing that for us before.
          (f7619a62)

2009-10-09 Martin Pitt

        * releasing version 0.1.7-0ubuntu2 (08a565e3)

2009-10-08 Ken VanDine

        * Merged (36a4da2a)
        * debian/patches/mc5-fixes.patch (LP: #427643)   - Fix presence in
          mc5 (cb3c3f53)

2009-10-08 Sebastien Bacher

        * releasing version 0.1.7-0ubuntu1 (0f9388ea)

2009-10-08 Ken VanDine

        * debian/patches/mc5-fixes.patch   - Fix presence in mc5 (94a4797a)

2009-10-08 Ted Gould

        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix6 (69e45367)
        * Checking to see if MC5 is up at the start. (77a8a1b2)
        * Checking to see if there is an MC5 there when we start. (ba6b4a79)
        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix5 (beea0c16)
        * Signaling when we destory the item (cf441b9b)
        * Signaling a state change when disconnecting. (15705bea)
        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix4 (b96ce226)
        * Dealing with DBus's stupid views of NULL.  If I wanted it like that
          I'd use Python.  I have values, or not.  Simple as that.
          (9d152f3a)
        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix3 (9952b436)
        * Debug message (3108cf01)
        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix2 (2f40a273)
        * Name fix (efc1fc38)
        * Checking the name we're getting and the name we're loosing.
          (c152f3a0)
        * releasing version 0.1.7-0ubuntu1~ppa2~mc5fix1 (bd03c8fe)
        * MC5 Fix testing. (4799c291)
        * Adding a dbus proxy and setting up a signal handler for the
          namechange event which will start or stop the empathy
          account manager. (7c7df5ba)
        * Moving the building of the EmpathyAccountManager to it's own
          function. (aa76fd17)

2009-10-08 Ken VanDine

        * Upstream release 0.1.7   * Changing the icon so that if you are
          disconnected it is     'system-shutdown-panel' and making
          sure that we see it     sometimes by not allocating the
          EmpathyAccountManager isn't     allocated until status is
          set. (LP: #432635)     * Also fixes by happenstance: (LP:
          #444170 and LP: #437065)   * Handling the locking of the
          screensaver so that we ensure     the screensaver is
          active before suspending.  Also, we     throttle it to
          ensure it doesn't start until after suspend.     (LP:
          #444391)   * Asynchronized the menu handling so that it's
          in the right     order with async startup. (LP: #440484)
          * String change, "New Session" to "Switch User" (LP:
          #444494);  Removed
          debian/patches/switch_user_lp-444494.patch (17e8277f)

2009-10-08 Ted Gould

        * releasing version 0.1.7-0ubuntu1~ppa1 (5ff6b510)
        * Upstream release 0.1.7     * Also fixes by happenstance: (LP:
          #444170 and LP: #437065)     order with async startup.
          (LP: #440484) (9b1a914e)
        * releasing version 0.1.6-0ubuntu3~ppa3 (76e76e5d)
        * 0.1.7 (8bee8789) (tag: 0.1.7)
        * Changing the icon so that if you are disconnected it is
          'system-shutdown-panel' and making sure that we see it
          sometimes by not allocating the EmpathyAccountManager
          isn't allocated until status is set. (LP: #432635)
          (69960ed4)
        * Updating for trunkish (69c44b63)
        * Changing the icon so that if you are disconnected it is
          'system-shutdown-panel' and making sure that we see it
          sometimes by not allocating the EmpathyAccountManager
          isn't allocated until status is set. (e0043aef)
        * Better ignore (8ec71fe8)

2009-10-07 Ted Gould

        * releasing version 0.1.6-0ubuntu3~ppa2 (9ace1e37)
        * Handling the locking of the screensaver so that we ensure the
          screensaver is active before suspending.  Also, we
          throttle it to ensure it doesn't start until after
          suspend. (LP: #444391) (378b3b05)
        * Merging in trunk to line things up all nice like. (f9047048)
        * Make it so that when locking the screen on suspend we ensure that
          the screen actually locks.  Also stop the screen saver
          starting on suspend and hibernate. (6795774d)
        * Attaching Bug (b0b14665)
        * releasing version 0.1.6-0ubuntu3~ppa2~betterlock3 (e0da62c1)
        * Right API (c01f2619)
        * Oops, forgot to say who we were. (0547aa3f)
        * releasing version 0.1.6-0ubuntu3~ppa2~betterlock2 (48041167)
        * Switching the sleep action to have a response so we can make sure
          to unthrottle the screensaver. (1b12089e)
        * Adding throttle and unthrottle functions (22a02f89)
        * Copyright headers (18d5a152)
        * releasing version 0.1.6-0ubuntu3~ppa2~betterlock1 (158293e3)
        * Merging in better locking (f191e536)
        * Building a GSS proxy and setting up a signal to it.  Then when we
          lock, we drop to a mainloop and wait for the screensaver
          to activate. (b90777f7)

2009-10-06 Ted Gould

        * Linking into the lock screen helper. (148ef878)
        * Setting up the callback (d6c68610)
        * Moving arround the lock screen code so that it's in a helper.
          (f6fc44d8)
        * Creating the lock helper files. (e9bce071)
        * Fixing the window icon for the logout and shutdown dialogs.
          (ec8734f8)
        * releasing version 0.1.6-0ubuntu1~ppa6 (04c5f5f8)
        * New icon name. (29b9d142)
        * Changing icon name again.  This is probably better WRT the icon
          naming spec. (7bb2c92d)
        * Linking in the async branch. (bbcd3463)
        * releasing version 0.1.6-0ubuntu3~ppa1 (b46bedd3)
        * Asynchronized the menu handling so that it's in the right   order
          with async startup.;  String change, "New Session" to
          "Switch User" (LP: #444494);  Removed
          debian/patches/switch_user_lp-444494.patch (c5e178a7)
        * Update from ubuntu-desktop (f0472c4c)
        * Fix for async menu creation which caused it to be scrambled.
          (ba6f4210)
        * releasing version 0.1.6-0ubuntu1~ppa5 (06e6a3c2)
        * Adding in a new icon name as apparently adding the icon wasn't good
          enough. (fedf02a1)
        * Changing the icon name in the code. (7ffa0705)
        * Adding a new icon 'indicator-system-shutdown' (df23d937)
        * releasing version 0.1.6-0ubuntu1~ppa4 (fba2cd7a)
        * Making it so that the Empathy account manager doesn't start unless
          you set the status. (80ba9c62)
        * Making it so that the manager only gets created if the status is
          set. (74996e1b)
        * releasing version 0.1.6-0ubuntu1~ppa3 (fa6bb41e)
        * Setting the default icon as well. (5763f8c1)
        * releasing version 0.1.6-0ubuntu1~ppa2 (fb0944b2)
        * Stupid, stupid, icon stuff (2ead36e1)
        * Use the shutdown icon in the disconnected state. (51ecaad4)

2009-10-06 Ken VanDine

        * debian/patches/switch_user_lp-444494.patch   - String change,
          "New Session" to "Switch User" (LP: #444494) (a792c0de)

2009-10-05 Ted Gould

        * Also setting the icon on property changed. (faad9824)
        * Changing string from 'New Session' to 'Switch User' (165af6b9)
        * Switching the string from 'New Session' to 'Switch User' (f654c692)

2009-10-04 Ted Gould

        * releasing version 0.1.6-0ubuntu1~ppa2~async1 (672d8f6b)
        * Resorting the menu all the time. (601fb767)
        * Switching from positioning items to having a major resort function
          to reposition everything.  This should be a little
          overkill, but should work nicely with the new async
          startup. (7198caab)

2009-10-01 Martin Pitt

        * releasing version 0.1.6-0ubuntu1 (70b76df6)

2009-10-01 Ken VanDine

        * Upstream release 0.1.6 (LP: #440216)   * Making startup of
          services asynchronous (LP: #436181)   * Disabling "Lock
          Screen" item when action is blocked by     GDM autologin
          (LP: #436724)   * Disabling "Lock Screen" in guest session
          (LP: #439068) (c2e82256)

2009-10-01 Ted Gould

        * releasing version 0.1.6-0ubuntu1~ppa1 (6a03cb8f)
        * Upstream release 0.1.6   * Making startup of services
          asynchronous (LP: #436181)   * Disabling "Lock Screen"
          item when action is blocked by     GDM autologin (LP:
          #436724)   * Disabling "Lock Screen" in guest session (LP:
          #439068) (e1a6856b)
        * 0.1.6 (75bf969d) (tag: 0.1.6)

2009-09-30 Cody Russell

        * Setting the user list to always overflow as additional API is
          required in GDM to make it work well. (8df26902)

2009-09-30 Ted Gould

        * Making the lock screen item insensitive for guest accounts.
          (16650e8f)

2009-09-29 Ted Gould

        * Merging in a branch to make the lock item insensitive if autologin
          is configured in GDM. (59b1a709)
        * Checking to see if we're the guest user.  No locking the guest.
          (13cb4dfa)
        * Grabbing the lock insensitivity branch. (2ff3e61b)

2009-09-29 Cody Russell

        * Set MAXIMUM_USERS from 7 or 1 (36c4001d)

2009-09-29 Ted Gould

        * Making the locking menu item a global and make it sensitive based
          on whether there is autologin. (9efc8169)

2009-09-28 Ted Gould

        * Merging in the branch for async startup. (bf66ad54)
        * Updating to desktop branch (88e0faf3)

2009-09-29 Sebastien Bacher

        * releasing version 0.1.5-0ubuntu2 (24501b8b)

2009-09-28 Ted Gould

        * Changing the start up of the services to be asynchronous.
          (362aaab4)
        * Commenting the changes. (1d503f24)
        * releasing version 0.1.5-0ubuntu1~ppa2~launch3 (10294ce8)
        * Starting *all* the services (a35a7df5)
        * Oops, forgot to choose a service. (1f324724)
        * releasing version 0.1.5-0ubuntu1~ppa2~launch2 (7988f91a)
        * Getting a little crazy in here. (e9dcb141)
        * Whew, okay now all startup is two phased, asyncronous and pulled
          into a set of common functions. (b8e01828)
        * releasing version 0.1.5-0ubuntu1~ppa2~launch1 (1cb13d3b)
        * Merging in the launch protections. (1a403189)
        * Criticalizing the other services as well. (f5c0bb79)
        * Adding a check for null on the client in reorder and making it so
          that the inability to start a service is no longer an
          error.  Just a critical. (c2a35dea)

2009-09-25 David Barth

        * Merging in a branch to remove the close button on the logout
          confirmation dialogs. (8a31e1b0)
        * remove superfluous window buttons (dca1f97b)

2009-09-25 Sebastien Bacher

        * releasing version 0.1.5-0ubuntu1 (f490ab8a)

2009-09-24 Ken VanDine

        * Upstream release 0.1.5 (LP: #436223)   * PolicyKit-1 support (LP:
          #418643)   * GDM User list support (LP: #422052)   *
          MissionControl5 support (LP: #427643)   * Better locking
          of the screensaver (LP: #428115);  debian/control: Adding
          in a libempathy-dev build dependency   as it's now
          required by upstream.;  Removing patches 01_polkit-1.patch
          and 99_autoreconf.patch   as they were merged upstream.
          (8bbcf87c)

2009-09-24 Ted Gould

        * releasing version 0.1.5-0ubuntu1~ppa1 (2bddafc0)
        * Upstream release 0.1.5   * PolicyKit-1 support (LP: #418643)   *
          GDM User list support (LP: #422052)   * MissionControl5
          support (LP: #427643)   * Better locking of the
          screensaver (LP: #428115) (daf213d6)
        * Increasing to 0.1.5 (50004fc1) (tag: 0.1.5)
        * Adding a cast for one of the 64-bit pointers.  We shouldn't need
          that many users, and it would require lots of memory hacks
          to fit that in here. (337c0de0)

2009-09-24 Cody Russell

        * Merging in Cody's branch for fixing some user issues. (716ae457)
        * Clear the menu (e34203e9)

2009-09-24 Ted Gould

        * Not checking with PK to see if we should show the dialog.  CK is
          broken. (bb052d98)
        * Checking GDM to see whether we should lock on user switch.
          (1222a451)
        * Disabing PK Check to whether the dialog shows (1dcb3501)
        * Updating to trunk (e4398b94)
        * Merging in the lock on sleep branch. (56e6098d)
        * releasing version 0.1.4-0ubuntu3~ppa2 (6a12a49a)
        * Merging in MC5 Support branch;  debian/control: Adding in a
          libempathy-dev build dependency   as it's now required by
          upstream. (027b52c0)

2009-09-24 Cody Russell

        * Merge lp:~bratsche/indicator-session/users-service for bug #422052
          (a77cdfd8)

2009-09-24 Ted Gould

        * Merging in the MissionControl 5 branch to work with modern Empathy.
          (e0cc3cab)
        * Checking the gdm autologin setting to see if we should lock the
          screen on user switch or not. (bfecae8b)
        * Merging lock on sleep branch (b7875310)

2009-09-24 Cody Russell

        * Don't check range twice here (73f4d4e7)

2009-09-24 Ted Gould

        * Merging in all the user-service changes (238bd8db)
        * Ah, truth, you got me again!  Never will I trust you. (a151d863)
        * Wrong string!  Oops. (e9476772)
        * Setting up the signal handler to get changes to the value.
          (94de1260)

2009-09-24 Cody Russell

        * only add menuitems if the current seat can activate new sessions
          (62f44cf9)
        * Remove user_changed and users_icons_changed from the class
          (3e9432a1)

2009-09-24 Ted Gould

        * Getting the basic grabbing of the proxy and getting the autologin
          value. (edd1b16a)
        * Putting in the infrastructure to have GDM settings proxy (1adc4260)

2009-09-24 Cody Russell

        * sort users (997dd272)
        * cleanup (4b357f8f)
        * don't load all the users unless needed (7f7ed7fe)

2009-09-23 Cody Russell

        * expose users_service_dbus_can_activate_session() (3427b4a7)
        * use g_strcmp0 (2bb61203)
        * remove system proxy (f8e0ff04)
        * remove the server code (c608393d)
        * remove session proxy fu (7fa88e1e)
        * remove unnecessary stuff (d9caa213)
        * don't need to dbus_g_object_type_install_info() (fec2a354)
        * modify count in user_added()/user_removed() (afc84307)
        * add names (b712e3b2)
        * cleanup (61d73835)
        * add todo comment (cbcbcc64)
        * move stuff around (8888a1aa)
        * merge up from trunk (9a6f594c)
        * cleanups and more session fu (3de7117e)

2009-09-23 Ted Gould

        * Stealing the lock screen function from the user-service and making
          it so that we lock on sleep. (159f4132)
        * Don't set the status so that we notice when it comes back to us.
          (a3fffae0)

2009-09-23 Cody Russell

        * session adding (9a12a13c)
        * user activation wip (a3ca139c)
        * ck fu (541259b2)

2009-09-23 Ted Gould

        * releasing version 0.1.4-0ubuntu3~ppa2~mc4 (aac5605b)
        * Bad string, should have been hidden. (65a22368)

2009-09-22 Ted Gould

        * releasing version 0.1.4-0ubuntu3~ppa2~mc3 (108efd13)
        * Comments.  But getting everything up to date. (8b8f5336)
        * releasing version 0.1.4-0ubuntu3~ppa2~mc2 (f63efd2c)
        * Merging in and making clean with trunk (400c870d)
        * Merging in from trunk packaging branch. (4398f671)
        * releasing version 0.1.4-0ubuntu3~ppa1 (f9c4e887)
        * Removing patches 01_polkit-1.patch and 99_autoreconf.patch as they
          were merged upstream. (abe648d6)
        * Merging in trunk (PK Changes) (f701a6a7)
        * Grabbing changes from the ubuntu-desktop branch (fd3f4ea6)
        * Comments are good. (62c31bdc)
        * releasing version 0.1.4-0ubuntu1~ppa2~mc1 (59b1902d)
        * debian/control: Adding in a libempathy-dev build dependency as it's
          now required by upstream. (fa89e5d8)
        * Merging in the MC5 branch (598d5872)

2009-09-22 Cody Russell

        * some refactoring (de28377d)

2009-09-22 Ted Gould

        * If the global status changes then we need to signal everyone else
          about it. (62fbd1f4)
        * Putting in the TP Connection enum map (4b30518d)
        * Connecting to change signal (4ec8c425)
        * Turning over to Empathy Account Manager. (79e497d6)

2009-09-22 Cody Russell

        * cleanup (0e5b24c9)
        * fix dbus fu (c4ff339c)
        * register marshallers (15e2e519)
        * dbus fu updates (91c29933)

2009-09-22 Martin Pitt

        * Patch from Martin to upgrade to the New PolicyKit API (9703540e)
        * Port to polkit-1 (a561b45e)
        * releasing version 0.1.4-0ubuntu2 (86c162bb)
        * Add 01_polkit-1.patch: Port to polkit-1. (LP: #412601);  Add
          99_autoreconf.patch: Autoconf changes for above patch.
          debian/control: libpolkit-gnome-dev →
          libpolkit-gobject-1-dev (60d0a506)

2009-09-21 Ted Gould

        * Oh, got the header and it works too!  Nice. (649bb747)
        * Adding in a libempathy dependency. (4c0e2776)

2009-09-17 seb128

        * releasing version 0.1.4-0ubuntu1 (a3a97b06)

2009-09-17 Ken VanDine

        * Upstream release (LP: #432120);  Fixes to issues brought up by
          the design team. (f4ff0a55)

2009-09-17 Ted Gould

        * Ignoring GConf schemas (52f5e42c)
        * releasing version 0.1.4-0ubuntu1~ppa1 (382806bf)
        * Upstream release 0.1.4 (5c5f9bc7)
        * Making a 0.1.4 (f1adf67a) (tag: 0.1.4)
        * Merging in the icon renaming fix branch (04e548e4)

2009-09-16 Ted Gould

        * Linking in the MC5 provider (d099f107)
        * Creating a status provider object for Mission Control 5 based on
          the Telepathy one. (8a1dae9a)
        * releasing version 0.1.3-0ubuntu2~ppa1 (87b0c1a3)
        * Fixes to issues brought up by the design team. (a24e5b4d)
        * Using the right icon name. (d2be80af)
        * Changing the icon names from online to available (7f1e833c)
        * Merging in design team requested fixes for labels and menu item
          placement. (cd4b5a1f)
        * releasing version 0.1.3-0ubuntu2~ppa1~design2 (a19fb7b1)
        * Fixing more labels (45b7b265)
        * Branch to init i18n in the various services (24543619)

2009-09-15 Ted Gould

        * Adding bug in (29b907bc)
        * Adding locale stuff in here too!  Fun. (23441660)
        * Adding in gettext init stuff. (0bdc32e6)
        * Changing the menu item to be 'Set Status' instead of the current
          status. (35cc4970)

2009-09-14 Ted Gould

        * releasing version 0.1.3-0ubuntu2~ppa1~design1 (1773a7e4)
        * Fixes for the design team. (7315df65)
        * Attaching bug (0bae63fc)
        * Moving lock screen from status to users service. (41fd33b0)
        * Changing label per design (c4c20890)
        * Fixing shutdown text (da34a798)

2009-09-11 Ted Gould

        * Merging in desktop branch (31952931)

2009-09-11 seb128

        * releasing version 0.1.3-0ubuntu1 (2673f30d)

2009-09-10 Ted Gould

        * releasing version 0.1.3-0ubuntu1~ppa1 (0ae60895)
        * Merge ubuntu-desktop work. (436a77d1)
        * Upstream release 0.1.3   * GConf Key change listening   * Pidgin
          and Empathy (2.26) startup detection   * Label fixes   *
          Icon fixes for logout windows (LP: #426355) (a3611eae)

2009-09-10 Cody Russell

        * fixes for adding/removing users (51bdf6d0)

2009-09-10 Ted Gould

        * Making a 0.1.3 (82395ac9) (tag: 0.1.3)
        * Merging in branch to remove some spaces in the menu labels.
          (1da23a12)
        * Merging in the branch with icon fixes in it. (6dc72285)
        * Merging in a branch to detect IM clients coming on and off the bus.
          (87cd8b19)

2009-09-10 Cody Russell

        * fix link problem (a29d1126)

2009-09-10 Ted Gould

        * Merging branch by c-korn which adds a watcher for the GConf
          changes. (30deabd8)

2009-09-10 Cody Russell

        * work in progress (efd24605)

2009-09-10 Ted Gould

        * Trying to unblock LP (00d92f0f)
        * Setting the window icon now that we have the right path (0cb4e60e)
        * Grabbing the icons from the indicator dir where we install them.
          (edba4f97)
        * Removing the space on the elipsis (c2ed34ab)
        * Adding in a debug message for Telepathy proxy. (a275332b)
        * Watching for Mission Control comming on the bus. (b93e75aa)
        * Checking to see if we have the proxy already. (ff14ae64)
        * Function to build the telepathy proxy. (d97e28df)
        * Checking the global status on whether the menu items should be
          sensitive or not. (acdeaff5)
        * Watch dbus namechanges and see if Pidgin comes on the bus.
          (09524650)
        * Splitting out the building of the Pidgin proxy into it's own
          function. (ec17d0a7)
        * Adding disconnected to the telepathy handler. (2ad97fd7)
        * Adding disconnected to the pidgin handler. (6fa2a0c9)
        * Adding in a disconnected status value and making it so that when it
          is the global status we should make the menu items to set
          status insensitive. (935d113e)

2009-09-08 Christoph Korn

        * The menu now immediately is updated when the gconf-key about the
          logout/shutdown/restart confirmations is changed.
          (7c1f28e8)

2009-09-08 seb128

        * releasing version 0.1.2-0ubuntu1 (ee56ebc0)

2009-09-08 Ted Gould

        * releasing version 0.1.2-0ubuntu1~ppa2 (5360fce3)
        * Upstream version 0.1.2   * Adds translation setup.  (fixes LP:
          #425598)   * Packaging fix to use upstream tarball.
          (fixes LP: #418769)   * Shows elipsis when dialogs are
          enabled (fixes LP: #421693)   * Adds GConf key for
          configure whether dialogs on shutdown and     logout are
          shown.  (fixes LP: #422025) (a937e1ff)
        * releasing version 0.1.2-0ubuntu1~ppa1 (5553f55c)
        * Upstream version 0.1.2 fixes LP: #425598, LP: #418769, LP: #421693
          and LP: #422025. (af63ff8b)
        * Turning into 0.1.2 (3211a5e8) (tag: 0.1.2)
        * releasing version 0.1.1-0ubuntu2~ppa2 (300caf97)
        * Merging in c_korn's branch. (74caa096)

2009-09-08 Christoph Korn

        * Adding a GConf key to suppress confirmation dialogs (85799abb)

2009-09-04 Ted Gould

        * releasing version 0.1.1-0ubuntu2~ppa1 (44ecddce)
        * Removing printing DBus error message as it sometimes isn't valid.
          (LP: #420238) (9a97431a)
        * Updating with ubuntu-desktop (7f656a94)
        * Removing the printing of the error messages as sometimes it doesn't
          exist. (a5b80087)

2009-09-04 seb128

        * releasing version 0.1.1-0ubuntu1 (866bdf8a)

2009-09-03 Ken VanDine

        * Upstream update 0.1.1 for dbusmenu 0.1.2 (LP: #423975.
          debian/control: Increasing dbusmenu dep to 0.1.2
          (21551ca4)

2009-09-03 Ted Gould

        * releasing version 0.1.1-0ubuntu1~ppa1 (638dce7a)
        * Merging in ~ubuntu-desktop branch. (a2b2daf7)
        * Upstream update 0.1.1 for dbusmenu 0.1.1;  debian/control:
          Increasing dbusmenu dep to 0.1.1 (c084c724)
        * Bumping up number to 0.1.1 and fixing a couple depends. (94fcffe6)
          (tag: 0.1.1)
        * Merging in fixes related to the dbusmenu 0.1.1 release (05c10a12)
        * releasing version 0.1-0ubuntu1~ppa2~dbusmenu011r2 (a301de9f)
        * Update to set menuitem type. (615b300e)
        * releasing version 0.1-0ubuntu1~ppa2~dbusmenu011r1 (df2b47f4)
        * Set the type of the menuitem to be a image menuitem. (cdfa53bd)
        * debian/control: Increasing dbusmenu dep to 0.1.1 (847d6955)
        * Upstream update for dbusmenu 0.1.1 (ac5142a1)
        * Switching to using the defines for all of the properties.
          (4edd517b)
        * Switching to using the defines for the properties in the menus.
          (974d4730)
        * Have a quick check to see if we have something to put there.  If
          not, no menu item. (cb0e7ca7)
        * Needing dbusmenu 0.1.1 (fcf8a6cc)

2009-09-02 Christoph Korn

        * Added files which were missing in the previous commit. (1f47c9e8)
        * These patches introduce a gconf key whether the
          logout/restart/shutdown confirmations should be shown or
          not. Also the menu items should be suffixed by '...'
          accordingly. However this only works after a restart.
          (1f087425)

2009-09-01 Ted Gould

        * Apparently the DBus interface will put a bad string in messages in
          some cases.  We don't really need it, so let's not risk
          it. (8a2d7e75)

2009-08-27 Martin Pitt

        * releasing version 0.1-0ubuntu1 (bd4a6ebe)
        * Re-add dropped debian/compat. (461c6ab9)
        * Re-add fixes which got lost in branch renaming:;  debian/rules:
          debian/rules: Update *.a/*.la cleanup for -sus → -session
          renaming. (17379af4)
        * debian/control: Fix Vcs-* links. (d63d27e6)

2009-08-27 Ken VanDine

        * fixed url in Vcs (6b92bf7e)
        * debian/watch:   - fixed url (deb95e0e)
        * Upstream version 0.1 (LP: #420108) (ed9775a9)
        * Upstream version 0.1;  debian/control: Looking for libdbusmenu*
          >= 0.1.0;  debian/control: Shortening the short
          description and lengthening   the long one.  Fixes a bug
          (LP: #412024) (f6d0564a)

2009-08-27 Ted Gould

        * releasing version 0.1-0ubuntu1~ppa1 (94f3cd1c)
        * Upstream version 0.1;  debian/control: Looking for libdbusmenu*
          >= 0.1.0 (ad5c3ed7)
        * Merging in a branch to use the new dbusmenu API and make it more
          stable overall. (41f1b320) (tag: 0.1)
        * releasing version 0.1~bzr18-0ubuntu1~ppa3~dbusmenu2 (8756b431)
        * debian/control: Looking for libdbusmenu* >= 0.1.0 (e8eb773a)
        * Merge from upstream (f9bee4d6)
        * releasing version 0.1~bzr18-0ubuntu1~ppa3~dbusmenu1 (579294b9)
        * Updating to dbusmenu version 0.1.0 (cc8a87df)
        * debian/control: Looking for libdbusmenu* >= 0.0.2 (72b6ee81)
        * Merge from upstream (afc824d8)
        * Instead of populating the menu on added, populate it on
          realization. (17659407)
        * Bumping Dbusmenu version to 0.0.2 (409e654b)

2009-08-26 Ted Gould

        * releasing version 0.1~bzr18-0ubuntu1~ppa2 (78f43614)
        * debian/control: Shortening the short description and lengthening
          the long one.  Fixes a bug (LP: #412024) (05957062)
        * Merging ubuntu-desktop branch (8a8294a3)

2009-08-25 Ted Gould

        * releasing version 0.1~bzr18-0ubuntu1~ppa1 (bb8a746e)
        * Merging in the upstream branch which has base support for status
          with Pidgin and Telepathy. (9d0431e5)
        * Merging in the more status branch that implements basic status for
          Pidgin and Telepathy. (a4b4a927)
        * Handling a missing session bus by displaying an error. (2ca0db49)

2009-08-24 Ted Gould

        * releasing version 0.1~bzr17-0ubuntu1~ppa2~morestatus3 (297bd7ce)
        * Fixing status. (57b2bd25)
        * Should be starting with the least available and getting more so,
          instead of the other way around. (f820b831)
        * Didn't need that function. (1246414b)
        * releasing version 0.1~bzr17-0ubuntu1~ppa2~morestatus2 (824c6c29)
        * More status... (eeb9d116)
        * At start up if we've got a proxy, let's start everything and get an
          initial status. (51a1209a)
        * Support for setting status stollen from FUSA status manager
          (written by me) and signal handling (ce1f3317)
        * Connecting the telepathy stuff into the overall status service
          (95190bc5)
        * Building up the proxy.  We need one, it's important. (fd8f49b1)
        * Adding the basic status enums and maps in. (c8a0f5e7)

2009-08-24 Ken VanDine

        * Merged (3a18ed4b)

2009-08-24 Ted Gould

        * Merging in from the ubuntu-desktop branch (18ad21b3)

2009-08-24 Ken VanDine

        * change branch owner to ubuntu-desktop (947f6cf2)
        * New snapshot (LP: #417035);  Package rename from 'indicator-sus'
          to 'indicator-session';  debian/control:   - Switching to
          indicator-session and conflicting   - Changed Vcs-Bzr to
          point to ~ubuntu-desktop   - Changed the project homepage
           and replacing indicator-sus;  debian/watch: Switching to
          indicator-session* (231af853)

2009-08-24 Ted Gould

        * Merging from Ken's branch.  Ensuring everything is all aligned now.
          (9f3f8868)

2009-08-24 Ken VanDine

        * Changed Vcs-Bzr to point to ~ubuntu-desktop (58da09e0)

2009-08-22 Ted Gould

        * releasing version 0.1~bzr17-0ubuntu1~ppa2~morestatus1 (7a02e6dc)
        * Merging in the status work branch (9877b38c)

2009-08-21 Ken VanDine

        * set to UNRELEASED (db4583e4)
        * set to UNRELEASE (c7e80e44)
        * Package rename from 'indicator-sus' to 'indicator-session.
          Merging in the branch that adds in the status icons to
          the panel. (6d12313b)

2009-08-19 Ted Gould

        * Using AM 1.11 silent mode (7035dee7)

2009-08-18 Ted Gould

        * releasing version 0.1~bzr17-0ubuntu1~ppa1 (f2c94673)
        * debian/control: Switching to indicator-session and conflicting
          and replacing indicator-sus;  debian/watch: Switching to
          indicator-session* (480e4e5a)
        * Merging in trunk with rename from 'sus' to 'session' (949c62d2)
        * Merging in the rename from 'sus' to 'session' (faef7246)
        * Ignoring new build files (8b0983ee)
        * Changing the name from SUS to Session (439df114)

2009-08-17 Ted Gould

        * Getting more of a basis for Telepathy stuff (f022d796)
        * Some marshallers for the Telepathy status stuff. (a52eb4af)
        * Initially querying the status so that when we start, we get the
          right value. (d539c58c)
        * Should update for local changes as well. (7917b6f2)
        * Now we can set the value in Pidgin and have it come back over the
          wire (2c69e504)
        * Setting up a list of marshallers for the pidgin functionality
          (a2f9b2b0)
        * Pushing in Pidgin code, doesn't compile. (b632849a)
        * releasing version 0.1-0ubuntu3~ppa1 (6765205d)
        * Merging in the branch that adds in the status icons to the panel.
          (8d316de5)
        * Merging in the branch getting the status icons working. (b107a295)

2009-08-12 Ted Gould

        * Merging in updates from trunks (87de9955)
        * Fixes from trunk (692f2148)
        * Fixes by the distro team found in their packaging of indicator-sus
          (76e386da)
        * Merging in fixes from the distro team to make packaging actually
          good. (6cb2b444)
        * releasing version 0.1~ppa7~status7 (691cc8ec)
        * Failed logic (353afff8)
        * releasing version 0.1~ppa7~status6 (629d336c)
        * Fixing signal name and cleaning debug messages. (9d37b17a)
        * Oops, wrong signal name.  Now better. (6e421d04)
        * Cleaning up the debug message. (fe0d2f8c)
        * releasing version 0.1~ppa7~status5 (05de808c)
        * Trying to do some more icon fixes. (362f709e)
        * Some debug messages (8e56c4c1)

2009-08-11 Alexander Sack

        * (merge lp:~indicator-applet-developers/indicator-applet/sus-ubuntu)
          * Fixed Vcs-Bzr location, part of the  indicator-applet
          project;  specify Vcs-Bzr-Browser (bf96c0b8)
        * releasing version 0.1-0ubuntu1 (a55731f2) (tag: 0.1-0ubuntu1)

2009-08-11 Ken VanDine

        * specify Vcs-Bzr-Browser (d4635513)
        * Fixed Vcs-Bzr location, part of the  indicator-applet project
          (e31de204)
        * Depend on indicator-applet >= 0.2 (21466188)
        * Changed conflicts for gdm to <= 2.27.4-0ubuntu9 (8efe3ea6)
        * Added debian/watch (784f777a)
        * Cleaning up linitian (c3a1f0ac)
        * debian/control   - Set Homepage and Vcs-Bzr (2f463926)
        * Include icons in the tarball;  Added license files;  Corrected
          the FSF address (a2be93c9)
        * Bumped standards version (5a6c3463)
        * Added copyright and license information (801aed4d)
        *   Ken VanDine 2009-08-11 Added license files     Ken VanDine
          2009-08-11 Include the icons in dist     Ken VanDine
          2009-08-11 Set version 0.1     Ken VanDine 2009-08-11
          Correct the FSF address (fef08499)
        * Added license files (0cf0a859)
        * Include the icons in dist (2a29c3d3)
        * Set version 0.1 (8f03bd28)
        * Correct the FSF address (257db4ed)
        * Include the icons in the dist (78a9b425)

2009-08-10 Ken VanDine

        * Include COPYING.LGPL in dist (5a428c34)
        * Added debian/copyright (bae9732d)
        * added license files (01889a2a)
        * Corrected the FSF address (4f07ef79)

2009-08-08 Ted Gould

        * Cleaning up icon code so that we save the current one incase
          someone askes. (c269d95f)
        * releasing version 0.1~ppa7~status4 (de34a6f0)
        * Clean up build a little bit;  Change internal DBus names
          (ab6b46ec)
        * Shuffling around the DBus names so that everything is happier.
          (98aa8926)
        * Fixing the build system to build the DBus interface better.
          (e0054950)
        * I suck (675cfc77)
        * I suck (a336d188)
        * Naming change that got missed (a81f1cd2)
        * API naming change (a6b6f483)
        * releasing version 0.1~ppa7~status3 (65100b2c)
        * Setting the icon from the status service. (eca9ad15)
        * connecting to the signal (74ac9091)
        * Setting the icon from the callback of asking the value (e522c2c3)
        * Oh, now signals and callbacks, oh, my (e445c0f0)
        * Fixing a few things with the dbus stuff and starting to listen to
          the extra information on the service. (c4a5e5cf)
        * releasing version 0.1~ppa7~status2 (695fba35)
        * Moving the icons to a better, warmer, place. (052c3995)
        * Fixing the local install of the icons (840f181d)
        * Switching icons directory to the one provided by package config
          (0776820b)
        * releasing version 0.1~ppa7~status1 (02133f55)
        * Lots of updates from a branch to make things on the status front
          all happy happy joy joy. (46812f4e)
        * Showing the icon.  Silly. (839f5795)
        * Making dbus names valid, which is a little silly. (5b09c56f)
        * Changing the signal prototype to be strings instead of pointers.
          (b3c64d97)
        * Changing the icons to be singular for now. (8f305c45)
        * Unused variable (4e06e6c3)
        * Adding in -Wall and -Werror to things (07f10d43)
        * Adding unistd.h header (77c213e6)
        * Setting up signal handlers for the signal changing.  We still ask
          everyone, they better cache a value :) (255ccc8a)
        * Global status being used and thrown over d' bus (0788baad)
        * Brining in the concept of global status (e36075a1)
        * Handling the signal better.  Now in the header file as well.
          (d61f15d2)
        * Better displose to free the proxy and ensuring that statuc changes
          get noted. (dbf5b1d9)
        * releasing version 0.1~ppa6 (32ae5375)
        * debian/control: Conflicting with gdm < 2.27.4-0ubuntu9 or lower to
          stop people from having problems with the PPA. (8b12a503)

2009-08-07 Ted Gould

        * releasing version 0.1~ppa5 (07e46f4f)
        * Legal headers on the source files. (b69a5dfc)
        * I forgot to put legal agreements on the top of all the C/H files.
          Oops. (0fe5f169)
        * releasing version 0.1~ppa4 (26aa6d7d)
        * Merging in status shuffle branch. (ef763a71)
        * Merging the branch for better status service. (a52ff082)
        * releasing version 0.1~ppa4~statusshuffle2 (a2202837)
        * Better usage of the names. (f6e4e6e5)
        * Put the user's real name in the menu item. (848e09b4)
        * releasing version 0.1~ppa4~statusshuffle1 (7ddcb5fb)
        * Merging in status shuffle branch to package it. (c4dbc5ba)
        * Getting an image built for offline (d109578b)
        * A whole bunch of icons that are from our previous FUSA patches
          (e1c7ffda)
        * Clean it up. (348bd323)
        * Using the user name (be90d534)

2009-08-06 Ted Gould

        * Some dummy code to get a name (04cc48ee)
        * Now we have privates. (5afcbe0b)
        * More and better prototypes (770f0349)
        * Getting a new object to remove an error. (39ac4b97)
        * Adding a couple of signals in here. (78afa2e5)
        * ayatana.org (e988b52d)
        * Doing a registration and a connection to DBus (8f96c691)
        * Something global to track all the DBus stuff. (a253844a)
        * Putting the user name in a menu label. (aff047a2)
        * Status submenu (82a2c8c6)

2009-07-26 Ted Gould

        * releasing version 0.1~ppa3 (61e75b02)
        * Making sure merging will be easy in the future. (b9b31f31)
        * Fleshing out significantly.  Inital rerelease. (c8cb2fa6)
        * Merging in the branch to port everything to libindicator and
          fleshing thigns out. (9b7303cd)
        * releasing version 0.1~ppa2~indicator9ubuntu9 (a4ab46af)
        * Lock screen works;  Pidgin proxy gets setup and doesn't crash
          (935037f3)
        * Setting up the Pidgin proxy (0417e704)
        * A function to lock the saver (a2e7239a)
        * Debug message (2931dc6b)
        * Using GET_CLASS instead of CLASS.  Oops (a438fcc0)

2009-07-24 Ted Gould

        * releasing version 0.1~ppa2~indicator9ubuntu8 (fe8cb504)
        * Ah, forgot the service files. (85a99fad)
        * Changing the names in the service files as well. (ec801dfd)
        * releasing version 0.1~ppa2~indicator9ubuntu7 (37edf64e)
        * debian/control: Add binary dep on DeviceKit Power (bec2ec65)
        * Adding in devkit power support for suspend/hibernate;  Changing
          namespace from com.ubuntu to org.ayatana (09b09a64)
        * Adding a debug message (efaf013e)
        * Changing to the ayatana.org namespace (091902b3)
        * Whitespace, who hoo, I'm earning karma for this (4f711cf5)
        * Setting the visiblity of the menu items based on whether DKP
          reports that we have the functionality. (ec987aaf)
        * Checking the suspend and hibernate properties (030273f3)
        * Setting up change, and issuing a response (7892498e)
        * TODO list (73a077d2)
        * Comment update (f97c0f6c)

2009-07-23 Ted Gould

        * Adding in the function to make the calls to DKP (db481c57)
        * releasing version 0.1~ppa2~indicator9ubuntu5 (74622d7f)
        * debian/control: Adding a dep on polkit-gnome-dev (bf692e80)
        * Building the DKP proxies (7419d52e)
        * Adding in some DKp defines. (44fe1785)
        * Some comments are always good. (65fe4692)
        * releasing version 0.1~ppa2~indicator9ubuntu4 (bf6aa03c)
        * Basically getting this session stuff working.  Well, all the stuff
          that kills data. (e46e07c2)
        * Adding in the action code from our previous patches to FUSA
          (04c5db21)
        * Now check for the PK dialog and otherwise run ours.  If we get
          restart, restart (624c4acb)
        * Getting all the parameters working so that we can set the dialog
          type (bf936e17)
        * Basic command line parsing.  Not working 100% yet. (74da0353)

2009-07-22 Ted Gould

        * releasing version 0.1~ppa2~indicator9ubuntu3 (45813641)
        * Wrong function, building a path instead of a filename.  Err.
          (6cb0ee80)
        * Damn it, wrong function (93015d3c)
        * releasing version 0.1~ppa2~indicator9ubuntu2 (60b5dcf4)
        * Adding a helper for the logout window.  And setting things up to
          call it. (3852caea)
        * Executing the helper, but it needs to be the one in the libexec
          path. (c9cfcc8a)
        * Make a dialog pop up.  Not really the right one, but one.
          (e43d5e49)
        * Switching to having a single handler and then everyone calling it
          with a parameter. (54b1242d)

2009-07-21 Ted Gould

        * ifdef protection (6b110305)
        * Whoo, hoo, it builds (316a59db)
        * Bringing in all the GTK includes and libraries (472065f3)
        * Building a little dialog.  Now it's kinda linked into the build
          system. (96ca29c4)
        * releasing version 0.1~ppa2~indicator9ubuntu1 (49a4fd2b)
        * Adding in lots of fun menu items.  This way the menu looks more
          complete than it really is :) (2ca3cfc6)
        * Adding in lock screen.  This is all the menu items now. (9ac0cedf)
        * Adding menu items for session stuff (2c4cdbd4)

2009-07-20 Ted Gould

        * releasing version 0.1~ppa2~indicator9 (a8c42b30)
        * Updating the users daemon to have usable generic functions but no
          dummy users. (c698391d)
        * Expanding command line option to make it easier to read (fdb5cc0a)
        * Turning everythign into a check and a way to start a new fancy
          login session (bde7584c)
        * Setting the menu item to activate the guest user session (c1b32731)
        * Switching from dummy users to useful menuitems (015f1c16)

2009-07-17 Ted Gould

        * releasing version 0.1~ppa2~indicator8 (41fc7528)
        * Going Karmic (dd415d6b)
        * Ignoring build files (5619be21)

2009-07-01 Ted Gould

        * releasing version 0.1~ppa2~indicator7 (27d05d04)
        * Switching to DbusmenuGtkClient instead of DbusmenuGtkMen.
          Adding some dummy data to users. (b66aad6f)

2009-06-30 Ted Gould

        * Ignoring some autogenerated files. (ae5eca77)
        * Moving the server to after the items makes things work better, but
          I'm curious why it's failing.  This is more a test for
          dbusmenu though which'll have better debug. (ee4d58a3)
        * Getting some menuitems (42644e5f)
        * Some debugging info. (17e41d8a)
        * Showing the loading item.  Atleast that works now. (f084e851)
        * Bah, I hate pointers some days. (6bd2d42c)
        * Trying to flesh out the add function some more, but this commit
          doesn't build as apparently switches have to have integers
          now.  This takes half of the fun out of C if you can't use
          crazy function pointers everywhere!  Where's the sport in
          readable code? (cc19423e)
        * Switching over the status menu too.  Woot! (a6afde93)
        * Adding in stuff for the users menu.  Getting better at this.
          (23bead1b)
        * Working more on changing the style of how things work for clients.
          This is the session based items. (07ad2f2a)

2009-06-26 Ted Gould

        * Phase one switch to the client instead of the menu (4512d996)

2009-06-22 Ted Gould

        * releasing version 0.1~ppa2~indicator6 (bfdd4d72)
        * Removing the .so versions;  Using the new dbusmenu signals
          instead of the GtkContainer   ones that don't really
          signal. (b4f32db2)
        * Using the new dbusmenu signal for item added (23fa731f)
        * Removing the .so* stuff (5a5c1bb4)

2009-06-19 Ted Gould

        * Showing the added menu and adding in a loading item. (2cb6204a)
        * releasing version 0.1~ppa2~indicator5 (ec00fcc1)
        * Changing the signal names. (1af8b14c)
        * Oh, the signal is 'add' not 'added'.  How I love to have random
          strings without checking, all the elegance of Python.
          (901278c9)
        * releasing version 0.1~ppa2~indicator4 (61cbe26e)
        * Code to start merging in menus. (10c2d306)
        * Fleshing out the insertion function.  Let's get some menus.
          (7f2cb8b3)
        * Bubbling up the position information to a final function to put
          things on the main menu. (c99e8b57)
        * Adding in separators (310a2c18)
        * releasing version 0.1~ppa2~indicator3 (3f7108fb)
        * debian/rules: Removing the .a/.la clutter in the install directory.
          (a6bcca13)
        * Updating from branch, lazy loading the services. (8300e167)
        * Splitting out the menu loading and process starting code to make it
          lazy and push it into the idle loop.  No blocking DBus on
          startup. (377777d3)

2009-06-16 Ted Gould

        * releasing version 0.1~ppa2~indicator2 (c886775c)
        * Updating the build to make proper service files (83506b0e)
        * Building the service files more correctly. (080aa534)

2009-06-15 Ted Gould

        * releasing version 0.1~ppa2~indicator1 (2ac220dc)
        * Changing package name to indicator-sus (b221a7ec)
        * debian/control: Adding build depends on libindicator-dev,
          libdbusmenu-glib-dev and libdbusmenu-gtk-dev (08834aa3)
        * Upstream from the indicator branch. (0e7a0777)

2009-06-12 Ted Gould

        * Okay, we need functions as we want a list of icons. (094b80fb)
        * A quickly little object to put itself on DBus. (9eb76515)
        * Brining in the client side of the API (35477b8f)
        * Actually the client is the indicator.  Silly to have one binary be
          both client and server, heh. (92632f9e)
        * Adding a DBus interface for the status specific stuff (d9116a67)
        * Some comments describing the intentions of the functions.
          (922ee2a9)
        * Putting in the status translation tables. (f3f762e1)

2009-06-11 Ted Gould

        * Adding in a proxy to start gettin' us some Pidgin (54a3bda1)
        * Oops, what a mess up. But this sure makes things unhappy.  Nasty to
          debug segfault. (b89d8f45)
        * Okay, let's use these providers.  We're 733t now. (a14bc910)
        * Starting to connect things together.  Let's get some Pidgin in
          there. (2cb10467)
        * Now we're setting the status provider functions of the
          StatusProvider interface. (5ad8f590)
        * Preliminary pidgin wrappers. (963f1418)
        * Adding in a good ol' signal handler and even emits this puppy.
          Whew. (3567cdb6)
        * Some public funtions and now they can be subclassed (f9aa333e)
        * Don't need a private or dispose or finalize.  This class is more of
          an interface. (01df160c)
        * Moving the enum into the provider object and changing the name
          everywhere. (bac4397f)
        * Providing the first hints at an API (9b6dcf56)
        * Adding in the basic (generated) framework for the status provider
          object (3fc5dff1)

2009-06-10 Ted Gould

        * Oops, forgot about invisible.  I guess that's kinda expected
          though, as it's invisible. (6a310124)
        * Connecting in a callback. (257c07fe)
        * Building the menuitems (bf4f0112)
        * Using the defines and strings that were in our patches to FUSA.  I
          wrote the code, so it is like other things © Canonical so
          there is no issue there.  There is other code in FUSA that
          is not. (913e99f4)
        * Making sure to clean up the generated service files.  Whew.  Pass
          distcheck. (9c50845d)
        * Adding in the DBus services directory with localinstall support
          (0909c13d)
        * Adding a configure flag so that indicators can be installed locally
          for distcheck purposes. (4a388714)

2009-06-09 Ted Gould

        * Copying that code into the other two services.  Now we're dbus-y.
          (b00bec83)
        * Bringing up a dbusmenu item. (21cc4e90)
        * Adding more dependencies and cflags and stuff to make the builds of
          the services more complete (ee013228)
        * Oh, stealing the methods used in PolicyKit for building these.  I
          dislike calling sed directly, but the results are
          fantastic. (49c4646f)
        * Adding in a bunch of service files.  We're hip now. (45361f6e)
        * Now we're building services.  Snazy. (1e2d4592)

2009-06-08 Ted Gould

        * Renaming the C file as well. (a94e5d41)
        * Changing the name to get rid of FUSA, which doesn't really make
          sense anymore. (770526c7)
        * Making things into a set of three user-daemons. (80b3de3f)
        * Switching the pkgconfig based directory. (d68a776f)
        * Changing the build stuff for ye ol' fusa indicator (95ed5305)
        * Adding in new deps and a version bump (a36493af)
        * Merging from trunk.  Splitting out packaging and getting all the
          files. (aaee0018)
        * Removing the packaging from trunk (fdf84c9c)
        * Removing packaing from trunk (f5cec7c3)
        * Heh, forgot to put that file in. (f139786b)

2008-12-04 Ted Gould

        * FUSA-fying it (cfbfb0f5)
        * Ignore stuff (0f788121)
        * Moving the directory (3b898091)
        * Starting Debian Packaging (fc14666e)
        * Showing by default. (1bf559dd)
        * Making the directory the same as the applet.  Should have done that
          first, eh. (ebb7bab1)
        * Ignoring (79eefb2e)
        * Actually getting this all to build reasonably. (70aaffd8)
        * Checkmark checkin (76713f09)
